Package: metadat
Version: 1.6-0
Date: 2026-04-29
Title: Meta-Analysis Datasets
Authors@R: c(
  person(given = "Wolfgang", family = "Viechtbauer",
  role = c("aut","cre"), email = "wvb@metafor-project.org",
  comment = c(ORCID = "0000-0003-3463-4063")),
  person(given = "Thomas", family="White",
  role="aut", email = "thomas.white@sydney.edu.au",
  comment = c(ORCID = "0000-0002-3976-1734")),
  person(given = "Daniel", family="Noble",
  role="aut", email = "daniel.noble@anu.edu.au",
  comment = c(ORCID = "0000-0001-9460-8743")),
  person(given = "Alistair", family="Senior",
  role="aut", email = "alistair.senior@sydney.edu.au",
  comment = c(ORCID = "0000-0001-9805-7280")),
  person(given = "W. Kyle", family="Hamilton",
  role="aut", email = "whamilton@ucmerced.edu",
  comment = c(ORCID = "0000-0002-8642-7990")),
  person(given = "Guido", family = "Schwarzer",
  role = "dtc", email = "guido.schwarzer@uniklinik-freiburg.de",
  comment = c(ORCID = "0000-0001-6214-9087")),
  person(given = "Christian", family = "Röver",
  role = "dtc", email = "christian.roever@med.uni-goettingen.de",
  comment = c(ORCID = "0000-0002-6911-698X")))
Depends: R (>= 4.0.0)
Imports: utils, tools, mathjaxr
Suggests: metafor, numDeriv, BiasedUrn, dfoptim, igraph, ape, testthat,
        digest, lme4, clubSandwich, meta, netmeta, mvtnorm, gridExtra,
        rms, bayesmeta, ellipse, metasens, mada
Description: A collection of meta-analysis datasets for teaching purposes, illustrating/testing meta-analytic methods, and validating published analyses.
License: GPL (>= 2)
ByteCompile: TRUE
LazyData: TRUE
Encoding: UTF-8
RdMacros: mathjaxr
BuildManual: TRUE
URL: https://github.com/wviechtb/metadat,
        https://wviechtb.github.io/metadat/
BugReports: https://github.com/wviechtb/metadat/issues
NeedsCompilation: no
Packaged: 2026-04-29 13:52:03 UTC; wviechtb
Author: Wolfgang Viechtbauer [aut, cre] (ORCID:
    <https://orcid.org/0000-0003-3463-4063>),
  Thomas White [aut] (ORCID: <https://orcid.org/0000-0002-3976-1734>),
  Daniel Noble [aut] (ORCID: <https://orcid.org/0000-0001-9460-8743>),
  Alistair Senior [aut] (ORCID: <https://orcid.org/0000-0001-9805-7280>),
  W. Kyle Hamilton [aut] (ORCID: <https://orcid.org/0000-0002-8642-7990>),
  Guido Schwarzer [dtc] (ORCID: <https://orcid.org/0000-0001-6214-9087>),
  Christian Röver [dtc] (ORCID: <https://orcid.org/0000-0002-6911-698X>)
Maintainer: Wolfgang Viechtbauer <wvb@metafor-project.org>
Repository: CRAN
Date/Publication: 2026-04-29 15:10:14 UTC
Built: R 4.6.0; ; 2026-04-29 15:57:20 UTC; unix

Package: metadat
Version: 1.6-0
Date: 2026-04-29
Title: Meta-Analysis Datasets
Authors@R: c(
  person(given = "Wolfgang", family = "Viechtbauer",
  role = c("aut","cre"), email = "wvb@metafor-project.org",
  comment = c(ORCID = "0000-0003-3463-4063")),
  person(given = "Thomas", family="White",
  role="aut", email = "thomas.white@sydney.edu.au",
  comment = c(ORCID = "0000-0002-3976-1734")),
  person(given = "Daniel", family="Noble",
  role="aut", email = "daniel.noble@anu.edu.au",
  comment = c(ORCID = "0000-0001-9460-8743")),
  person(given = "Alistair", family="Senior",
  role="aut", email = "alistair.senior@sydney.edu.au",
  comment = c(ORCID = "0000-0001-9805-7280")),
  person(given = "W. Kyle", family="Hamilton",
  role="aut", email = "whamilton@ucmerced.edu",
  comment = c(ORCID = "0000-0002-8642-7990")),
  person(given = "Guido", family = "Schwarzer",
  role = "dtc", email = "guido.schwarzer@uniklinik-freiburg.de",
  comment = c(ORCID = "0000-0001-6214-9087")),
  person(given = "Christian", family = "Röver",
  role = "dtc", email = "christian.roever@med.uni-goettingen.de",
  comment = c(ORCID = "0000-0002-6911-698X")))
Depends: R (>= 4.0.0)
Imports: utils, tools, mathjaxr
Suggests: metafor, numDeriv, BiasedUrn, dfoptim, igraph, ape, testthat,
        digest, lme4, clubSandwich, meta, netmeta, mvtnorm, gridExtra,
        rms, bayesmeta, ellipse, metasens, mada
Description: A collection of meta-analysis datasets for teaching purposes, illustrating/testing meta-analytic methods, and validating published analyses.
License: GPL (>= 2)
ByteCompile: TRUE
LazyData: TRUE
Encoding: UTF-8
RdMacros: mathjaxr
BuildManual: TRUE
URL: https://github.com/wviechtb/metadat,
        https://wviechtb.github.io/metadat/
BugReports: https://github.com/wviechtb/metadat/issues
NeedsCompilation: no
Packaged: 2026-04-29 13:52:03 UTC; wviechtb
Author: Wolfgang Viechtbauer [aut, cre] (ORCID:
    <https://orcid.org/0000-0003-3463-4063>),
  Thomas White [aut] (ORCID: <https://orcid.org/0000-0002-3976-1734>),
  Daniel Noble [aut] (ORCID: <https://orcid.org/0000-0001-9460-8743>),
  Alistair Senior [aut] (ORCID: <https://orcid.org/0000-0001-9805-7280>),
  W. Kyle Hamilton [aut] (ORCID: <https://orcid.org/0000-0002-8642-7990>),
  Guido Schwarzer [dtc] (ORCID: <https://orcid.org/0000-0001-6214-9087>),
  Christian Röver [dtc] (ORCID: <https://orcid.org/0000-0002-6911-698X>)
Maintainer: Wolfgang Viechtbauer <wvb@metafor-project.org>
Repository: CRAN
Date/Publication: 2026-04-29 15:10:14 UTC

metadat: Meta-Analysis Datasets for R
=====================================

[![License: GPL (>=2)](https://img.shields.io/badge/license-GPL-blue)](https://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html)
[![R build status](https://github.com/wviechtb/metadat/workflows/R-CMD-check/badge.svg)](https://github.com/wviechtb/metadat/actions)
[![CRAN Version](https://www.r-pkg.org/badges/version/metadat)](https://cran.r-project.org/package=metadat)
[![devel Version](https://img.shields.io/badge/devel-1.7--0-brightgreen.svg)](https://github.com/wviechtb/metadat)
[![Downloads](https://cranlogs.r-pkg.org/badges/grand-total/metadat)](https://cran.r-project.org/package=metadat)

## Description

The `metadat` package contains a large collection of meta-analysis datasets. These datasets are useful for teaching purposes, illustrating/testing meta-analytic methods, and validating published analyses.

## Installation

The current official (i.e., [CRAN](https://cran.r-project.org/package=metadat)) release can be installed within R with:

```r
install.packages("metadat")
```

The development version of the package can be installed with:

```r
install.packages("remotes")
remotes::install_github("wviechtb/metadat")
```

This builds the package from source based on the current version on [GitHub](https://github.com/wviechtb/metadat).

## Browsing and Searching for Datasets

A listing of all datasets in the package can be obtained with `help(package=metadat)`. Each dataset is also tagged with one or multiple concept terms. These concept terms refer to various aspects of a dataset, such as the field/topic of research, the outcome measure used for the analysis, the model(s) used for analyzing the data, and the methods/concepts that can be illustrated with the dataset. The [`datsearch()`](https://wviechtb.github.io/metadat/reference/datsearch.html) function can be used to search among the existing datasets in the package based on their concept terms or based on a full-text search of their corresponding help files.

You can also read the documentation online at [https://wviechtb.github.io/metadat/](https://wviechtb.github.io/metadat/) (where the output from the example analyses corresponding to each dataset is provided).

## Contributing New Datasets

We welcome contributions of new datasets to the package. For each dataset, there must be a citable reference, ideally in a peer-reviewed journal or publication. The general workflow for contributing a new dataset is as follows:

- Install the `metadat` package in R in the usual manner (i.e., `install.packages("metadat")`).
- If you are familiar with Git/GitHub and making pull requests, fork the [package repository](https://github.com/wviechtb/metadat). Otherwise, [download](https://github.com/wviechtb/metadat/archive/master.zip) the source version of the package from GitHub and unzip the file to some directory on your computer.
- Place the raw data (in a non-binary format) in the `data-raw` directory. The file should be named `dat.<author><year>.<ext>`, where `<author>` is the last name of the first author of the publication from which the data come, `<year>` is the publication year, and `<ext>` is the file extension (e.g., `.txt`, `.csv`).
- Place a corresponding R script in the `data-raw` directory named `dat.<author><year>.r` that reads in the data, possibly does some data cleaning/processing, and then saves the dataset to the `data` directory (using `save()`), with name `dat.<author><year>.rda`.
- Start R, load the `metadat` package (i.e., `library(metadat)`), and then run the `prep_dat()` function (either set the working directory to the location of the source package beforehand or use the `pkgdir` argument of the `prep_dat()` function to specify the source package location).
- For a new dataset, this should create a boilerplate template for a corresponding help file in the `man` directory, named `dat.<author><year>.Rd`. Edit the help file, adding the title and a short description of the dataset in general, a description of each variable in the dataset, further details on the dataset (e.g., the field of research, how the data was collected, the purpose of the dataset or what it was used for, the effect size or outcome measure used in the analysis, the types of analyses/models that can be illustrated with the dataset), a reference for the source of the dataset, one or multiple concept terms, the name and email address of the contributor of the dataset, and (optionally) example code to illustrate the analysis of the dataset.
- Either make a pull request (if you are familiar with this workflow) or zip up the `dat.<author><year>.<ext>`, `dat.<author><year>.r`, `dat.<author><year>.rda`, and `dat.<author><year>.Rd` files and open up a new [issue at GitHub](https://github.com/wviechtb/metadat/issues), attaching the zip file.
- If the above makes no sense to you, you can also open an issue or email one of the package authors and attach a zip file including a cleaned, raw data file in `.txt` or `.csv` format, along with a meta-data file (format doesn't matter) that includes the information described above.

## Citing the Package

If you use these data, please cite both the `metadat` package (see `citation("metadat")` for the reference) and the original source of the data as given under the help file of a dataset.

## Bug/Error Reports

If you think you have found an error in an existing dataset or a bug in the package in general, please go to https://github.com/wviechtb/metadat/issues and open up a new issue.

# Main function for generating docs
.rd_generator <- function(study_name, dir, overwrite) {

  # Add any studies whose documentation is to be overwritten
  if (!missing(overwrite)) {
    study_name <- c(study_name, overwrite)
    study_name <- gsub(".Rd", "", study_name)  # remove file ext if need be
  }

  # Loop through datasets and create template documentation
  # Will only be > 1 if overwrite is specified
  for (i in seq_along(study_name)) {

    # Open new file connection
    con <- try(file(file.path(paste0(dir, "/man/"), paste0(study_name[i], ".Rd")), "w"))

    # Write the single preamble
    write.table(.preamble_table(study_name[i]), con, row.names = FALSE, col.names = FALSE, quote = FALSE)

    # Write the meta-data table header
    write.table(.tabular(study_name[i]), con, row.names = FALSE, col.names = FALSE, quote = FALSE)

    # Load dataset
    data <- get(load(paste0(dir, "/data/", as.character(study_name[[i]]), ".rda")))

    # Write main metadata
    write.table(.meta_dat_table(data), con, row.names = FALSE, col.names = FALSE, quote = FALSE, na = "")

    # Write the postamble
    write.table(.postamble_table(study_name[i]), con, row.names = FALSE, col.names = FALSE, quote = FALSE)

    # Close the file connection
    close(con)
  }
}

# Generate preamble
.preamble_table <- function(study.name) {
  name <- paste0("\\name{", study.name, "}")
  docType <- "\\docType{data}"
  alias <- paste0("\\alias{", study.name, "}")
  title <- "\\title{ADD_TITLE}"
  descrp <- "\\description{ADD_DESCRIPTION}"
  use <- paste0("\\usage{\n", study.name, "\n}")
  format <- paste0("\\format{")
  out <- rbind(name, docType, alias, title, descrp, use, format)
  return(data.frame(out, stringsAsFactors = FALSE, row.names = 1:nrow(out)))
}

# Generate table start
.tabular <- function(study.name) {
  info <- paste0("The data frame contains the following columns:")
  tabular <- "\\tabular{lll}{"
  out <- rbind(info, tabular)
}

# Generate metadata table
.meta_dat_table <- function(data) {
  variables <- paste0("\\bold{", colnames(data), "}")
  type <- paste0("\\tab", " ", "\\code{", as.vector(sapply(data, class)), "}")
  descrp <- rep(paste0("\\tab", " ADD_DESCRIPTION ", "\\cr"), length = length(variables))
  closer <- c("}", NA, NA)
  meta_dat_table <- cbind(variables, type, descrp, deparse.level = 0)
  meta_dat_table <- rbind(meta_dat_table, closer)

  return(data.frame(meta_dat_table, stringsAsFactors = FALSE, row.names = 1:nrow(meta_dat_table)))
}

# Generate postamble
.postamble_table <- function(study.name) {
  closer <- "}"
  details <- "\\details{ADD_DETAILS}"
  source <- "\\source{ADD_REFERENCE}"
  author <- "\\author{ADD_CONTRIBUTOR_NAME, \\email{ADD_EMAIL}}"
  eg1 <- "\\examples{"
  eg2 <- "### copy data into 'dat' and examine data"
  eg3 <- paste0("dat <- ", study.name)
  eg4 <- "dat\n"
  eg5 <- "\\dontrun{\n"
  eg6 <- "ADD_DETAILED_EXAMPLE\n"
  keyword <- "\\keyword{datasets}"
  concept <- "\\concept{ADD_CONCEPT}"

  out <- rbind(closer, details, source, author, eg1, eg2, eg3, eg4, eg5, eg6, closer, closer, keyword, concept)

  return(data.frame(out, stringsAsFactors = FALSE, row.names = 1:nrow(out)))
}

prep_dat <- function(rebuild=FALSE, overwrite, pkgdir) {

   cat("\n")

   # if 'pkgdir' argument is unspecified, assume it is the current working directory
   if (missing(pkgdir)) {
      pkgdir <- normalizePath(".")
      cat("Package root directory:", pkgdir, "\n\n")
   }

   # check if package root directory actually exists and that it has
   # a DESCRIPTION file with "Package: metadat" in the first line
   if (dir.exists(pkgdir)) {
      if (!file.exists(paste0(pkgdir, "/DESCRIPTION")))
         stop("No DESCRIPTION file in the package root directory.")
      if (readLines(paste0(pkgdir, "/DESCRIPTION"), n=1) != "Package: metadat")
         stop("DESCRIPTION file in the package root directory is not for the 'metadat' package.")
   } else {
      stop("Specified 'pkgdir' directory does not exist.")
   }

   data_raw.dir <- paste0(pkgdir, "/data-raw/")
   data.dir     <- paste0(pkgdir, "/data/")
   man.dir      <- paste0(pkgdir, "/man/")

   # check that directories actually exist
   if (!dir.exists(data_raw.dir))
      stop("Cannot find 'data-raw' directory.")
   if (!dir.exists(data.dir))
      stop("Cannot find 'data' directory.")
   if (!dir.exists(man.dir))
      stop("Cannot find 'man' directory.")

   # load .rfiles.txt (if it exists)
   if (file.exists(paste0(data_raw.dir, ".rfiles.txt"))) {
      .rfiles <- read.table(paste0(data_raw.dir, ".rfiles.txt"), header=FALSE, as.is=TRUE)[[1]]
   } else {
      .rfiles <- NULL
   }

   # try running Rscript
   tmp <- try(suppressWarnings(system2("Rscript", args="-e 1", stdout=TRUE, stderr=TRUE)), silent=TRUE)
   if (inherits(tmp, "try-error"))
      stop("Cannot run 'Rscript'. Make sure that Rscript/Rscript.exe is on the system path.")

   # get names of all data preparation scripts (.r/.R files) in the 'data-raw' directory
   rfiles <- list.files(path=data_raw.dir, pattern=".[rR]$")

   # paste header for output
   cat("File", paste0(rep(" ", max(nchar(rfiles))-4), collapse=""), "new ", "rda ", "build ", "Rd ", "create", "\n")
   cat(paste0(rep("-", max(nchar(rfiles))+29), collapse=""), "\n")

   # process all data preparation scripts

   for (i in seq_along(rfiles)) {

      # paste name of the data preparation script (and enough space to align everything)
      cat(rfiles[i], paste0(rep(" ", max(nchar(rfiles))-nchar(rfiles[i])+1), collapse=""))

      # check if the data preparation file is already in .rfiles.txt
      rfile.exists <- rfiles[i] %in% .rfiles

      # [new]: paste T/F if it is a new script or not
      cat(ifelse(!rfile.exists, "T    ", "F    "))

      # get 'root' name of the data preparation script (remove .r/.R extension)
      root <- substr(rfiles[i], 1, nchar(rfiles[i])-2)

      # get names of all .rda files in the 'data' directory
      rda.files <- list.files(path=data.dir, pattern=".rda$")

      # grep names of all <root>.<anything>.rda files (could be one or multiple)
      rda.files <- grep(paste0("^", root, ".*.rda"), rda.files, value=TRUE)

      # check if <root>.<anything>.rda files already exist
      rda.files.exist <- ifelse(length(rda.files) > 0, TRUE, FALSE)

      # [rda]: paste T/F if the rda files already exist or not
      cat(ifelse(rda.files.exist, "T    ", "F    "))

      # if rebuild=TRUE or if the rda files do not exist, try running the data preparation script
      # [build]: paste T/F if the data processing script was run (without error)
      if (rebuild || !rda.files.exist) {

         #rfilerun <- try(source(paste0(data_raw.dir, rfiles[i])), silent=TRUE)
         #if (inherits(rfilerun, "try-error")) {

         # run each script in its own independent process
         cmd <- paste0(data_raw.dir, rfiles[i])
         out <- suppressWarnings(system2("Rscript", cmd, stdout=TRUE, stderr=TRUE))

         if (isTRUE(attributes(out)$status == 1)) {
            warning("Error while running ", rfiles[i], ".", call.=FALSE)
            cat("F      ")
         } else {
            cat("T      ")
         }

      } else {
         cat("F      ")
      }

      # list all files in the 'data' directory (possibly includes non-.rda files)
      data.files <- list.files(path=data.dir)

      # check if there are now any non-.rda files in 'data'; if so, throw an error
      if (any(tools::file_ext(data.files) != "rda"))
         stop("\n\nThere are non-.rda files in the 'data' directory.\nData preparation scripts must create only .rda files.")

      # check if <root>.Rd file exists in 'man' directory
      rd.exists <- file.exists(paste0(man.dir, root, ".Rd"))

      # [Rd]: paste T/F if <root>.Rd file exists or not
      if (rd.exists) {
         cat("T   ")
      } else {
         cat("F   ")
      }

      # if it doesn't exist or if it is in 'overwrite' vector, create template <root>.Rd file
      # [create]: paste T/F if template <root>.Rd file is created
      if (!rd.exists || !missing(overwrite) && paste0(root, ".Rd") %in% overwrite) {
         cat("T      ")
         .rd_generator(root, pkgdir, overwrite)
      } else {
         cat("F      ")
      }

      cat("\n")

   }

   # make sure every .rda file in 'data' is lower case
   for (data.file in data.files) {
      file.rename(paste0(data.dir, data.file), paste0(data.dir, tolower(data.file)))
   }

   # write updated .rfiles.txt file to 'data-raw' directory
   write.table(rfiles, file=paste0(data_raw.dir, ".rfiles.txt"), row.names=FALSE, col.names=FALSE)

   cat("\n")

}

datsearch <- function(pattern, concept=TRUE, matchall=TRUE, fixed=TRUE, pkgdown=FALSE) {

   # immediately show warnings when they arise

   opwarn <- options(warn=1)
   on.exit(options(warn=opwarn$warn))

   # load rdtxt object (list with the plain-text help files)

   tmpenv <- new.env(parent=emptyenv())
   load(paste0(find.package("metadat"), "/help.rdata"), envir=tmpenv)

   if (missing(pattern)) {
      interactive <- TRUE
      cat("\n")
   } else {
      interactive <- FALSE
   }

   while (TRUE) {

      if (interactive || is.null(pattern))
         pattern <- readline(prompt = "Enter your search term(s) (? for help; <enter> to exit): ")

      if (!is.character(pattern)) {
         warning("Argument 'pattern' must be a string (vector).")
         pattern <- NULL
         next
      }

      if (interactive && identical(pattern, "q")) {
         cat("\n")
         break
      }

      if (interactive && identical(pattern, "?")) {

         cat("\n")
         cat("Enter one or multiple search terms at the prompt. Multiple search terms can be\n")
         cat("separated using a comma, semi-colon, or 'and'. The search either pertains to the\n")
         cat("concept terms or the full text of the help files. Datasets matching all or any of\n")
         cat("search terms are returned. For a full-text search, one can specify fixed strings\n")
         cat("or use regular expressions. Either the standard help file for a chosen dataset will\n")
         cat("be shown or the corresponding pkgdown docs at https://wviechtb.github.io/metadat/.\n")
         cat("\n")
         cat("  key  description                                                         setting\n")
         cat("  --------------------------------------------------------------------------------\n")
         cat("  a    list all datasets contained in the metadat package\n")
         cat("  l    list the concept terms that have been used at least once\n")
         cat("  c    toggle between a concept term search or a full-text search         ", ifelse(concept, "concept", "full-text"), "\n")
         cat("  m    toggle between matching of all search terms or any of them         ", ifelse(matchall, "all", "any"), "\n")
         cat("  f    toggle between fixed string matching or use of regular expressions ", ifelse(fixed, "fixed", "regexp"), "\n")
         cat("  p    toggle between showing the standard help files or the pkgdown docs ", ifelse(pkgdown, "pkgdown", "standard"), "\n")
         cat("\n")
         pattern <- NULL
         next

      }

      if (interactive && identical(pattern, "")) {
         cat("\n")
         return(invisible())
      }

      if (interactive && identical(pattern, "a"))
         pattern <- ""

      if (interactive && identical(pattern, "l")) {
         cat("
In terms of fields/topics, the following terms have been used at least once:

alternative medicine, attraction, cardiology, climate change, covid-19,
criminology, dentistry, ecology, education, engineering, epidemiology,
evolution, genetics, human factors, medicine, memory, obstetrics, oncology,
persuasion, primary care, psychiatry, psychology, pulmonology, rheumatology,
smoking, social work, sociology, sports.

In terms of outcome measures, the following terms have been used at least once:

common language effect size, correlation coefficients, Cronbach's alpha,
hazard ratios, incidence rates, raw mean differences, odds ratios, proportions,
ratios of means, raw means, risk differences, risk ratios, (semi-)partial
correlations, standardized mean changes, standardized mean differences.

In terms of models/methods/concepts, the following terms have been used at least once:

cluster-robust inference, combining p-values, component network meta-analysis,
cumulative meta-analysis, diagnostic accuracy studies, dose response models,
generalized linear models, individual participant data, longitudinal models,
Mantel-Haenszel method, meta-regression, missing data, model checks,
multilevel models, multivariate models, network meta-analysis, outliers,
Peto's method, phylogeny, prevalence, publication bias, reliability generalization,
risk-of-bias, single-arm studies, spatial correlation, subgroup analysis.")
         cat("\n\n")
         pattern <- NULL
         next
      }

      if (interactive && identical(pattern, "c")) {
         concept <- !concept
         message("Switching to a ", ifelse(concept, "concept term search.", "full-text search."))
         pattern <- NULL
         next
      }

      if (interactive && identical(pattern, "m")) {
         matchall <- !matchall
         message("Switching to matching of ", ifelse(matchall, "all search terms.", "any search term."))
         pattern <- NULL
         next
      }

      if (interactive && identical(pattern, "f")) {
         fixed <- !fixed
         message("Switching to ", ifelse(fixed, "fixed string matching.", "use of regular expressions."))
         pattern <- NULL
         next
      }

      if (interactive && identical(pattern, "p")) {
         pkgdown <- !pkgdown
         message("Switching to showing the ", ifelse(pkgdown, "pkgdown docs.", "standard help files."))
         pattern <- NULL
         next
      }

      ########################################################################

      # for a concept term search or fixed-term full-text search, can specify a
      # single pattern separated by "," or ";" or "and" or "AND" which will
      # automatically be split into separate patterns

      if (pattern != "" && (concept || fixed)) {
         pattern <- strsplit(pattern, ",", fixed=TRUE)
         pattern <- unlist(pattern)
         pattern <- strsplit(pattern, ";", fixed=TRUE)
         pattern <- unlist(pattern)
         pattern <- strsplit(pattern, " and ", fixed=TRUE)
         pattern <- unlist(pattern)
         pattern <- strsplit(pattern, " AND ", fixed=TRUE)
         pattern <- unlist(pattern)
         pattern <- trimws(pattern)
      }

      # number of patterns specified

      n <- length(pattern)

      # search for relevant datasets

      matches <- list()

      if (concept) {

         for (i in 1:n) {
            matches[[i]] <- utils::help.search(pattern[i], package="metadat", fields="concept")$matches
         }

         if (identical(pattern, ""))
            matches[[1]] <- matches[[1]][!is.element(matches[[1]]$Name, c("datsearch", "metadat-package", "prep_dat")),]

      } else {

         for (i in 1:n) {
            hits <- try(grep(ifelse(fixed, tolower(pattern[i]), pattern[i]), tmpenv$rdtxt, fixed=fixed), silent=TRUE) # grep for pattern in rdtxt
            if (inherits(hits, "try-error")) {
               warning(paste0("Search pattern '", pattern[i], "' is not a valid regular expression that can be searched for."), call.=FALSE)
               hits <- "none"
            } else {
               hits <- names(tmpenv$rdtxt)[hits] # get names of datasets that match
               if (length(hits) == 0)
                  hits <- "none"
            }
            matches[[i]] <- do.call(rbind, lapply(hits, function(x) utils::help.search(x, package="metadat", fields="name")$matches))
         }

      }

      all.matches <- do.call(rbind, matches)

      if (matchall) {
         matches <- all.matches[all.matches$Name %in% Reduce(intersect, lapply(matches, function(x) x$Name)),]
      } else {
         matches <- all.matches
      }

      # if nothing is found

      if (is.null(matches) || nrow(matches) == 0) {
         cat('No results found.\n')
         if (!interactive) {
            cat("\n")
            return(invisible())
         }
         pattern <- NULL
         next
      }

      # keep unique matches
      matches$Entry <- NULL
      matches <- unique(matches)

      # get names and titles of matching datasets
      names  <- matches$Name
      titles <- matches$Title

      if (length(names) == 1L) {

         message("Single match found - showing the help file for this dataset.")

         # if there is only one match, automatically select this match
         if (pkgdown) {
            url <- paste0("https://wviechtb.github.io/metadat/reference/", names[1], ".html")
            browseURL(url)
         } else {
            print(help(names[1], package="metadat"))
         }

      } else {

         # otherwise prompt the user to select one of the matches

         # shorten titles to avoid line wrapping

         width <- options("width")$width
         width.names  <- nchar(names)
         width.titles <- nchar(titles)
         max.width.titles <- width - max(width.names) - 10
         titles <- ifelse(width.titles > max.width.titles, paste0(substr(titles, 1, max.width.titles), "..."), titles)

         # print names and titles of matches

         cat("\n")
         print(data.frame(Name = names, Title = titles), right=FALSE)
         cat("\n")

         while (TRUE) {

            if (interactive) {
               sel <- readline(prompt = "Choose the number of the dataset you would like to see (or <enter> to do a new search): ")
            } else {
               sel <- readline(prompt = "Choose the number of the dataset you would like to see (or <enter> to exit): ")
            }

            if (identical(sel, "p")) {
               pkgdown <- !pkgdown
               message("Switching to showing the ", ifelse(pkgdown, "pkgdown docs.", "standard help files."))
               next
            }

            if (identical(sel, "") || identical(sel, "0")) {
               cat("\n")
               if (!interactive)
                  return(invisible())
               break
            }

            sel <- suppressWarnings(round(as.numeric(sel)))

            if (is.na(sel)) {
               message("Must enter a dataset number.")
               next
            }

            if (sel < 1 || sel > length(titles)) {
               message(paste0("Dataset number must be between 1 and ", length(titles), "."))
               next
            }

            # show the help file
            if (pkgdown) {
               url <- paste0("https://wviechtb.github.io/metadat/reference/", names[sel], ".html")
               browseURL(url)
            } else {
               print(help(names[sel], package="metadat"))
            }

         }

      }

      pattern <- NULL

   }

}

context("Checking: dat.riley2003")

library(digest)

test_that("md5 hash matches for the data", {
   if (getRversion() >= "4.6.0") {
      expect_match(digest(metadat::dat.riley2003, algo="md5"), "33c30465073c92c11a79a4983dab4a8c")
   } else {
      expect_match(digest(metadat::dat.riley2003, algo="md5"), "606d5e3307678b0b8b57b0a833f4d184")
   }
})

context("Checking: dat.crisafulli2020")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.crisafulli2020, algo="md5"), "fee9264067c19c6e53294e4c72eec7ef")
})

context("Checking: dat.dumouchel1994")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.dumouchel1994, algo="md5"), "da9f347c3df75b8fe0c75f8e3030ad16")
})

context("Checking: dat.thompson1999")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.thompson1999, algo="md5"), "b0e3e3b83e39657c124703cab4ae1173")
})

context("Checking: dat.greenland1992")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.greenland1992, algo="md5"), "3532a0d1256fb169c8edb191601e4b9e")
})

context("Checking: dat.steurer2006")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.steurer2006, algo="md5"), "82d05ae9bb363034b5da3a6e3e150cbc")
})

context("Checking: dat.baskerville2012")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.baskerville2012, algo="md5"), "5c284797736e1def58cfbaf1ebe2a026")
})

context("Checking: dat.metap")

library(digest)

test_that("md5 hash matches for the data", {
   if (getRversion() >= "4.6.0") {
      expect_match(digest(metadat::dat.metap, algo="md5"), "33198d77ac9adf4a701bf95fb55412d0")
   } else {
      expect_match(digest(metadat::dat.metap, algo="md5"), "db0d8015acbc5525a71d2f70145eadeb")
   }
})

context("Checking: dat.huber2000")

library(digest)

test_that("md5 hash matches for the data", {
   if (getRversion() >= "4.6.0") {
      expect_match(digest(metadat::dat.huber2000, algo="md5"), "a937b78c3b22d5610d661ccd40444282")
   } else {
      expect_match(digest(metadat::dat.huber2000, algo="md5"), "eb1df5e6cb1d52428512c71410175918")
   }
})

context("Checking: dat.furukawa2003")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.furukawa2003, algo="md5"), "a8ac8b79691f45bcab13d4f41d564427")
})

context("Checking: dat.berkey1998")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.berkey1998, algo="md5"), "c94bd13f07a693a3c81b44903afad980")
   expect_match(digest(metadat::dat.berkey1998r, algo="md5"), "dfd0a85e9154ccb9b14da2b17a958de7")
})

context("Checking: dat.bassler2004")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.bassler2004, algo="md5"), "b2602c6ffa358e30992b5de028bcc1ff")
})

context("Checking: dat.higgins2008")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.higgins2008, algo="md5"), "764827a748a675549033dc40ec2d71b0")
})

context("Checking: dat.kalaian1996")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.kalaian1996, algo="md5"), "0f15c3094fef881f444ceeeaf54771a4")
})

context("Checking: dat.spooner2002")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.spooner2002, algo="md5"), "2dfa96bd0d1515bdf370236e9da2ea76")
})

context("Checking: dat.chiarito2020")

library(digest)

test_that("md5 hash matches for the data", {
   expect_match(digest(metadat::dat.chiarito2020, algo="md5"), "23e764d61226393f0f12f1b9720ee0d9")
})

\name{dat.lau1992}
\docType{data}
\alias{dat.lau1992}
\title{Studies on Intravenous Streptokinase for Acute Myocardial Infarction}
\description{Results from 33 trials comparing intravenous streptokinase versus placebo or no therapy in patients who had been hospitalized for acute myocardial infarction.}
\usage{
dat.lau1992
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{trial} \tab \code{character} \tab trial name \cr
\bold{year}  \tab \code{numeric}   \tab publication year \cr
\bold{ai}    \tab \code{numeric}   \tab number of deaths in the streptokinase group \cr
\bold{n1i}   \tab \code{numeric}   \tab number of patients in the streptokinase group \cr
\bold{ci}    \tab \code{numeric}   \tab number of deaths in the control group \cr
\bold{n2i}   \tab \code{numeric}   \tab number of patients in the control group
}
}
\details{
   In the paper by Lau et al. (1992), the data are used to illustrate the idea of a cumulative meta-analysis, where the results are updated as each trial is added to the dataset. See \sQuote{Examples} for code that replicates the results and shows corresponding forest plots.
}
\source{
   Lau, J., Antman, E. M., Jimenez-Silva, J., Kupelnick, B., Mosteller, F., & Chalmers, T. C. (1992). Cumulative meta-analysis of therapeutic trials for myocardial infarction. \emph{New England Journal of Medicine}, \bold{327}(4), 248--254. \verb{https://doi.org/10.1056/NEJM199207233270406}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.lau1992
dat

\dontrun{
### load metafor package
library(metafor)

### meta-analysis of log odds ratios using the MH method
res <- rma.mh(measure="OR", ai=ai, n1i=n1i, ci=ci, n2i=n2i, data=dat, slab=trial)
print(res, digits=2)

### forest plot
forest(res, xlim=c(-11,9), atransf=exp, at=log(c(0.01, 0.1, 1, 10, 100)),
       ilab=dat$year, ilab.xpos=-7)
text(-7, 35, "Year", font=2)

### cumulative meta-analysis
sav <- cumul(res)

### forest plot of the cumulative results
forest(sav, xlim=c(-5,4), atransf=exp, at=log(c(0.1, 0.5, 1, 2, 10)),
       ilab=dat$year, ilab.xpos=-3)
text(-3, 35, "Year", font=2)
id <- c(4, 8, 15, 33) # rows for which the z/p-values should be shown (as in Lau et al., 1992)
text(1.1, (res$k:1)[id], paste0("z = ", fmtx(sav$zval[id], digits=2),
                                fmtp(sav$pval[id], pname=", p", equal=TRUE, sep=TRUE, add0=TRUE)))
}
}
\keyword{datasets}
\concept{medicine}
\concept{cardiology}
\concept{odds ratios}
\concept{cumulative meta-analysis}
\section{Concepts}{
   medicine, cardiology, odds ratios, cumulative meta-analysis
}

\name{dat.spooner2002}
\docType{data}
\alias{dat.spooner2002}
\title{Studies on Nedocromil Sodium for Preventing Exercise-Induced Bronchoconstriction}
\description{Results from 17 trials, 11 studies in children and 6 studies in adults, reporting the maximum fall in the forced expiratory volume in 1 second (FEV_1) over the course of follow-up, expressed as a percentage.}
\usage{
dat.spooner2002
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{author}   \tab \code{character} \tab first author \cr
\bold{year}     \tab \code{character} \tab year of publication \cr
\bold{Ne}       \tab \code{integer}   \tab number of participants in nedocromil sodium group \cr
\bold{Me}       \tab \code{numeric}   \tab maximum fall in the FEV_1 (nedocromil sodium) \cr
\bold{Se}       \tab \code{numeric}   \tab standard deviation (nedocromil sodium) \cr
\bold{Nc}       \tab \code{integer}   \tab number of participants in placebo group \cr
\bold{Mc}       \tab \code{numeric}   \tab maximum fall in the FEV_1 (placebo) \cr
\bold{Sc}       \tab \code{numeric}   \tab standard deviation (placebo) \cr
\bold{agegroup} \tab \code{factor}    \tab age group (children or adults) \cr
\bold{order}    \tab \code{numeric}   \tab order of studies in Table 1.1 in the Cochrane review
}
}
\details{
   Spooner et al. (2002) conducted a Cochrane review comparing nedocromil sodium (experimental treatment) with placebo (control) for preventing exercise-induced bronchoconstriction. Primary outcome was the maximum fall in the forced expiratory volume in 1 second (FEV_1) over the course of follow-up, expressed as a percentage. This outcome is available for 17 studies, 11 studies in children and 6 studies in adults. For each study, the mean value, standard deviation, and sample size are reported for both the experimental and control group. The authors conducted a random-effects meta-analysis with the mean difference as effect measure, i.e.\ mean value in the nedocromil sodium group minus mean value in the placebo group.

   This data set is used as an example in Schwarzer et al. (2015).
}
\source{
   Spooner, C., Saunders, L. D., & Rowe, B. H. (2002). Nedocromil sodium for preventing exercise‐induced bronchoconstriction. \emph{Cochrane Database of Systematic Reviews}, \bold{1}, CD001183. \verb{https://doi.org/10.1002/14651858.CD001183}
}
\references{
   Schwarzer, G., Carpenter, J. R., & Rücker, G. (2015). \emph{Meta-analysis with R}. Cham, Switzerland: Springer.
}
\author{
   Guido Schwarzer, \email{guido.schwarzer@uniklinik-freiburg.de}, \url{https://github.com/guido-s/}
}
\examples{
### Show first five studies
head(dat.spooner2002, 5)

\dontrun{
### Load meta package
suppressPackageStartupMessages(library(meta))

### Use settings from RevMan5
oldset <- settings.meta("RevMan5")

### Conduct random effects meta-analysis with age subgroups
mc1 <- metacont(Ne, Me, Se, Nc, Mc, Sc,
                data = dat.spooner2002, studlab = paste(author, year),
                subgroup = agegroup, print.subgroup.name = FALSE,
                label.e = "Nedocromil sodium", label.c = "Placebo",
                common = FALSE)
mc1

### Use previous settings
settings.meta(oldset)
}
}
\keyword{datasets}
\concept{medicine}
\concept{pulmonology}
\concept{raw mean differences}
\concept{subgroup analysis}
\section{Concepts}{
   medicine, pulmonology, raw mean differences, subgroup analysis
}

\name{dat.kalaian1996}
\docType{data}
\alias{dat.kalaian1996}
\title{Studies on the Effectiveness of Coaching for the SAT}
\description{Results from studies examining the effectiveness of coaching on the performance on the Scholastic Aptitude Test (SAT).}
\usage{
dat.kalaian1996
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{id}          \tab \code{numeric}   \tab row (effect) id \cr
\bold{study}       \tab \code{character} \tab study identifier \cr
\bold{year}        \tab \code{numeric}   \tab publication year \cr
\bold{n1i}         \tab \code{numeric}   \tab number of participants in the coached group \cr
\bold{n2i}         \tab \code{numeric}   \tab number of participants in the uncoached group \cr
\bold{outcome}     \tab \code{character} \tab subtest (verbal or math) \cr
\bold{yi}          \tab \code{numeric}   \tab standardized mean difference \cr
\bold{vi}          \tab \code{numeric}   \tab corresponding sampling variance \cr
\bold{hrs}         \tab \code{numeric}   \tab hours of coaching \cr
\bold{ets}         \tab \code{numeric}   \tab study conducted by the Educational Testing Service (ETS) (0 = no, 1 = yes) \cr
\bold{homework}    \tab \code{numeric}   \tab assignment of homework outside of the coaching course (0 = no, 1 = yes) \cr
\bold{type}        \tab \code{numeric}   \tab study type (1 = randomized study, 2 = matched study, 3 = nonequivalent comparison study)
}
}
\details{
   The effectiveness of coaching for the Scholastic Aptitude Test (SAT) has been examined in numerous studies. This dataset contains standardized mean differences comparing the performance of a coached versus uncoached group on the verbal and/or math subtest of the SAT. Studies may report a standardized mean difference for the verbal subtest, the math subtest, or both. In the latter case, the two standardized mean differences are not independent (since they were measured in the same group of subjects). The number of hours of coaching (variable \code{hrs}), whether the study was conducted by the Educational Testing Service (variable \code{ets}), whether homework was assigned outside of the coaching course (variable \code{homework}), and the study type (variable \code{type}) may be potential moderators of the treatment effect.
}
\note{
   The dataset was obtained from Table 1 in Kalaian and Raudenbush (1996). However, there appear to be some inconsistencies between the data in the table and those that were actually used for the analyses (see \sQuote{Examples}).
}
\source{
   Kalaian, H. A., & Raudenbush, S. W. (1996). A multivariate mixed linear model for meta-analysis. \emph{Psychological Methods}, \bold{1}(3), 227--235. \verb{https://doi.org/10.1037/1082-989X.1.3.227}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.kalaian1996
head(dat, 12)

\dontrun{
### load metafor package
library(metafor)

### check ranges
range(dat$yi[dat$outcome == "verbal"]) # -0.35 to 0.74 according to page 230
range(dat$yi[dat$outcome == "math"])   # -0.53 to 0.60 according to page 231

### comparing this with Figure 1 in the paper reveals some discrepancies
par(mfrow=c(1,2), mar=c(5,5,1,3.4))
plot(log(dat$hrs[dat$outcome == "verbal"]), dat$yi[dat$outcome == "verbal"],
     pch=19, col=rgb(0,0,0,0.4), xlab="Log(Coaching Hours)", ylab="Effect Size (verbal)",
     xlim=c(1,6), ylim=c(-0.5,1), xaxs="i", yaxs="i")
abline(h=c(-0.5,0,0.5), lty="dotted")
abline(v=log(c(5,18)),  lty="dotted")
plot(log(dat$hrs[dat$outcome == "math"]), dat$yi[dat$outcome == "math"],
     pch=19, col=rgb(0,0,0,0.4), xlab="Log(Coaching Hours)", ylab="Effect Size (math)",
     xlim=c(1,6), ylim=c(-1.0,1), xaxs="i", yaxs="i")
abline(h=c(-0.5,0,0.5), lty="dotted")
abline(v=log(c(5,18)),  lty="dotted")

### construct variance-covariance matrix assuming rho = 0.66 for effect sizes
### corresponding to the 'verbal' and 'math' outcome types
V <- vcalc(vi, cluster=study, type=outcome, data=dat, rho=0.66)

### fit multivariate random-effects model
res <- rma.mv(yi, V, mods = ~ 0 + outcome,
              random = ~ outcome | study, struct="UN",
              data=dat, digits=3)
res

### test whether the effect differs for the math and verbal subtest
anova(res, X=c(1,-1))

### log-transform and mean center the hours of coaching variable
dat$loghrs <- log(dat$hrs) - mean(log(dat$hrs), na.rm=TRUE)

### fit multivariate model with log(hrs) as moderator
res <- rma.mv(yi, V, mods = ~ 0 + outcome + outcome:loghrs,
              random = ~ outcome | study, struct="UN",
              data=dat, digits=3)
res

### fit model with tau2 = 0 for outcome verbal (which also constrains rho = 0)
res <- rma.mv(yi, V, mods = ~ 0 + outcome + outcome:loghrs,
              random = ~ outcome | study, struct="UN", tau2=c(NA,0),
              data=dat, digits=3)
res
}
}
\keyword{datasets}
\concept{education}
\concept{standardized mean differences}
\concept{multivariate models}
\concept{meta-regression}
\section{Concepts}{
   education, standardized mean differences, multivariate models, meta-regression
}

\name{metadat-package}
\alias{metadat-package}
\alias{metadat}
\docType{package}
\title{Meta-Analysis Datasets for R}
\description{
   The \pkg{metadat} package contains a large collection of meta-analysis datasets. These datasets are useful for teaching purposes, illustrating/testing meta-analytic methods, and validating published analyses.
}
\section{Browsing and Searching for Datasets}{
   A listing of all datasets in the package can be obtained with \code{help(package=metadat)}. Each datasets is also tagged with one or multiple concept terms. These concept terms refer to various aspects of a dataset, such as the field/topic of research, the outcome measure used for the analysis, the model(s) used for analyzing the data, and the methods/concepts that can be illustrated with the dataset. The \code{\link{datsearch}} function can be used to search among the existing datasets in the package based on their concept terms or based on a full-text search of their corresponding help files.

   You can also read the documentation online at \url{https://wviechtb.github.io/metadat/} (where the output from the example analyses corresponding to each dataset is provided).
}
\section{Contributing New Datasets}{
   We welcome contributions of new datasets to the package. For each dataset, there must be a citable reference, ideally in a peer-reviewed journal or publication. The general workflow for contributing a new dataset is as follows:

   \itemize{
   \item Install the \code{metadat} package in R in the usual manner (i.e., \code{install.packages("metadat")}).
   \item If you are familiar with Git/GitHub and making pull requests, fork the \href{https://github.com/wviechtb/metadat}{package repository}. Otherwise, \href{https://github.com/wviechtb/metadat/archive/master.zip}{download} the source version of the package from GitHub and unzip the file to some directory on your computer.
   \item Place the raw data (in a non-binary format) in the \code{data-raw} directory. The file should be named \code{dat.<author><year>.<ext>}, where \code{<author>} is the last name of the first author of the publication from which the data come, \code{<year>} is the publication year, and \code{<ext>} is the file extension (e.g., \code{.txt}, \code{.csv}).
   \item Place a corresponding R script in the \code{data-raw} directory named \code{dat.<author><year>.r} that reads in the data, possibly does some data cleaning/processing, and then saves the dataset to the \code{data} directory (using \code{\link{save}}), with name \code{dat.<author><year>.rda}.
   \item Start R, load the \code{metadat} package (i.e., \code{library(metadat)}), and then run the \code{\link{prep_dat}} function (either set the working directory to the location of the source package beforehand or use the \code{pkgdir} argument of the \code{\link{prep_dat}} function to specify the source package location).
   \item For a new dataset, this should create a boilerplate template for a corresponding help file in the \code{man} directory, named \code{dat.<author><year>.Rd}. Edit the help file, adding the title and a short description of the dataset in general, a description of each variable in the dataset, further details on the dataset (e.g., the field of research, how the data was collected, the purpose of the dataset / what it was used for, the effect size or outcome measure used in the analysis, the types of analyses/models that can be illustrated with the dataset), a reference for the source of the dataset, one or multiple concept terms, the name and email address of the contributor of the dataset, and (optionally) example code to illustrate the analysis of the dataset.
   \item Either make a pull request (if you are familiar with this workflow) or zip up the \code{dat.<author><year>.<ext>}, \code{dat.<author><year>.r}, \code{dat.<author><year>.rda}, and \code{dat.<author><year>.Rd} files and open up a new \href{https://github.com/wviechtb/metadat/issues}{issue at GitHub}, attaching the zip file.
   \item If the above makes no sense to you, you can also email one of the package authors with a cleaned, raw data file in \code{.txt} or \code{.csv} format, along with a meta-data file (format doesn't matter) that includes the information described above.
   }
}
\section{Citing the Package}{
   If you use these data, please cite both the \pkg{metadat} package (see \code{citation("metadat")} for the reference) and the original source of the data as given under the help file of a dataset.
}
\section{Bug/Error Reports}{
   If you think you have found an error in an existing dataset or a bug in the package in general, please go to \url{https://github.com/wviechtb/metadat/issues} and open up a new issue.
}
\author{
   Thomas White, \email{thomas.white@sydney.edu.au} \cr
   Daniel Noble, \email{daniel.noble@anu.edu.au} \cr
   Alistair Senior, \email{alistair.senior@sydney.edu.au} \cr
   W. Kyle Hamilton, \email{whamilton@ucmerced.edu} \cr
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}
}
\keyword{package}

\name{dat.hannum2020}
\docType{data}
\alias{dat.hannum2020}
\title{Studies Comparing Objective and Subjective Olfactory Loss in COVID-19 Patients}
\description{Results from 35 studies measuring olfactory loss in COVID-19 patients using either objective or subjective measures.}
\usage{
dat.hannum2020
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{authorName}           \tab \code{character} \tab (first) author of study \cr
\bold{DOI}                  \tab \code{character} \tab article DOI number \cr
\bold{ni}                   \tab \code{numeric}   \tab number of Covid-19 positive patients in the study \cr
\bold{xi}                   \tab \code{numeric}   \tab number of Covid-19 positive patients in the study with olfactory loss \cr
\bold{percentOlfactoryLoss} \tab \code{numeric}   \tab percent of the sample with olfactory loss \cr
\bold{objectivity}          \tab \code{character} \tab objective or subjective measure used \cr
\bold{measured}             \tab \code{character} \tab outcome measure \cr
\bold{testType}             \tab \code{character} \tab type of test used \cr
\bold{country}              \tab \code{character} \tab country where patients were treated \cr
\bold{patientType}          \tab \code{character} \tab type of patient information and location where being treated
}
}
\details{
   One of the symptoms of COVID-19 infection is olfactory loss (loss of smell) either recently acquired anosmia (complete loss of smell) or hyposmia (partial loss of smell). One challenge to reaching this symptom is the wide range of reported prevalence for this symptom ranging from 5 percent to 98 percent. In this dataset studies were grouped into one of two groups based on the type of method used to measure smell loss (either subjective measures, such as self-reported smell loss, or objective measures using rated stimuli).
}
\source{
   Ramirez VA , Hannum ME, Lipson SJ, Herriman RD, Toskala AK, Lin C, Joseph PV, Reed DR. 2020. COVID-19 Smell Loss Prevalence Tracker. Available from: \verb{https://vicente-ramirez.shinyapps.io/COVID19_Olfactory_Dashboard/} and \verb{https://github.com/vramirez4/OlfactoryLoss} (accessed August 11, 2021)
}
\references{
   Hannum, M. E., Ramirez, V. A., Lipson, S. J., Herriman, R. D., Toskala, A. K., Lin, C., Joseph, P. V., & Reed, D. R. (2020). Objective sensory testing methods reveal a higher prevalence of olfactory loss in COVID-19 positive patients compared to subjective methods: A systematic review and meta-analysis. \emph{Chemical Senses}, \bold{45}(9), 865--874. \verb{https://doi.org/10.1093/chemse/bjaa064}
}
\author{
   W. Kyle Hamilton \email{whamilton@ucmerced.edu} \url{https://kylehamilton.com}
}
\examples{
# copy data into 'dat' and examine data
dat <- dat.hannum2020
dat

\dontrun{
# load metafor package
library(metafor)

# compute effect size
dat <- escalc(measure="PR", xi=xi, ni=ni, data=dat)

# split data into objective and subjective datasets
dat_split <- split(dat, dat$objectivity)
dat_objective <- dat_split[["Objective"]]
dat_subjective <- dat_split[["Subjective"]]

# random-effects model all studies
res_all <- rma(yi, vi, data=dat)
print(res_all, digits=2)

# random-effects model objective
res_objective <- rma(yi, vi, data=dat_objective)
print(res_objective, digits=2)

# random-effects model subjective
res_subjective <- rma(yi, vi, data=dat_subjective)
print(res_subjective, digits=2)
}
}
\keyword{datasets}
\concept{medicine}
\concept{covid-19}
\concept{proportions}
\section{Concepts}{
   medicine, covid-19, proportions
}

\name{dat.ursino2021}
\docType{data}
\alias{dat.ursino2021}
\title{Sorafenib Toxicity Dataset}
\description{13 studies investigating the occurrence of dose limiting toxicities (DLTs) at different doses of Sorafenib.}
\usage{
dat.ursino2021
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study}  \tab \code{character} \tab study label \cr
\bold{year}   \tab \code{integer}   \tab publication year \cr
\bold{dose}   \tab \code{numeric}   \tab dose (\eqn{\mathrm{mg}}) \cr
\bold{events} \tab \code{integer}   \tab number of DLTs \cr
\bold{total}  \tab \code{integer}   \tab number of patients exposed \cr
}
}
\details{
   Sorafenib (BAY 43-9006, Nexavar) is a kinase inhibitor that is used in the treatment of advanced renal cell carcinoma, hepatocellular carcinoma, and radioactive iodine resistant advanced thyroid carcinoma. Thirteen trials with published results, described in eleven manuscripts, were identified in a literature search. This dataset contains the doses investigated, the numbers of patients treated, and the number of dose-limiting toxicities (DLTs) observed. In general, each study investigated several doses according to some dose-escalation scheme.
}
\source{
   Ursino, M., \enc{Röver}{Roever}, C., Zohar,  S., & Friede T. (2021). Random-effects meta-analysis of phase I dose-finding studies using stochastic process priors. \emph{The Annals of Applied Statistics}, \bold{15}(1), 174--193. \verb{https://doi.org/10.1214/20-AOAS1390}

   \enc{Röver}{Roever}, C., Ursino, M., Friede, T., & Zohar, S. (2022). A straighforward meta-analysis approach for oncology phase I dose-finding studies. \emph{Statistics in Medicine}, \bold{41}(20), 3915--3940. \verb{https://doi.org/10.1002/sim.9484}
}
\references{
   European Medicines Agency (EMA) (2022). Nexavar (sorafenib) EPAR summary. \verb{https://www.ema.europa.eu/en/medicines/human/EPAR/nexavar}

   Awada, A., Hendlisz, A., Gil, T., \emph{et al.} (2005). Phase I safety and pharmacokinetics of BAY 43-9006 administered for 21 days on / 7 days off in patients with advanced, refractory solid tumours. \emph{British Journal of Cancer}, \bold{92}(10), 1855. \verb{https://doi.org/10.1038/sj.bjc.6602584}

   Clark, J. W., Eder, J. P., Ryan, D., Lathia, C., & Lenz, H.-J. (2005). Safety and pharmacokinetics of the dual action Raf kinase and vascular endothelial growth factor receptor inhibitor, BAY 43-9006, in patients with advanced, refractory solid tumors. \emph{Clinical Cancer Research}, \bold{11}(15), 5472--5480. \verb{https://doi.org/10.1158/1078-0432.CCR-04-2658}

   Moore, M., Hirte, H. W., Siu, L., \emph{et al.} (2005). Phase I study to determine the safety and pharmacokinetics of the novel Raf kinase and VEGFR inhibitor BAY 43-9006, administered for 28 days on / 7 days off in patients with advanced, refractory solid tumors. \emph{Annals of Oncology}, \bold{16}(10), 1688--1694. \verb{https://doi.org/10.1093/annonc/mdi310}

   Strumberg, D., Richly, H., Hilger, R. A., \emph{et al.} (2005). Phase I clinical and pharmacokinetic study of the novel Raf kinase and vascular endothelial growth factor receptor inhibitor BAY 43-9006 in patients with advanced refractory solid tumors. \emph{Journal of Clinical Oncology}, \bold{23}(5), 965--972. \verb{https://doi.org/10.1200/JCO.2005.06.124}

   Furuse, J., Ishii, H., Nakachi, K., Suzuki, E., Shimizu, S., & Nakajima, K. (2008). Phase I study of sorafenib in Japanese patients with hepatocellular carcinoma. \emph{Cancer Science}, \bold{99}(1), 159--165. \verb{https://doi.org/10.1111/j.1349-7006.2007.00648.x}

   Minami, H., Kawada, K., Ebi, H., \emph{et al.} (2008). Phase I and pharmacokinetic study of sorafenib, an oral multikinase inhibitor, in Japanese patients with advanced refractory solid tumors. \emph{Cancer Science}, \bold{99}(7), 1492--1498. \verb{https://doi.org/10.1111/j.1349-7006.2008.00837.x}

   Miller, A. A., Murry, D. J., Owzar, K., \emph{et al.} (2009). Phase I and pharmacokinetic study of sorafenib in patients with hepatic or renal dysfunction: CALGB 60301. \emph{Journal of Clinical Oncology}, \bold{27}(11), 1800. \verb{https://doi.org/10.1200/JCO.2008.20.0931}

   Crump, M., Hedley, D., Kamel-Reid, S., \emph{et al.} (2010). A randomized phase I clinical and biologic study of two schedules of sorafenib in patients with myelodysplastic syndrome or acute myeloid leukemia: A NCIC (National Cancer Institute of Canada) Clinical Trials Group Study. \emph{Leukemia and Lymphoma}, \bold{51}(2), 252--260. \verb{https://doi.org/10.3109/10428190903585286}

   Borthakur, G., Kantarjian, H., Ravandi, F., \emph{et al.} (2011). Phase I study of sorafenib in patients with refractory or relapsed acute Leukemias. \emph{Haematologica}, \bold{96}(1), 62--68. \verb{https://doi.org/10.3324/haematol.2010.030452}

   Nabors, L. B., Supko, J. G., Rosenfeld, M., \emph{et al.} (2011). Phase I trial of sorafenib in patients with recurrent or progressive malignant glioma. \emph{Neuro-Oncology}, \bold{13}(12), 1324--1330. \verb{https://doi.org/10.1093/neuonc/nor145}

   Chen, Y.-B., Li, S., Lane, A. A., \emph{et al.} (2014). Phase I trial of maintenance sorafenib after allogeneic hematopoietic stem cell transplantation for FMS-like tyrosine kinase 3 internal tandem duplication acute myeloid leukemia. \emph{Biology of Blood and Marrow Transplantation}, \bold{20}(12), 2042--2048. \verb{https://doi.org/10.1016/j.bbmt.2014.09.007}
}
\seealso{
   \code{\link{dat.roever2022}}
}
\author{
   Christian \enc{Röver}{Roever}, \email{christian.roever@med.uni-goettingen.de}
}
\examples{
# show (some) data
head(dat.ursino2021, n=15)

\dontrun{
# illustrate data
plot(NA, xlim=range(dat.ursino2021$dose), ylim=0:1,
     xlab="dose (mg)", ylab="proportion",
     main="dat.ursino2021 (Sorafenib data)")
studylab <- unique(dat.ursino2021$study)
colvec <- rainbow(length(studylab))
for (i in 1:length(studylab)) {
  idx <- (dat.ursino2021$study == studylab[i])
  lines(dat.ursino2021[idx,"dose"],
        dat.ursino2021[idx,"events"] / dat.ursino2021[idx,"total"],
        col=colvec[i], type="b")
}
legend("topleft", studylab, col=colvec, pch=15)
}
}
\keyword{datasets}
\concept{medicine}
\concept{oncology}
\concept{dose-response models}
\section{Concepts}{
   medicine, oncology, dose-response models
}

\name{dat.quan2000}
\docType{data}
\alias{dat.quan2000}
\title{Studies on Pharmacotherapy for Hypertension}
\description{Results from 11 studies evaluating pharmacotherapy in patients with hypertension.}
\usage{
dat.quan2000
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study} \tab \code{character} \tab study label \cr
\bold{Ee}    \tab \code{integer}   \tab fatal cerebrovascular events (pharmacotherapy) \cr
\bold{Ne}    \tab \code{integer}   \tab number of patients (pharmacotherapy) \cr
\bold{Ec}    \tab \code{integer}   \tab fatal cerebrovascular events (control) \cr
\bold{Nc}    \tab \code{integer}   \tab number of patients (control)
}
}
\details{
   Quan et al. (2000) conducted a Cochrane Review to evaluate whether the benefit of treating hypertension in women differed between younger and older women, as well as between white and African American women. In the systematic review, the Peto method was used for pooling. The primary outcome was the occurrence of fatal cerebrovascular events, a rare event in hypertension. The dataset contains the subgroup of women older than 55 years.

   This data set is used as an example in Schwarzer et al. (2015).
}
\source{
   Quan, A. P., Kerlikowske, K., Gueyffier, F., Boissel, J.-P., & INDANA Investigators (2010). Pharmacotherapy for hypertension in women of different races. \emph{Cochrane Database of Systematic Reviews}, \bold{2}, CD002146. \verb{https://doi.org/10.1002/14651858.cd002146}
}
\references{
   Schwarzer, G., Carpenter, J. R., & \enc{Rücker}{Ruecker}, G. (2015). \emph{Meta-analysis with R}. Cham, Switzerland: Springer.
}
\author{
   Guido Schwarzer, \email{guido.schwarzer@uniklinik-freiburg.de}, \url{https://github.com/guido-s/}
}
\examples{
### Show first five studies
head(dat.quan2000, 5)

\dontrun{
### Load meta package
suppressPackageStartupMessages(library(meta))

### Use RevMan 5 settings
oldset <- settings.meta("RevMan5")

### Conduct meta-analyis with Peto method
m <- metabin(Ee, Ne, Ec, Nc, sm = "OR", method = "Peto",
  data = dat.quan2000, studlab = study, random = FALSE)
m

### Use previous settings
settings.meta(oldset)
}
}
\keyword{datasets}
\concept{medicine}
\concept{cardiology}
\concept{Peto's method}
\section{Concepts}{
   medicine, cardiology, Peto's method
}

\name{prep_dat}
\alias{prep_dat}
\title{Data preparation function}
\description{Function to run data processing scripts.}
\usage{
prep_dat(rebuild=FALSE, overwrite, pkgdir)
}
\arguments{
   \item{rebuild}{logical indicating whether the entire database should be rebuild (default is \code{FALSE}).}
   \item{overwrite}{character vector with one or more \code{.Rd} filenames to overwrite (if they already exist). The default is to never overwrite any existing \code{.Rd} files.}
   \item{pkgdir}{character string specifying the root directory of the source package (if unspecified, the current working directory is assumed to be the package root directory).}
}
\details{
   The function is only for used for processing new datasets for inclusion in the package. It should be used as described on the \pkg{\link{metadat-package}} help page.
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}
}
\keyword{file}
\keyword{internal}

\name{dat.bartos2023}
\docType{data}
\alias{dat.bartos2023}
\title{Results of 350,757 Coin Flips to Examine Same-Side Bias}
\description{Results from 350,757 coin flips by 48 people to examine the presence of same-side bias.}
\usage{
dat.bartos2023
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{person} \tab \code{character} \tab person identifier \cr
\bold{hsame}  \tab \code{numeric}   \tab number of flips where the coin landed on heads and on the same side as where it started \cr
\bold{hdiff}  \tab \code{numeric}   \tab number of flips where the coin landed on heads and on the different side as where it started \cr
\bold{tsame}  \tab \code{numeric}   \tab number of flips where the coin landed on tails and on the same side as where it started \cr
\bold{tdiff}  \tab \code{numeric}   \tab number of flips where the coin landed on tails and on the different side as where it started \cr
\bold{same}   \tab \code{numeric}   \tab number of flips where the coin landed on the same side as where it started \cr
\bold{flips}  \tab \code{numeric}   \tab total number of flips
}
}
\details{
   In a landmark study by \enc{Bartoš}{Bartos} et al. (2023), 48 people flipped a coin (of various currencies and/or denominations) a total of 350,757 times, recording on each flip whether it landed on heads or tails and whether the coin landed on the same side as where it started or on the different side. The goal of this experiment was to examine the model by Diaconis, Holmes, and Montgomery (2007), according to which flipped coins have a slightly higher than 50\% chance (of around 51\% according to the D-H-M model) of landing on the same side as where they started.
}
\source{
   \enc{Bartoš}{Bartos}, F., Sarafoglou, A., Godmann, H. R., Sahrani, A., Leunk, D. K., Gui, P. Y., Voss, D., Ullah, K., Zoubek, M. J., Nippold, F., Aust, F., Vieira, F. F., Islam, C.-G., Zoubek, A. J., Shabani, S., Petter, J., Roos, I. B., Finnemann, A., Lob, A. B., Hoffstadt, M. F., Nak, J., de Ron, J., Derks, K., Huth, K., Terpstra, S., Bastelica, T., Matetovici, M., Ott, V. L., Zetea, A. S., Karnbach, K., Donzallaz, M. C., John, A., Moore, R. M., Assion, F., van Bork, R., Leidinger, T. E., Zhao, X., Motaghi, A. K., Pan, T., Armstrong, H., Peng, T., Bialas, M., Pang, J. Y.-C., Fu, B., Yang, S., Lin, X., Sleiffer, D., Bognar, M., Aczel, B., & Wagenmakers, E.-J. (2023). Fair coins tend to land on the same side they started: Evidence from 350,757 flips. \emph{arXiv}, 2310.04153, v2. \verb{https://arxiv.org/abs/2310.04153}
}
\references{
   Diaconis, P., Holmes, S., & Montgomery, R. (2007). Dynamical bias in the coin toss. \emph{SIAM Review}, \bold{49}(2), 211--235. \verb{https://doi.org/10.1137/s0036144504446436}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.bartos2023
dat

\dontrun{
### load metafor package
library(metafor)

### compute proportions and the corresponding sampling variances
dat <- escalc(measure="PR", xi=same, ni=flips, data=dat, slab=person)
dat

### compute confidence intervals for the individual proportions (as in Table 1)
summary(dat, digits=3)[c(1,6:8,13,14)]

### compute a confidence interval based on the column totals
summary(escalc(measure="PR", xi=sum(dat$same), ni=sum(dat$flips)), digits=3)

### this is the same as meta-analyzing the proportions directly using an equal-effects
### model and also computing the sampling variances under the assumption that the true
### proportions are homogeneous
rma(measure="PR", xi=same, ni=flips, vtype="AV", method="EE", data=dat, digits=3)

### fit a random-effects model
res <- rma(yi, vi, data=dat)
res

### profile likelihood confidence interval for tau^2
confint(res, type="PL")

### forest plot
forest(res, refline=0.5, xlim=c(0.38,0.72), digits=c(3,2), efac=c(0,1))

### funnel plot
funnel(res, xlim=c(0.45,0.6), ylim=c(0,0.02))

### fit a random-effects model excluding those with same-side proportions larger than 0.53
res <- rma(yi, vi, data=dat, subset=yi<=0.53)
res
confint(res, type="PL")

### fit a binomial-normal model
res <- rma.glmm(measure="PLO", xi=same, ni=flips, data=dat)
res
predict(res, transf=plogis)

### conduct a meta-analysis for the proportions of heads (to examine heads-tails bias)
dat <- escalc(measure="PR", xi=hdiff+hsame, ni=flips, data=dat)
res <- rma(yi, vi, data=dat)
res
confint(res, type="PL")

### restructure the dataset for a bivariate meta-analysis of same-side and heads proportions
dat <- dat.bartos2023
dat <- dat[rep(1:nrow(dat), each=2),]
rownames(dat) <- NULL
dat$outcome <- c("heads", "same")
dat <- escalc(measure="PR", xi=hsame+hdiff, ni=flips, data=dat, include=outcome=="heads")
dat <- escalc(measure="PR", xi=hsame+tsame, ni=flips, data=dat, include=outcome=="same")
dat

### construct the 2x2 variance-covariance matrix of the proportions within persons
dat$cov <- with(dat, (hsame/flips * (1-hsame/flips) - hsame/flips * tsame/flips -
                      hsame/flips * hdiff/flips - hdiff/flips * tsame/flips) / flips)
V <- lapply(split(dat, dat$person), \(x) matrix(c(x$vi[1], x$cov, x$vi[2]), nrow=2))

### fit bivariate meta-analysis model
res <- rma.mv(yi, V, mods = ~ 0 + outcome, random = ~ outcome | person, struct="UN", data=dat)
res

### create plot with confidence ellipses ('ellipse' package must be installed)
library(ellipse)
plot(NA, xlim=c(0.45,0.62), ylim=c(0.45,0.62), bty="l", xlab="Pr(heads)", ylab="Pr(same)")
abline(h=0.5, lty="dotted")
abline(v=0.5, lty="dotted")
# add confidence ellipses for persons
invisible(tapply(dat, dat$person, \(x) {
   xy <- ellipse(matrix(c(x$vi[1],x$cov,x$vi[2]), nrow=2), centre=x$yi, level=0.95)
   lines(xy[,1],xy[,2], col="gray80")
}))
# add the points
invisible(tapply(dat, dat$person, \(x) points(x$yi[1], x$yi[2], pch=21, bg="gray80", cex=1.5)))
# add the 95\% PI ellipsis based on the model
xy <- ellipse(res$G, centre=coef(res), level=0.95)
lines(xy[,1],xy[,2], col="gray30", lwd=3, lty="dotted")
# add the 95\% CI ellipsis based on the model
xy <- ellipse(vcov(res), centre=coef(res), level=0.95)
lines(xy[,1],xy[,2], col="gray30", lwd=3)
# add the point for the pooled effects
points(coef(res)[1], coef(res)[2], pch=21, bg="gray40", cex=2)
}
}
\keyword{datasets}
\concept{physics}
\concept{human factors}
\concept{proportions}
\concept{multivariate models}
\section{Concepts}{
   physics, human factors, proportions, multivariate models
}

\name{dat.chiarito2020}
\docType{data}
\alias{dat.chiarito2020}
\title{Studies Investigating the Efficacy of P2Y12-Inhibitors in Atherosclerosis}
\description{Data on baseline parameters, efficacy endpoints and risk-of-bias from nine studies.}
\usage{
dat.chiarito2020
}
\format{The data frame contains the following columns:
\tabular{lll}{
\bold{study}                  \tab \code{character} \tab study identifier \cr
\bold{year}                   \tab \code{numeric}   \tab publication year \cr
\bold{p2y12}                  \tab \code{character} \tab type of P2Y12 inhibitor \cr
\bold{duration.months}        \tab \code{numeric}   \tab study duration \cr
\bold{p2y12.daily.dosage}     \tab \code{character} \tab daily dosage of P2Y12 inhibitor \cr
\bold{aspirin.daily.dosage}   \tab \code{character} \tab daily dosage of aspirin \cr
\bold{p2y12.daily.mg}         \tab \code{numeric}   \tab daily dose of P2Y12 inhibitor (mg) \cr
\bold{aspirin.daily.mg}       \tab \code{numeric}   \tab daily dose of aspirin (mg) \cr
\bold{baseline.age}           \tab \code{numeric}   \tab mean age at baseline \cr
\bold{baseline.males}         \tab \code{numeric}   \tab proportion of males in study population \cr
\bold{baseline.diabetes}      \tab \code{numeric}   \tab proportion of diabetic patients in study population \cr
\bold{baseline.hypertension}  \tab \code{numeric}   \tab proportion of patients with hypertension in study population \cr
\bold{baseline.dyslipidaemia} \tab \code{numeric}   \tab proportion of patients with dyslipidaemia in study population \cr
\bold{p2y12.mi}               \tab \code{numeric}   \tab number of patients with myocardial infarction in experimental group \cr
\bold{p2y12.stroke}           \tab \code{numeric}   \tab number of patients with stroke in experimental group \cr
\bold{p2y12.death}            \tab \code{numeric}   \tab number of deaths in experimental group \cr
\bold{p2y12.vdeath}           \tab \code{numeric}   \tab number of vascular deaths in experimental group \cr
\bold{p2y12.total}            \tab \code{numeric}   \tab total number of patients experimental group \cr
\bold{aspirin.mi}             \tab \code{numeric}   \tab number of patients with myocardial infarction in control group \cr
\bold{aspirin.stroke}         \tab \code{numeric}   \tab number of patients with stroke in control group \cr
\bold{aspirin.death}          \tab \code{numeric}   \tab number of deaths in control group \cr
\bold{aspirin.vdeath}         \tab \code{numeric}   \tab number of vascular deaths in control group \cr
\bold{aspirin.total}          \tab \code{numeric}   \tab total number of patients in control group \cr
\bold{rob.R}                  \tab \code{factor}    \tab risk of bias arising from the randomization process (R) \cr
\bold{rob.D}                  \tab \code{factor}    \tab risk of bias due to deviations from intended interventions (D) \cr
\bold{rob.Mi}                 \tab \code{factor}    \tab risk of bias due to missing outcome data (Mi) \cr
\bold{rob.Me}                 \tab \code{factor}    \tab risk of bias in measurement of the outcome (Me) \cr
\bold{rob.S}                  \tab \code{factor}    \tab risk of bias in selection of the reported result (S) \cr
\bold{rob.overall}            \tab \code{factor}    \tab overall risk of bias
}
}
\details{
   Chiarito et al. (2020) reviewed studies investigating the efficacy of P2Y12-inhibitors (compared to aspirin) for the secondary prevention of myocardial infarction in patients with established atherosclerosis.

   A diagnosis of atherosclerosis, the development of lesions in arteries, is a risk factor for myocardial infarction or stroke, and a range of therapies (including aspirin, other drugs, or surgery) are available. P2Y12-inhibitors are antiplatelet drugs and as such might serve as an alternative to the commonly used aspirin; it was of interest to review and summarize the current scientific evidence on the efficacy of this type of drug in comparison to aspirin. To this end, Chiarito et al. (2020) performed a systematic review and meta-analysis; the systematic review had been pre-registered (PROSPERO CRD42018115037), and the investigation included a risk-of-bias assessment of the nine studies included. Co-primary endpoints were myocardial infarction and stroke, secondary endpoints were death and vascular death.
}
\source{
   Chiarito, M., Sanz-Sánchez, J., Cannata, F., Cao, D., Sturla, M., Panico, C., Godino, C., Regazzoli, D., Reimers, B., De Caterina, R., Condorelli, G., Ferrante, G., & Stefanini, G. G. (2020). Monotherapy with a P2Y12 inhibitor or aspirin for secondary prevention in patients with established atherosclerosis: A systematic review and meta-analysis. \emph{The Lancet}, \bold{395}(10235), 1487--1495. \verb{https://doi.org/10.1016/s0140-6736(20)30315-9}
}
\author{
   Christian \enc{Röver}{Roever}, \email{christian.roever@med.uni-goettingen.de}
}
\references{
   Zapf, A., \enc{Röver}{Roever}, C. (2023). Metaanalyse. In J. Gertheiss, M. Schmid, & M. Spindler (Eds.), \emph{Moderne Verfahren der Angewandten Statistik}. Berlin, Germany: Springer Spektrum. \verb{https://doi.org/10.1007/978-3-662-63496-7_19-1}
}
\examples{
dat.chiarito2020

\dontrun{
library(metafor)
library(meta)
library(bayesmeta)

# show plain data on stroke
dat.chiarito2020[-5, c("study","p2y12.stroke","p2y12.total","aspirin.stroke","aspirin.total")]

# show event rates in both treatment groups
cbind.data.frame("study"   = dat.chiarito2020$study,
                 "p2y12"   = dat.chiarito2020$p2y12.stroke / dat.chiarito2020$p2y12.total,
                 "aspirin" = dat.chiarito2020$aspirin.stroke / dat.chiarito2020$aspirin.total)

# compute effect measures (log-ORs)
# (using the "escalc()" function from the "metafor" package)
es.stroke <- escalc(measure="OR",
                    ai=p2y12.stroke,   n1i=p2y12.total,
                    ci=aspirin.stroke, n2i=aspirin.total,
                    slab=study, subset=is.finite(p2y12.stroke),
                    data=dat.chiarito2020)

# show effect measures (log-ORs)
summary(es.stroke)

# show effect measures (ORs und 95 percent CI)
cbind("study" = es.stroke$study,
      exp(summary(es.stroke)[,c("yi","ci.lb","ci.ub")]))

# show data in a forest plot
forestplot(es.stroke, xlab="log-OR")
forestplot(es.stroke, expo=TRUE, xlog=TRUE, xlab="odds ratio (OR)")

############################################################
#  meta-analysis (frequentist, "metafor" package)

# using default settings (random-effects model, REML-estimator)
rma.uni(es.stroke)

# analysis using Paule-Mandel estimator and HKSJ intervals
rma01 <- rma.uni(es.stroke, method="PM", test="knha")

# show results
rma01

# illustrate in a forest plot
forest(rma01)
forest(rma01, atransf=exp)

############################################################
#  meta-analysis (frequentist, "meta" package)

# analogous analysis to above, using the "meta" package
meta01 <- metabin(event.e=p2y12.stroke,   n.e=p2y12.total,
                  event.c=aspirin.stroke, n.c=aspirin.total,
                  studlab=study, data=dat.chiarito2020,
                  subset=is.finite(p2y12.stroke),
                  sm="OR",
                  method.tau="PM",
                  method.random.ci="HK", method="Inverse")

meta01
summary(meta01)
forest(meta01)

############################################################
#  meta-analysis (Bayesian, "bayesmeta" package)

# analysis using default settings (uniform prior for mu und tau)
bma01 <- bayesmeta(es.stroke)

# show results
bma01

# show forest plots (for log-OR and OR)
forestplot(bma01, xlab="log-OR")
forestplot(bma01, exponentiate=TRUE, xlog=TRUE, xlab="OR")
}
}
\keyword{datasets}
\concept{medicine}
\concept{cardiology}
\concept{odds ratios}
\concept{risk-of-bias}
\section{Concepts}{
   medicine, cardiology, odds ratios, risk-of-bias
}

\name{dat.craft2003}
\docType{data}
\alias{dat.craft2003}
\title{Studies on the Relationship between the Competitive State Anxiety Inventory-2 and Sport Performance}
\description{Results from 10 studies on the relationship between the Competitive State Anxiety Inventory-2 (CSAI-2) and sport performance.}
\usage{
dat.craft2003
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study} \tab \code{numeric}   \tab study number \cr
\bold{ni}    \tab \code{numeric}   \tab sample size \cr
\bold{sport} \tab \code{character} \tab type of sport (T = team sport, I = individual sport) \cr
\bold{ri}    \tab \code{numeric}   \tab correlation coefficient \cr
\bold{var1}  \tab \code{character} \tab variable 1 of the correlation coefficient (see \sQuote{Details}) \cr
\bold{var2}  \tab \code{character} \tab variable 2 of the correlation coefficient (see \sQuote{Details})
}
}
\details{
   The 10 studies included in this dataset are a subset of the studies included in the meta-analysis by Craft et al. (2003) on the relationship between the Competitive State Anxiety Inventory-2 (CSAI-2) and sport performance.

   The CSAI-2 has three subscales: cognitive anxiety (\code{acog}), somatic anxiety (\code{asom}), and self-confidence (\code{conf}). The studies included in this dataset administered the CSAI-2 prior to some sport competition and then measured sport performance based on the competition. Most studies provided all 6 correlations (3 for the correlations among the 3 subscales and 3 for the correlations between the subscales and sport performance), but 2 studies (with study numbers 6 and 17) only provided a subset.
}
\source{
   Becker, B. J., & Aloe, A. M. (2019). Model-based meta-analysis and related approaches. In H. Cooper, L. V. Hedges, & J. C. Valentine (Eds.), \emph{The handbook of research synthesis and meta-analysis} (3nd ed., pp. 339--363). New York: Russell Sage Foundation.
}
\references{
   Craft, L. L., Magyar, T. M., Becker, B. J., & Feltz, D. L. (2003). The relationship between the Competitive State Anxiety Inventory-2 and sport performance: A meta-analysis. \emph{Journal of Sport and Exercise Psychology}, \bold{25}(1), 44--65. \verb{https://doi.org/10.1123/jsep.25.1.44}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.craft2003
head(dat, 18)

\dontrun{
### load metafor package
library(metafor)

### construct dataset and var-cov matrix of the correlations
tmp <- rcalc(ri ~ var1 + var2 | study, ni=ni, data=dat)
V <- tmp$V
dat <- tmp$dat

### examine data for study 1
dat[dat$study == 1,]
V[dat$study == 1, dat$study == 1]

### examine data for study 6
dat[dat$study == 6,]
V[dat$study == 6, dat$study == 6]

### examine data for study 17
dat[dat$study == 17,]
V[dat$study == 17, dat$study == 17]

### multivariate random-effects model
res <- rma.mv(yi, V, mods = ~ 0 + var1.var2, random = ~ var1.var2 | study, struct="UN", data=dat)
res
}
}
\keyword{datasets}
\concept{psychology}
\concept{correlation coefficients}
\concept{multivariate models}
\section{Concepts}{
   psychology, correlation coefficients, multivariate models
}

\name{dat.woods2010}
\docType{data}
\alias{dat.woods2010}
\title{Studies on Treatments for Chronic Obstructive Pulmonary Disease}
\description{Results from 3 trials examining the mortality risk of three treatments and placebo in patients with chronic obstructive pulmonary disease.}
\usage{
dat.woods2010
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{author}    \tab \code{character} \tab first author / study name \cr
\bold{treatment} \tab \code{character} \tab treatment \cr
\bold{r}         \tab \code{integer}   \tab number of deaths \cr
\bold{N}         \tab \code{integer}   \tab number of patients
}
}
\details{
   Count mortality statistics in randomised controlled trials of treatments for chronic obstructive pulmonary disease (Woods et al., 2010, Table 1).
}
\source{
   Woods, B. S., Hawkins, N., & Scott, D. A. (2010). Network meta-analysis on the log-hazard scale, combining count and hazard ratio statistics accounting for multi-arm trials: A tutorial. \emph{BMC Medical Research Methodology}, \bold{10}, 54. \verb{https://doi.org/10.1186/1471-2288-10-54}
}
\author{
   Guido Schwarzer, \email{guido.schwarzer@uniklinik-freiburg.de}, \url{https://github.com/guido-s/}
}
\examples{
### Show full dataset
dat.woods2010

\dontrun{
### Load netmeta package
suppressPackageStartupMessages(library(netmeta))

### Print odds ratios and confidence limits with two digits
oldset <- settings.meta(digits = 2)

### Change appearance of confidence intervals
cilayout("(", "-")

### Transform data from long arm-based format to contrast-based
### format. Argument 'sm' has to be used for odds ratio as summary
### measure; by default the risk ratio is used in the metabin function
### called internally.
pw <- pairwise(treatment, event = r, n = N,
  studlab = author, data = dat.woods2010, sm = "OR")
pw

### Conduct network meta-analysis
net <- netmeta(pw)
net

### Show forest plot
forest(net, ref = "Placebo", drop = TRUE,
  leftlabs = "Contrast to Placebo")

### Use previous settings
settings.meta(oldset)
}
}
\keyword{datasets}
\concept{medicine}
\concept{odds ratios}
\concept{network meta-analysis}
\section{Concepts}{
   medicine, odds ratios, network meta-analysis
}

\name{dat.tannersmith2016}
\docType{data}
\alias{dat.tannersmith2016}
\title{Studies on the Relationship between School Motivation and Criminal Behavior}
\description{Results from 17 studies on the correlation between school motivation/attitudes and subsequent delinquent/criminal behavior.}
\usage{
dat.tannersmith2016
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{studyid}  \tab \code{numeric}   \tab study identifier \cr
\bold{yi}       \tab \code{numeric}   \tab r-to-z transformed correlation coefficient \cr
\bold{vi}       \tab \code{numeric}   \tab corresponding sampling variance \cr
\bold{sei}      \tab \code{numeric}   \tab corresponding standard error \cr
\bold{aget1}    \tab \code{numeric}   \tab age at which the school motivation/attitudes were assessed \cr
\bold{aget2}    \tab \code{numeric}   \tab age at which the delinquent/criminal behavior was assessed \cr
\bold{propmale} \tab \code{numeric}   \tab proportion of male participants in the sample \cr
\bold{sexmix}   \tab \code{character} \tab whether the sample consisted only of males, only of females, or a mix
}
}
\details{
   The dataset includes 113 r-to-z transformed correlation coefficients from 17 prospective longitudinal studies that examined the relationship between school motivation/attitudes and subsequent delinquent/criminal behavior.

   Multiple coefficients could be extracted from the studies \dQuote{given the numerous ways in which school motivation/attitudes variables could be operationalized (e.g., academic aspirations, academic self-efficacy) as well as the numerous ways in which crime/delinquency could be operationalized (e.g., property crime, violent crime)} (Tanner-Smith et al., 2016).

   Since information to compute the covariance between multiple coefficients within studies is not available, Tanner-Smith et al. (2016) illustrate the use of cluster-robust inference methods for the analysis of this dataset.

   Note that this dataset is only meant to be used for pedagogical and demonstration purposes and does not constitute a proper review or synthesis of the complete and current research evidence on the given topic.
}
\source{
   Tanner-Smith, E. E., Tipton, E. & Polanin, J. R. (2016). Handling complex meta-analytic data structures using robust variance estimates: A tutorial in R. \emph{Journal of Developmental and Life-Course Criminology}, \bold{2}(1), 85--112. \verb{https://doi.org/10.1007/s40865-016-0026-5}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.tannersmith2016
head(dat)

\dontrun{
### load metafor package
library(metafor)

### compute mean age variables within studies
dat$aget1 <- ave(dat$aget1, dat$studyid)
dat$aget2 <- ave(dat$aget2, dat$studyid)

### construct an effect size identifier variable
dat$esid <- 1:nrow(dat)

### construct an approximate var-cov matrix assuming a correlation of 0.8
### for multiple coefficients arising from the same study
V <- vcalc(vi, cluster=studyid, obs=esid, rho=0.8, data=dat)

### fit a multivariate random-effects model using the approximate var-cov matrix V
res <- rma.mv(yi, V, random = ~ esid | studyid, data=dat)
res

### use cluster-robust inference methods
robust(res, cluster=studyid, clubSandwich=TRUE)

### note: the results obtained above and below are slightly different compared
### to those given by Tanner-Smith et al. (2016) since the approach illustrated
### here makes use a multivariate random-effects model for the 'working model'
### before applying the cluster-robust inference methods, while the results given
### in the paper are based on a somewhat simpler working model

### examine the main effects of the age variables
res <- rma.mv(yi, V, mods = ~ aget1 + aget2,
              random = ~ 1 | studyid/esid, data=dat)
robust(res, cluster=studyid, clubSandwich=TRUE)

### also examine their interaction
res <- rma.mv(yi, V, mods = ~ aget1 * aget2,
              random = ~ 1 | studyid/esid, data=dat)
robust(res, cluster=studyid, clubSandwich=TRUE)

### add the sexmix factor to the model
res <- rma.mv(yi, V, mods = ~ aget1 * aget2 + sexmix,
              random = ~ 1 | studyid/esid, data=dat)
robust(res, cluster=studyid, clubSandwich=TRUE)
}
}
\keyword{datasets}
\concept{psychology}
\concept{criminology}
\concept{correlation coefficients}
\concept{multilevel models}
\concept{cluster-robust inference}
\concept{meta-regression}
\section{Concepts}{
   psychology, criminology, correlation coefficients, multilevel models, cluster-robust inference, meta-regression
}

\name{dat.bassler2004}
\docType{data}
\alias{dat.bassler2004}
\title{Studies on Ketotifen Alone or as Additional Medication for Long-Term Control of Asthma and Wheeze in Children}
\description{Results from 10 trials reporting the physicians' judgement on the overall efficacy of ketotifen for long-term control of asthma and wheeze in children.}
\usage{
dat.bassler2004
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study} \tab \code{character} \tab study label \cr
\bold{Ee}    \tab \code{integer}   \tab number of children with treament success (ketotifen group) \cr
\bold{Ne}    \tab \code{integer}   \tab number of children (ketotifen group) \cr
\bold{Ec}    \tab \code{integer}   \tab number of children with treament success (control group) \cr
\bold{Nc}    \tab \code{integer}   \tab number of children (control group) \cr
\bold{blind} \tab \code{character} \tab blinding of clinicians \cr
}
}
\details{
   Results from 10 trials reporting the physicians' judgement on the overall efficacy of Ketotifen for long-term control of asthma and wheeze in children. A prespecified subgroup analysis was conducted to evaluate whether the treatment effect is different in trials with adequate blinding compared to trials with inadequate / unclear blinding.

   This data set is used as an example in Schwarzer et al. (2015).
}

\source{
   Bassler D., Mitra A. A. D., Ducharme F. M., Forster J., & Schwarzer, G. (2004). Ketotifen alone or as additional medication for long-term control of asthma and wheeze in children. \emph{Cochrane Database of Systematic Reviews}, \bold{1}, CD001384. \verb{https://doi.org/10.1002/14651858.CD001384.pub2}
}
\references{
   Schwarzer, G., Carpenter, J. R., & Rücker, G. (2015). \emph{Meta-analysis with R}. Cham, Switzerland: Springer.
}
\author{
   Guido Schwarzer, \email{guido.schwarzer@uniklinik-freiburg.de}, \url{https://github.com/guido-s/}
}
\examples{
### Show full data set
dat.bassler2004

\dontrun{
### Load meta package
suppressPackageStartupMessages(library(meta))

### Use DerSimonian-Laird estimator (which was the default in meta in the year 2015).
### Furthermore, print meta-analysis results with two digits.
oldset <- settings.meta(method.tau = "DL", digits = 2)

### Calculate experimental and control event rates
with(dat.bassler2004, summary(Ee / Ne))
with(dat.bassler2004, summary(Ec / Nc))

### Conduct meta-analysis using the inverse variance method
mb3 <- metabin(Ee, Ne, Ec, Nc, method = "I",
               data = dat.bassler2004, studlab = study)
mb3

### Conduct subgroup analysis comparing trials with adequate blinding
### to trials with inadequate or unclear blinding
mb3s <- update(mb3, subgroup = blind, print.subgroup.name = FALSE)
mb3s

### Conduct subgroup analysis assuming common between-study variance in subgroups
mb3s.c <- update(mb3s, tau.common = TRUE)
mb3s.c

### Use previous settings
settings.meta(oldset)
}
}
\keyword{datasets}
\concept{risk ratios}
\concept{medicine}
\concept{subgroup analysis}
\section{Concepts}{
   risk ratios, medicine, subgroup analysis
}

\name{dat.anand1999}
\docType{data}
\alias{dat.anand1999}
\title{Studies on the Effectiveness of Oral Anticoagulants in Patients with Coronary Artery Disease}
\description{Results from 34 trials examining the effectiveness of oral anticoagulants in patients with coronary artery disease.}
\usage{
dat.anand1999
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study}     \tab \code{character} \tab author(s) or trial name \cr
\bold{year}      \tab \code{numeric}   \tab publication year \cr
\bold{intensity} \tab \code{character} \tab intensity of anticoagulation (low, medium, or high) \cr
\bold{asp.t}     \tab \code{numeric}   \tab concomitant use of aspirin in the treatment group (0 = no, 1 = yes) \cr
\bold{asp.c}     \tab \code{numeric}   \tab concomitant use of aspirin in the control group (0 = no, 1 = yes) \cr
\bold{ai}        \tab \code{numeric}   \tab number of deaths in the treatment group \cr
\bold{n1i}       \tab \code{numeric}   \tab number of patients in the treatment group \cr
\bold{ci}        \tab \code{numeric}   \tab number of deaths in the control group \cr
\bold{n2i}       \tab \code{numeric}   \tab number of patients in the control group
}
}
\details{
   The dataset includes the results from 34 randomized clinical trials that examined the effectiveness of oral anticoagulants in patients with coronary artery disease. The results given here are focused on the total mortality in the treatment versus control groups.
}
\note{
   Strictly speaking, there are only 31 trials, since Breddin et al. (1980) and ATACS (1990) are multiarm trials.

   According to a correction, \code{dat.anand1999$ci[29]} should be 1. But then \code{dat.anand1999$ci[21]} would also have to be 1 (if these data indeed refer to the same control group). This appears contradictory, so this correction was not made.
}
\source{
   Anand, S. S., & Yusuf, S. (1999). Oral anticoagulant therapy in patients with coronary artery disease: A meta-analysis. \emph{Journal of the American Medical Association}, \bold{282}(21), 2058--2067. \verb{https://doi.org/10.1001/jama.282.21.2058}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.anand1999
dat

\dontrun{
### load metafor package
library(metafor)

### High-Intensity OA vs Control
rma.mh(measure="OR", ai=ai, n1i=n1i, ci=ci, n2i=n2i, data=dat,
       subset=(intensity=="high" & asp.t==0 & asp.c==0), digits=2)

### High- or Moderate-Intensity OA vs Aspirin
rma.mh(measure="OR", ai=ai, n1i=n1i, ci=ci, n2i=n2i, data=dat,
       subset=(intensity \%in\% c("high","moderate") & asp.t==0 & asp.c==1), digits=2)

### Moderate-Intensity OA vs Control
rma.mh(measure="OR", ai=ai, n1i=n1i, ci=ci, n2i=n2i, data=dat,
       subset=(intensity=="moderate" & asp.t==0 & asp.c==0), digits=2)

### High- or Moderate-Intensity OA and Aspirin vs Aspirin
rma.mh(measure="OR", ai=ai, n1i=n1i, ci=ci, n2i=n2i, data=dat,
       subset=(intensity \%in\% c("high","moderate") & asp.t==1 & asp.c==1), digits=2)

### Low-Intensity OA and Aspirin vs Aspirin
rma.mh(measure="OR", ai=ai, n1i=n1i, ci=ci, n2i=n2i, data=dat,
       subset=(intensity=="low" & asp.t==1 & asp.c==1), digits=2)
}
}
\keyword{datasets}
\concept{medicine}
\concept{cardiology}
\concept{odds ratios}
\concept{Mantel-Haenszel method}
\section{Concepts}{
   medicine, cardiology, odds ratios, Mantel-Haenszel method
}

\name{dat.knapp2017}
\docType{data}
\alias{dat.knapp2017}
\title{Studies on Differences in Planning Performance in Schizophrenia Patients versus Healthy Controls}
\description{Results from 31 studies examining differences in planning performance in schizophrenia patients versus healthy controls.}
\usage{
dat.knapp2017
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{author}     \tab \code{character} \tab study author(s) \cr
\bold{year}       \tab \code{numeric}   \tab publication year \cr
\bold{study}      \tab \code{numeric}   \tab study id number \cr
\bold{task}       \tab \code{character} \tab type of task \cr
\bold{difficulty} \tab \code{numeric}   \tab task difficulty \cr
\bold{group1}     \tab \code{character} \tab identifier for patient group within studies \cr
\bold{group2}     \tab \code{character} \tab identifier for control group within studies \cr
\bold{comp}       \tab \code{numeric}   \tab identifier for comparisons within studies \cr
\bold{yi}         \tab \code{numeric}   \tab standardized mean difference for planning performance \cr
\bold{vi}         \tab \code{numeric}   \tab corresponding sampling variance \cr
\bold{n_sz}       \tab \code{numeric}   \tab number of schizophrenic patients \cr
\bold{n_hc}       \tab \code{numeric}   \tab number of healthy controls \cr
\bold{yi}         \tab \code{numeric}   \tab standardized mean difference for IQ \cr
\bold{vi}         \tab \code{numeric}   \tab corresponding sampling variance
}
}
\details{
   The studies included in this dataset examined differences between schizophrenia patients and healthy controls with respect to their performance on the tower of London test (\url{https://en.wikipedia.org/wiki/Tower_of_London_test}) or a similar cognitive tasks measuring planning ability. The outcome measure for this meta-analysis was the standardized mean difference (with positive values indicating better performance in the healthy controls compared to the schizophrenia patients).

   The dataset has a more complex structure for several reasons:
   \enumerate{
   \item Studies 2, 3, 9, and 20 included more than one schizophrenia patient group and the standardized mean differences were computed by comparing these groups against a single healthy control group.
   \item Studies 6, 12, 14, 15, 18, 19, 22, and 26 had the patients and controls complete different tasks of varying complexity (essentially the average number of moves required to complete a task). Study 6 also included two different task types.
   \item Study 24 provides two standardized mean differences, one for men and the other for women.
   \item Study 29 provides three standardized mean differences, corresponding to the three different COMT Val158Met genotypes (val/val, val/met, and met/met).
   }
   All 4 issues described above lead to a multilevel structure in the dataset, with multiple standardized mean differences nested within some of the studies. Issues 1. and 2. also lead to correlated sampling errors.
}
\source{
   Knapp, F., Viechtbauer, W., Leonhart, R., Nitschke, K., & Kaller, C. P. (2017). Planning performance in schizophrenia patients: A meta-analysis of the influence of task difficulty and clinical and sociodemographic variables. \emph{Psychological Medicine}, \bold{47}(11), 2002--2016. \verb{https://doi.org/10.1017/S0033291717000459}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.knapp2017
dat[-c(1:2)]

\dontrun{
### load metafor package
library(metafor)

### fit a standard random-effects model ignoring the issues described above
res <- rma(yi, vi, data=dat)
res

### fit a multilevel model with random effects for studies and comparisons within studies
### (but this ignored the correlation in the sampling errors)
res <- rma.mv(yi, vi, random = ~ 1 | study/comp, data=dat)
res

### create variable that indicates the task and difficulty combination as increasing integers
dat$task.diff <- unlist(lapply(split(dat, dat$study), function(x) {
   task.int <- as.integer(factor(x$task))
   diff.int <- as.integer(factor(x$difficulty))
   diff.int[is.na(diff.int)] <- 1
   paste0(task.int, ".", diff.int)}))

### construct correlation matrix for two tasks with four different difficulties where the
### correlation is 0.4 for different difficulties of the same task, 0.7 for the same
### difficulty of different tasks, and 0.28 for different difficulties of different tasks
R <- matrix(0.4, nrow=8, ncol=8)
R[5:8,1:4] <- R[1:4,5:8] <- 0.28
diag(R[1:4,5:8]) <- 0.7
diag(R[5:8,1:4]) <- 0.7
diag(R) <- 1
rownames(R) <- colnames(R) <- paste0(rep(1:2, each=4), ".", 1:4)
R

### construct an approximate V matrix accounting for the use of shared groups and
### for correlations among tasks/difficulties as specified in the R matrix above
V <- vcalc(vi, cluster=study, grp1=group1, grp2=group2, w1=n_sz, w2=n_hc,
           obs=task.diff, rho=R, data=dat)

### correlation matrix for study 3 with four patient groups and a single control group
round(cov2cor(V[dat$study == 3, dat$study == 3]), 2)

### correlation matrix for study 6 with two tasks with four difficulties
cov2cor(V[dat$study == 6, dat$study == 6])

### correlation matrix for study 24 with two independent groups
cov2cor(V[dat$study == 24, dat$study == 24])

### correlation matrix for study 29 with three independent groups
cov2cor(V[dat$study == 29, dat$study == 29])

### fit multilevel model as above, but now use this V matrix in the model
res <- rma.mv(yi, V, random = ~ 1 | study/comp, data=dat)
res
predict(res, digits=2)

### use cluster-robust inference methods based on this model
robust(res, cluster=study)

### use methods from the clubSandwich package
robust(res, cluster=study, clubSandwich=TRUE)

### examine if task difficulty is a potential moderator of the effect
res <- rma.mv(yi, V, mods = ~ difficulty, random = ~ 1 | study/comp, data=dat)
res
sav <- robust(res, cluster=study)
sav
sav <- robust(res, cluster=study, clubSandwich=TRUE)
sav

### draw bubble plot
regplot(sav, xlab="Task Difficulty", ylab="Standardized Mean Difference", las=1, digits=1, bty="l")
}
}
\keyword{datasets}
\concept{psychology}
\concept{standardized mean differences}
\concept{multilevel models}
\concept{multivariate models}
\concept{cluster-robust inference}
\concept{meta-regression}
\section{Concepts}{
   psychology, standardized mean differences, multilevel models, multivariate models, cluster-robust inference, meta-regression
}

\name{dat.landenberger2005}
\docType{data}
\alias{dat.landenberger2005}
\title{Studies on the Effectiveness of CBT for Reducing Recidivism}
\description{Results from 58 studies on the effectiveness of cognitive-behavioral therapy (CBT) for reducing recidivism in juvenile and adult offenders.}
\usage{
dat.landenberger2005
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study}            \tab \code{character} \tab (first) author and year \cr
\bold{pubtype}          \tab \code{character} \tab publication type (book chapter, journal article, report, or thesis) \cr
\bold{country}          \tab \code{character} \tab country where study was carried out (Canada, New Zealand, UK, or USA) \cr
\bold{design}           \tab \code{character} \tab study design (matched groups, nonequivalent groups, or randomized trial) \cr
\bold{program}          \tab \code{character} \tab purpose of setting up the CBT program (for demonstration, practice, or research purposes) \cr
\bold{setting}          \tab \code{character} \tab treatment setting (community or prison) \cr
\bold{designprob}       \tab \code{character} \tab indication of study design problems (no, favors the control group, or favors the treatment group) \cr
\bold{n.ctrl.rec}       \tab \code{numeric}   \tab number of recidivists in the control group \cr
\bold{n.ctrl.non}       \tab \code{numeric}   \tab number of non-recidivists in the control group \cr
\bold{n.cbt.rec}        \tab \code{numeric}   \tab number of recidivists in the CBT group \cr
\bold{n.cbt.non}        \tab \code{numeric}   \tab number of non-recidivists in the CBT group \cr
\bold{interval}         \tab \code{numeric}   \tab recidivism interval (in months) \cr
\bold{group}            \tab \code{numeric}   \tab study group (adults or juveniles) \cr
\bold{age}              \tab \code{numeric}   \tab mean age of the study group \cr
\bold{male}             \tab \code{numeric}   \tab percentage of males in the study group \cr
\bold{minority}         \tab \code{numeric}   \tab percentage of minorities in the study group \cr
\bold{length}           \tab \code{numeric}   \tab treatment length (in weeks) \cr
\bold{sessions}         \tab \code{numeric}   \tab number of CBT sessions per week \cr
\bold{hrs_week}         \tab \code{numeric}   \tab treatment hours per week \cr
\bold{hrs_total}        \tab \code{numeric}   \tab total hours of treatment \cr
\bold{cbt.cogskills}    \tab \code{character} \tab CBT component: cognitive skills (yes, no) \cr
\bold{cbt.cogrestruct}  \tab \code{character} \tab CBT component: cognitive restructuring (yes, no) \cr
\bold{cbt.intpprbsolv}  \tab \code{character} \tab CBT component: interpersonal problem solving (yes, no) \cr
\bold{cbt.socskills}    \tab \code{character} \tab CBT component: social skills (yes, no) \cr
\bold{cbt.angerctrl}    \tab \code{character} \tab CBT component: anger control (yes, no) \cr
\bold{cbt.victimimpact} \tab \code{character} \tab CBT component: victim impact (yes, no) \cr
\bold{cbt.subabuse}     \tab \code{character} \tab CBT component: substance abuse (yes, no) \cr
\bold{cbt.behavmod}     \tab \code{character} \tab CBT component: behavior modification (yes, no) \cr
\bold{cbt.relapseprev}  \tab \code{character} \tab CBT component: relapse prevention (yes, no) \cr
\bold{cbt.moralrsng}    \tab \code{character} \tab CBT component: moral reasoning (yes, no) \cr
\bold{cbt.roletaking}   \tab \code{character} \tab CBT component: role taking (yes, no) \cr
\bold{cbt.other}        \tab \code{character} \tab CBT component: other (yes, no)
}
}
\details{
   Landenberger and Lipsey (2005) conducted a meta-analysis of 58 experimental and quasi-experimental studies of the effects of cognitive-behavioral therapy (CBT) on the recidivism rates of adult and juvenile offenders (see also Lipsey et al., 2007). The present dataset includes the results of these studies and a range of potential moderator variables to identify factors associated with variation in treatment effects.
}
\source{
   Personal communication.
}
\references{
   Landenberger, N. A., & Lipsey, M. W. (2005). The positive effects of cognitive-behavioral programs for offenders: A meta-analysis of factors associated with effective treatment. \emph{Journal of Experimental Criminology}, \bold{1}, 451--476. \verb{https://doi.org/10.1007/s11292-005-3541-7}

   Lipsey, M. W., Landenberger, N. A., & Wilson, S. J. (2007). Effects of cognitive-behavioral programs for criminal offenders. \emph{Campbell Systematic Reviews}, \bold{3}(1), 1--27. \verb{https://doi.org/10.4073/csr.2007.6}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.landenberger2005
head(dat)

\dontrun{
### load metafor package
library(metafor)

### calculate log odds ratios (for non-recidivism in CBT vs. control groups) and sampling variances
dat <- escalc(measure="OR", ai=n.cbt.non, bi=n.cbt.rec, ci=n.ctrl.non, di=n.ctrl.rec, data=dat)

### fit random-effects model
res <- rma(yi, vi, data=dat)
res

### estimated average OR and corresponding 95\% CI/PI
predict(res, transf=exp, digits=2)

### examine if number of treatment sessions per week is a potential moderator
res <- rma(yi, vi, mods = ~ sessions, data=dat)
res

### predicted ORs for 1, 2, 5, or 10 sessions per week
predict(res, newmods=c(1,2,5,10), transf=exp, digits=2)
}
}
\keyword{datasets}
\concept{psychology}
\concept{criminology}
\concept{odds ratios}
\concept{meta-regression}
\section{Concepts}{
   psychology, criminology, odds ratios, meta-regression
}

\name{dat.hartmannboyce2018}
\docType{data}
\alias{dat.hartmannboyce2018}
\title{Studies on the Effectiveness of Nicotine Replacement Therapy for Smoking Cessation}
\description{Results from 133 studies examining the effectiveness of nicotine replacement therapy (NRT) for smoking cessation at 6+ months of follow-up.}
\usage{
dat.hartmannboyce2018
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study}     \tab \code{numeric}   \tab study identifier \cr
\bold{x.nrt}     \tab \code{numeric}   \tab number of participants in the NRT group who were abstinent at the follow-up \cr
\bold{n.nrt}     \tab \code{numeric}   \tab number of participants in the NRT group \cr
\bold{x.ctrl}    \tab \code{numeric}   \tab number of participants in the control group who were abstinent at the follow-up \cr
\bold{n.ctrl}    \tab \code{numeric}   \tab number of participants in the control group \cr
\bold{treatment} \tab \code{character} \tab type of NRT provided in the treatment group
}
}
\details{
   The dataset includes the results from 133 studies examining the effectiveness of nicotine replacement therapy (NRT) for smoking cessation. The results given in this dataset pertain to abstinence at 6+ months of follow-up. NRT was provided to participants in the treatment groups in various forms as indicated by the \code{treatment} variable (e.g., gum, patch, inhalator). Note that the dataset includes 136 rows, since a few studies included multiple treatments.
}
\source{
   Hartmann‐Boyce, J., Chepkin, S. C., Ye, W., Bullen, C. & Lancaster, T. (2018). Nicotine replacement therapy versus control for smoking cessation. \emph{Cochrane Database of Systematic Reviews}, \bold{5}, CD000146. \verb{https://doi.org//10.1002/14651858.CD000146.pub5}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.hartmannboyce2018
head(dat, 10)

\dontrun{
### load metafor package
library(metafor)

### turn treatment into a factor with the desired ordering
dat$treatment <- factor(dat$treatment, levels=unique(dat$treatment))

### meta-analysis per treatment using the M-H method
lapply(split(dat, dat$treatment), function(x)
       rma.mh(measure="RR", ai=x.nrt,  n1i=n.nrt,
                            ci=x.ctrl, n2i=n.ctrl, data=x, digits=2))

### all combined
rma.mh(measure="RR", ai=x.nrt,  n1i=n.nrt,
                     ci=x.ctrl, n2i=n.ctrl, data=dat, digits=2)
}
}
\keyword{datasets}
\concept{medicine}
\concept{smoking}
\concept{risk ratios}
\concept{Mantel-Haenszel method}
\section{Concepts}{
   medicine, smoking, risk ratios, Mantel-Haenszel method
}

\name{dat.bakdash2021}
\docType{data}
\alias{dat.bakdash2021}
\title{Dataset on Situation Awareness and Task Performance Associations}
\description{Results from 77 papers with 678 effects evaluating associations among measures of situation awareness and task performance.}
\usage{
dat.bakdash2021
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{Author}            \tab \code{character} \tab paper author(s) \cr
\bold{Year}              \tab \code{integer}   \tab year of paper publication \cr
\bold{Title}             \tab \code{character} \tab title of paper \cr
\bold{DOI}               \tab \code{character} \tab digital object identifier (DOI) \cr
\bold{DTIC.link}         \tab \code{character} \tab permanent link for Defense Technical Information Collection (DITC) reports; see: \verb{https://www.dtic.mil} \cr
\bold{SA.measure.type}   \tab \code{character} \tab type of SA measure \cr
\bold{Sample.size}       \tab \code{integer}   \tab reported sample size \cr
\bold{Sample.size.stats} \tab \code{integer}   \tab reported sample size based on reported statistics (this reflects excluded participants) \cr
\bold{es.z}              \tab \code{numeric}   \tab z-transformed correlation coefficient; includes ghost results (disclosed and undisclosed non-significant effects not reported in detail) imputed using the draw method described in Bakdash et al. (2021a) \cr
\bold{vi.z}              \tab \code{numeric}   \tab variance for z-transformed correlation (calculated using \code{Sample.size.stats}, \emph{not} \code{Sample.size}) \cr
\bold{SampleID}          \tab \code{character} \tab unique identifier for each experiment/study \cr
\bold{Outcome}           \tab \code{integer}   \tab unique value for each effect size
}
}
\details{
   The dataset contains behavioral experiments from 77 papers/79 studies with a total of 678 effects, evaluating associations among measures of situation awareness (\dQuote{knowing what is going on}) and task performance. Examples of situation awareness include knowledge of current vehicle speed in a simulated driving task and location and heading of aircraft in a simulated air traffic control task. Corresponding examples of task performance include \dQuote{the number of collisions in a simulated driving task} and \dQuote{subject matter expert rating of conflict management in a simulated air control task} (Bakdash et al. 2021a, p. 2). This dataset and the \sQuote{Examples} are a highly simplified version of the data and code in Bakdash et al. (2021b; 2021c). The journal article by Bakdash et al. (2021a) describes the systematic review and meta-analysis in detail.

   This dataset is used to illustrate multilevel multivariate meta-analytic models for the overall pooled effect and pooled effects by situation awareness measure. We also adjust meta-analytic models using cluster-robust variance estimation / cluster-robust inference with the \code{\link[metafor]{robust}} function in \emph{metafor}. Results are shown graphically in a customized forest plot with a prediction interval (estimated plausible range of individual effects). Last, we create a table summarizing the estimated meta-analytic heterogeneity parameters.

   The meta-analytic results show most pooled effect sizes in the positive medium range or less. There was also substantial meta-analytic heterogeneity (estimated systematic variance in true effects), nearing the magnitude of the overall pooled effect. We interpret the meta-analytic results as situation awareness typically having limited validity for task performance (i.e., good situation awareness does not tend to have strong probabilistic links with good performance and vice-versa). More formally, measures of situation awareness do not generally and meaningfully capture cognitive processes and other relevant factors underlying task performance.

   \subsection{Run-Time}{

   The code run-time can be greatly sped-up using a linear algebra library with \emph{R} that makes use of multiple CPU cores. See: \url{https://www.metafor-project.org/doku.php/tips:speeding_up_model_fitting}. To measure the run-time, uncomment these three lines: \code{start.time <- Sys.time()}, \code{end.time <- Sys.time()}, and \code{end.time - start.time}. Run-times on Windows 10 x64 with the Intel Math Kernel Library are:
   \tabular{rll}{
   \tab \emph{CPU} \tab \emph{Run-Time (Minutes)} \cr
   \tab i7-11850H  \tab 2.49 \cr
   \tab i7-4770    \tab 5.38 \cr
   }
   }

}
\source{
   Bakdash, J. Z., Marusich, L. R., Cox, K. R., Geuss, M. N., Zaroukian, E. G., & Morris, K. M. (2021b). The validity of situation awareness for performance: A meta-analysis (Code Ocean Capsule). \verb{https://doi.org/10.24433/CO.1682542.v4}

   Bakdash, J. Z., Marusich, L. R., Cox, K. R., Geuss, M. N., Zaroukian, E. G., & Morris, K. M. (2021c). The validity of situation awareness for performance: A meta-analysis (Systematic Review, Data, and Code). \verb{https://doi.org/10.17605/OSF.IO/4K7ZV}
}
\references{
   Bakdash, J. Z., Marusich, L. R., Cox, K. R., Geuss, M. N., Zaroukian, E. G., & Morris, K. M. (2021a). The validity of situation awareness for performance: A meta-analysis. \emph{Theoretical Issues in Ergonomics Science}, 1--24. \verb{https://doi.org/10.1080/1463922X.2021.1921310}

   Supplemental materials: \verb{https://www.tandfonline.com/doi/suppl/10.1080/1463922X.2021.1921310/suppl_file/ttie_a_1921310_sm5524.docx}
}
\author{
   Jonathan Bakdash, \email{jonathan.z.bakdash.civ@army.mil}, \email{jbakdash@gmail.com} \cr
   Laura Marusich, \email{laura.m.cooper20.civ@army.mil}, \email{lmarusich@gmail.com}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.bakdash2021
head(dat[c(1,2,6,8:12)])

\dontrun{
#start.time <- Sys.time()

### load metafor
library(metafor)

### multilevel meta-analytic model to get the overall pooled effect
res.overall <- rma.mv(es.z, vi.z, mods = ~ 1,
                      random = ~ 1 | SampleID / Outcome,
                      data = dat,
                      test = "t")
res.overall

### get prediction interval
predict(res.overall)

### cluster-robust variance estimation (CRVE) / cluster-robust inference
res.overall.crve <- robust(res.overall, cluster = SampleID)
res.overall.crve

### get prediction interval
res.overall.crve.pred <- predict(res.overall.crve)
res.overall.crve.pred

### multilevel meta-analytic model for SA measures
res.sa <-  rma.mv(es.z, vi.z, mods = ~ 0 + SA.measure.type,
                  random = ~ 1 | SampleID / Outcome,
                  data = dat,
                  test = "t")
res.sa

### cluster-robust variance estimation (CRVE) / cluster-robust inference
res.sa.crve <- robust(res.sa, cluster = SampleID)
res.sa.crve

### profile likelihood plots
par(mfrow=c(2,1))
profile(res.sa.crve, progbar = FALSE)

### format and combine output of meta-analytic models for the forest plot
all.z        <- c(res.sa.crve$beta,            # SA measures
                  res.overall.crve$beta,       # pooled effect for confidence interval (CI)
                  res.overall.crve$beta)       # pooled effect for prediction interval (PI)

all.ci.lower <- c(res.sa.crve$ci.lb,           # SA measures
                  res.overall.crve.pred$ci.lb, # pooled effect, lower CI
                  res.overall.crve.pred$pi.lb) # pooled effect, lower PI

all.ci.upper <- c(res.sa.crve$ci.ub,           # SA measures
                  res.overall.crve.pred$ci.ub, # pooled effect, upper CI
                  res.overall.crve.pred$pi.ub) # pooled effect, upper PI

### note: there is no p-value for the PI
all.pvals  <- c(res.sa.crve$pval, res.overall.crve$pval)
all.labels <- c(sort(unique(dat$SA.measure.type)), "Overall", "95\% Prediction Interval")

### function to round p-values for the forest plot
pvals.round <- function(input) {
  input <- ifelse(input < 0.001, "< 0.001",
           ifelse(input < 0.01, "< 0.01",
           ifelse(input < 0.05 & input >= 0.045, "< 0.05",
           ifelse(round(input, 2) == 1.00, "0.99",
           sprintf("\%.2f", round(input, 2))))))}

all.pvals.rounded <- pvals.round(all.pvals)

### forest plot
plot.vals <- data.frame(all.labels, all.z, all.ci.lower, all.ci.upper)

par(mfrow=c(1,1), cex = 1.05)
forest(plot.vals$all.z,
       ci.lb = plot.vals$all.ci.lower,
       ci.ub = plot.vals$all.ci.upper,
       slab  = plot.vals$all.labels,
       psize = 1,
       efac = 0, xlim = c(-1.8, 2.5), clim = c(-1, 1),
       transf = transf.ztor, # transform z to r
       at = seq(-0.5, 1, by = 0.25),
       xlab = expression("Correlation Coefficient"~"("*italic('r')*")"),
       main = "\n\n\nSA Measures",
       ilab = c(all.pvals.rounded, ""), ilab.xpos = 2.45, ilab.pos = 2.5,
       digits = 2, refline = 0, annotate = FALSE, header = FALSE)

### keep trailing zero using sprintf
output <- cbind(sprintf("\%.2f", round(transf.ztor(plot.vals$all.z), 2)),
                sprintf("\%.2f", round(transf.ztor(plot.vals$all.ci.lower), 2)),
                sprintf("\%.2f", round(transf.ztor(plot.vals$all.ci.upper), 2)))

### alignment kludge
annotext <- apply(output, 1, function(x) {paste0("  ", x[1], " [", x[2],", ", x[3], "]")})
text( 1.05, 12:1, annotext, pos = 4, cex = 1.05)
text(-1.475, 14.00, "SA Measure", cex = 1.05)
text( 2.30,  14.00, substitute(paste(italic('p-value'))), cex = 1.05)
text( 1.55,  14.00, "Correlation [95\% CI]", cex = 1.05)
abline(h = 2.5)

### black polygon for overall mean CIs
addpoly(all.z[11], ci.lb = all.ci.lower[11], ci.ub = all.ci.upper[11],
        rows = 2, annotate = FALSE, efac = 1.5, transf = transf.ztor)

### white polygon for PI
addpoly(all.z[12], ci.lb = all.ci.lower[12], ci.ub = all.ci.upper[12],
        rows = 1, col = "white", border = "black",
        annotate = FALSE, efac = 1.5, transf = transf.ztor)

par(mfrow=c(1,1), cex = 1) # reset graph parameters to default

### confidence intervals for the variance components
re.CI.variances <- confint(res.overall)
re.CI.variances

sigma1.z <- data.frame(re.CI.variances[[1]]["random"])
sigma2.z <- data.frame(re.CI.variances[[2]]["random"])

### fit model using alternative multivariate parameterization
res.overall.alt <- rma.mv(es.z, vi.z, mods = ~ 1,
                          random = ~ factor(Outcome) | factor(SampleID),
                          data = dat,
                          test = "t")

### confidence intervals for the total amount of heterogeneity variance component
res.overall.alt.tau <- confint(res.overall.alt, tau2=1)$random

### I^2: http://www.metafor-project.org/doku.php/tips:i2_multilevel_multivariate
W <- diag(1/dat$vi.z)
X <- model.matrix(res.overall)
P <- W - W \%*\% X \%*\% solve(t(X) \%*\% W \%*\% X) \%*\% t(X) \%*\% W

### I^2 (variance due to heterogeneity): 61\%
I2 <- 100 * res.overall.alt$tau2 /
      (res.overall.alt$tau2 + (res.overall$k-res.overall$p)/sum(diag(P)))
I2

### 95\% CI for I^2 using uncertainty around tau^2
I2.CI.lb <- 100 * res.overall.alt.tau[1,2] /
            (res.overall.alt.tau[1,2] + (res.overall$k-res.overall$p)/sum(diag(P)))
I2.CI.lb

I2.CI.ub <- 100 * res.overall.alt.tau[1,3] /
            (res.overall.alt.tau[1,3] + (res.overall$k-res.overall$p)/sum(diag(P)))
I2.CI.ub

### total amount of heterogeneity (tau)
sqrt(res.overall.alt$tau2)

### heterogeneity table
table.heterogeneity <- data.frame(matrix(ncol = 3, nrow = 4))
colnames(table.heterogeneity) <- c("Parameter Value",
                                   "Lower 95\% CI",
                                   "Upper 95\% CI")
rownames(table.heterogeneity) <- c("Tau (Total)",
                                   "Tau1 (Between paper)",
                                   "Tau2 (Within paper)",
                                   "I2 (\%)")

table.heterogeneity[1,] <- res.overall.alt.tau[2,]
table.heterogeneity[2,] <- sigma1.z[2,]
table.heterogeneity[3,] <- sigma2.z[2,]
table.heterogeneity[4,] <- c(I2, I2.CI.lb, I2.CI.ub)

round(table.heterogeneity, 2)

#end.time <- Sys.time()
#end.time - start.time
}
}
\keyword{datasets}
\concept{psychology}
\concept{human factors}
\concept{engineering}
\concept{correlation coefficients}
\concept{multilevel models}
\concept{multivariate models}
\concept{cluster-robust inference}
\section{Concepts}{
   psychology, human factors, engineering, correlation coefficients, multilevel models, multivariate models, cluster-robust inference
}

\name{dat.viechtbauer2021}
\docType{data}
\alias{dat.viechtbauer2021}
\title{Studies to Illustrate Model Checking Methods}
\description{Results from 20 hypothetical randomized clinical trials examining the effectiveness of a medication for treating some disease.}
\usage{
dat.viechtbauer2021
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{trial}  \tab \code{numeric}   \tab trial number \cr
\bold{nTi}    \tab \code{numeric}   \tab number of patients in the treatment group \cr
\bold{nCi}    \tab \code{numeric}   \tab number of patients in the control group \cr
\bold{xTi}    \tab \code{numeric}   \tab number of patients in the treatment group with remission \cr
\bold{xCi}    \tab \code{numeric}   \tab number of patients in the control group with remission \cr
\bold{dose}   \tab \code{numeric}   \tab dosage of the medication provided to patients in the treatment group (in milligrams per day)
}
}
\details{
   The dataset was constructed for the purposes of illustrating the model checking and diagnostic methods described in Viechtbauer (2021). The code below provides the results for many of the analyses and plots discussed in the book chapter.
}
\source{
   Viechtbauer, W. (2021). Model checking in meta-analysis. In C. H. Schmid, T. Stijnen, & I. R. White (Eds.), \emph{Handbook of meta-analysis} (pp. 219-254). Boca Raton, FL: CRC Press. \verb{https://doi.org/10.1201/9781315119403}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.viechtbauer2021
dat

\dontrun{
### load metafor package
library(metafor)

### calculate log odds ratios and corresponding sampling variances

dat <- escalc(measure="OR", ai=xTi, n1i=nTi, ci=xCi, n2i=nCi, add=1/2, to="all", data=dat)
dat

### number of studies

k <- nrow(dat)

### fit models

res.CE <- rma(yi, vi, data=dat, method="CE") # same as method="EE"
res.CE

res.RE <- rma(yi, vi, data=dat, method="DL")
res.RE

res.MR <- rma(yi, vi, mods = ~ dose, data=dat, method="FE")
res.MR

res.ME <- rma(yi, vi, mods = ~ dose, data=dat, method="DL")
res.ME

### forest and bubble plot

par(mar=c(5,4,1,2))

forest(dat$yi, dat$vi, psize=0.8, efac=0, xlim=c(-4,6), ylim=c(-3,23),
       cex=1, width=c(5,5,5), xlab="Log Odds Ratio (LnOR)",
       header=c("Trial", "LnOR [95\% CI]"))
addpoly(res.CE, row=-1, mlab="CE Model")
addpoly(res.RE, row=-2, mlab="RE Model")
abline(h=0)

tmp <- regplot(res.ME, xlim=c(0,250), ylim=c(-1,1.5), predlim=c(0,250), shade=FALSE, digits=1,
               xlab="Dosage (mg per day)", psize="seinv", plim=c(NA,5), bty="l", las=1,
               lty=c("solid", "dashed"), label=TRUE, labsize=0.8, offset=c(1,0.7))
res.sub <- rma(yi, vi, mods = ~ dose, data=dat, method="DL", subset=-6)
abline(res.sub, lty="dotted")
points(tmp$xi, tmp$yi, pch=21, cex=tmp$psize, col="black", bg="darkgray")

par(mar=c(5,4,4,2))

### number of standardized deleted residuals larger than +-1.96 in each model

sum(abs(rstudent(res.CE)$z) >= qnorm(0.975))
sum(abs(rstudent(res.MR)$z) >= qnorm(0.975))
sum(abs(rstudent(res.RE)$z) >= qnorm(0.975))
sum(abs(rstudent(res.ME)$z) >= qnorm(0.975))

### plot of the standardized deleted residuals for the RE and ME models

plot(NA, NA, xlim=c(1,20), ylim=c(-4,4), xlab="Study", ylab="Standardized (Deleted) Residual",
     xaxt="n", main="Random-Effects Model", las=1)
axis(side=1, at=1:20)
abline(h=c(-1.96,1.96), lty="dotted")
abline(h=0)
points(1:20, rstandard(res.RE)$z, type="o", pch=19, col="gray70")
points(1:20, rstudent(res.RE)$z,  type="o", pch=19)
legend("top", pch=19, col=c("gray70","black"), lty="solid",
       legend=c("Standardized Residuals","Standardized Deleted Residuals"), bty="n")

plot(NA, NA, xlim=c(1,20), ylim=c(-4,4), xlab="Study", ylab="Standardized (Deleted) Residual",
     xaxt="n", main="Mixed-Effects Model", las=1)
axis(side=1, at=1:20)
abline(h=c(-1.96,1.96), lty="dotted")
abline(h=0)
points(1:20, rstandard(res.ME)$z, type="o", pch=19, col="gray70")
points(1:20, rstudent(res.ME)$z,  type="o", pch=19)
legend("top", pch=19, col=c("gray70","black"), lty="solid",
       legend=c("Standardized Residuals","Standardized Deleted Residuals"), bty="n")

### Baujat plots

baujat(res.CE, main="Common-Effects Model", xlab="Squared Pearson Residual", ylim=c(0,5), las=1)
baujat(res.ME, main="Mixed-Effects Model", ylim=c(0,2), las=1)

### GOSH plots (skipped because this takes quite some time to run)

if (FALSE) {

res.GOSH.CE <- gosh(res.CE, subsets=10^7)
plot(res.GOSH.CE, cex=0.2, out=6, xlim=c(-0.25,1.25), breaks=c(200,100))

res.GOSH.ME <- gosh(res.ME, subsets=10^7)
plot(res.GOSH.ME, het="tau2", out=6, breaks=50, adjust=0.6, las=1)

}

### plot of treatment dosage against the standardized residuals

plot(dat$dose, rstandard(res.ME)$z, pch=19, xlab="Dosage (mg per day)",
     ylab="Standardized Residual", xlim=c(0,250), ylim=c(-2.5,2.5), las=1)
abline(h=c(-1.96,1.96), lty="dotted", lwd=2)
abline(h=0)
title("Standardized Residual Plot")
text(dat$dose[6], rstandard(res.ME)$z[6], "6", pos=4, offset=0.4)

### quadratic polynomial model

rma(yi, vi, mods = ~ dose + I(dose^2), data=dat, method="DL")

### lack-of-fit model

resLOF <- rma(yi, vi, mods = ~ dose + factor(dose), data=dat, method="DL", btt=3:9)
resLOF

### scatter plot to illustrate the lack-of-fit model

regplot(res.ME, xlim=c(0,250), ylim=c(-1.0,1.5), xlab="Dosage (mg per day)", ci=FALSE,
        predlim=c(0,250), psize=1, pch=19, col="gray60", digits=1, lwd=1, bty="l", las=1)
dosages <- sort(unique(dat$dose))
lines(dosages, fitted(resLOF)[match(dosages, dat$dose)], type="o", pch=19, cex=2, lwd=2)
points(dat$dose, dat$yi, pch=19, col="gray60")
legend("bottomright", legend=c("Linear Model", "Lack-of-Fit Model"), pch=c(NA,19), col="black",
       lty="solid", lwd=c(1,2), pt.cex=c(1,2), seg.len=4, bty="n")

### checking normality of the standardized deleted residuals

qqnorm(res.ME, type="rstudent", main="Standardized Deleted Residuals", pch=19, label="out",
       lwd=2, pos=24, ylim=c(-4,3), lty=c("solid", "dotted"), las=1)

### checking normality of the random effects

sav <- qqnorm(ranef(res.ME)$pred, main="BLUPs of the Random Effects", cex=1, pch=19,
              xlim=c(-2.2,2.2), ylim=c(-0.6,0.6), las=1)
abline(a=0, b=sd(ranef(res.ME)$pred), lwd=2)
text(sav$x[6], sav$y[6], "6", pos=4, offset=0.4)

### hat values for the CE and RE models

plot(NA, NA, xlim=c(1,20), ylim=c(0,0.21), xaxt="n", las=1, xlab="Study", ylab="Hat Value")
axis(1, 1:20, cex.axis=1)
points(hatvalues(res.CE), type="o", pch=19, col="gray70")
points(hatvalues(res.RE), type="o", pch=19)
abline(h=1/20, lty="dotted", lwd=2)
title("Hat Values for the CE/RE Models")
legend("topright", pch=19, col=c("gray70","black"), lty="solid",
       legend=c("Common-Effects Model", "Random-Effects Model"), bty="n")

### heatmap of the hat matrix for the ME model

cols <- colorRampPalette(c("blue", "white", "red"))(101)
h <- hatvalues(res.ME, type="matrix")
image(1:nrow(h), 1:ncol(h), t(h[nrow(h):1,]), axes=FALSE,
      xlab="Influence of the Observed Effect of Study ...", ylab="On the Fitted Value of Study ...",
      col=cols, zlim=c(-max(abs(h)),max(abs(h))))
axis(1, 1:20, tick=FALSE)
axis(2, 1:20, labels=20:1, las=1, tick=FALSE)
abline(h=seq(0.5,20.5,by=1), col="white")
abline(v=seq(0.5,20.5,by=1), col="white")
points(1:20, 20:1, pch=19, cex=0.4)
title("Heatmap for the Mixed-Effects Model")

### plot of leverages versus standardized residuals for the ME model

plot(hatvalues(res.ME), rstudent(res.ME)$z, pch=19, cex=0.2+3*sqrt(cooks.distance(res.ME)),
     las=1, xlab="Leverage (Hat Value)", ylab="Standardized Deleted Residual",
     xlim=c(0,0.35), ylim=c(-3.5,2.5))
abline(h=c(-1.96,1.96), lty="dotted", lwd=2)
abline(h=0, lwd=2)
ids <- c(3,6,9)
text(hatvalues(res.ME)[ids] + c(0,0.013,0.010), rstudent(res.ME)$z[ids] - c(0.18,0,0), ids)
title("Leverage vs. Standardized Deleted Residuals")

### plot of the Cook's distances for the ME model

plot(1:20, cooks.distance(res.ME), ylim=c(0,1.6), type="o", pch=19, las=1, xaxt="n", yaxt="n",
     xlab="Study", ylab="Cook's Distance")
axis(1, 1:20, cex.axis=1)
axis(2, seq(0,1.6,by=0.4), las=1)
title("Cook's Distances")

### plot of the leave-one-out estimates of tau^2 for the ME model

x <- influence(res.ME)

plot(1:20, x$inf$tau2.del,  ylim=c(0,0.15), type="o", pch=19, las=1, xaxt="n", xlab="Study",
     ylab=expression(paste("Estimate of ", tau^2, " without the ", italic(i), "th study")))
abline(h=res.ME$tau2, lty="dashed")
axis(1, 1:20)
title("Residual Heterogeneity Estimates")

### plot of the covariance ratios for the ME model

plot(1:20, x$inf$cov.r,  ylim=c(0,2.0), type="o", pch=19, las=1, xaxt="n",
     xlab="Study", ylab="Covariance Ratio")
abline(h=1, lty="dashed")
axis(1, 1:20)
title("Covariance Ratios")

### fit mixed-effects model without studies 3 and/or 6

rma(yi, vi, mods = ~ dose, data=dat, method="DL", subset=-3)
rma(yi, vi, mods = ~ dose, data=dat, method="DL", subset=-6)
rma(yi, vi, mods = ~ dose, data=dat, method="DL", subset=-c(3,6))
}
}
\keyword{datasets}
\concept{medicine}
\concept{odds ratios}
\concept{outliers}
\concept{model checks}
\section{Concepts}{
   medicine, odds ratios, outliers, model checks
}

\name{dat.crisafulli2020}
\docType{data}
\alias{dat.crisafulli2020}
\title{Duchenne Muscular Dystrophy (DMD) Prevalence Data}
\description{26 studies reporting estimates of the birth prevalence of Duchenne muscular dystrophy.}
\usage{
dat.crisafulli2020
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study}           \tab \code{character} \tab study label (first author, year) \cr
\bold{pubyear}         \tab \code{integer}   \tab publication year \cr
\bold{country}         \tab \code{factor}    \tab origin of investigated population \cr
\bold{from}, \bold{to} \tab \code{integer}   \tab time span of investigation (years) \cr
\bold{cases}           \tab \code{integer}   \tab number of DMD cases \cr
\bold{total}           \tab \code{integer}   \tab corresponding total population \cr
}
}
\details{
   \emph{Duchenne muscular dystrophy} (DMD) is a rare disease that is caused by a genetic mutation and is characterized by impairment through muscle weakness and a reduced life expectancy.

   Crisafulli et al. (2020) reported on a systematic review of data on the epidemiology of DMD, including estimates of the \emph{birth prevalence} (which is of the order of a few per ten thousand). One of the originally reported studies (Koenig, 2019) is omitted here, as it constitutes an obvious outlier, and the reliability of the reported data is doubtful; Crisafulli et al. (2020) pointed out that \dQuote{\emph{Concerning birth prevalence, Koenig et al. were found to be outliers. This study had problems with data collection in the last study year, as due to privacy issues, DMD cases were under-reported.}}
}
\source{
   Crisafulli, S., Sultana, J., Fontana, A., Salvo, F., Messina, S., & Trifiro, G. (2020). Global epidemiology of Duchenne muscular dystrophy: an updated systematic review and meta-analysis. \emph{Orphanet Journal of Rare Diseases}, \bold{15}, 141. \verb{https://doi.org/10.1186/s13023-020-01430-8}
}
\author{
   Christian \enc{Röver}{Roever}, \email{christian.roever@med.uni-goettingen.de}
}
\examples{
# show (some) data
head(dat.crisafulli2020)

\dontrun{
# compute logarithmic proportions and associated standard errors
library(metafor)
logp <- escalc(measure="PLN",
               xi=cases, ni=total, slab=study,
               data=dat.crisafulli2020)

# perform meta-analysis
rma01 <- rma.uni(logp)

# show results
rma01

# illustrate in a forest plot
forest(rma01, xlim=c(-12,-5))
}
}
\keyword{datasets}
\concept{medicine}
\concept{epidemiology}
\concept{proportions}
\section{Concepts}{
   medicine, epidemiology, proportions
}

\name{dat.hackshaw1998}
\docType{data}
\alias{dat.hackshaw1998}
\title{Studies on the Risk of Lung Cancer in Women Exposed to Environmental Tobacco Smoke}
\description{Results from 37 studies on the risk of lung cancer in women exposed to environmental tobacco smoke (ETS) from their smoking spouse.}
\usage{
dat.hackshaw1998
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study}      \tab \code{numeric}    \tab study number \cr
\bold{author}     \tab \code{character}  \tab first author of study \cr
\bold{year}       \tab \code{numeric}    \tab publication year \cr
\bold{country}    \tab \code{character}  \tab country where study was conducted \cr
\bold{design}     \tab \code{character}  \tab study design (either cohort or case-control) \cr
\bold{cases}      \tab \code{numeric}    \tab number of lung cancer cases \cr
\bold{or}         \tab \code{numeric}    \tab odds ratio \cr
\bold{or.lb}      \tab \code{numeric}    \tab lower bound of 95\% CI for the odds ratio \cr
\bold{or.ub}      \tab \code{numeric}    \tab upper bound of 95\% CI for the odds ratio \cr
\bold{yi}         \tab \code{numeric}    \tab log odds ratio \cr
\bold{vi}         \tab \code{numeric}    \tab corresponding sampling variance
}
}
\details{
   The dataset includes the results from 37 studies (4 cohort, 33 case-control) examining if women (who are lifelong nonsmokers) have an elevated risk for lung cancer due to exposure to environmental tobacco smoke (ETS) from their smoking spouse. Values of the log odds ratio greater than 0 indicate an increased risk of cancer in exposed women compared to women not exposed to ETS from their spouse.

   Note that the log odds ratios and corresponding sampling variances were back-calculated from the reported odds ratios and confidence interval (CI) bounds (see \sQuote{Examples}). Since the reported values were rounded to some extent, this introduces some minor inaccuracies into the back-calculations. The overall estimate reported in Hackshaw et al. (1997) and Hackshaw (1998) can be fully reproduced though.
}
\source{
   Hackshaw, A. K., Law, M. R., & Wald, N. J. (1997). The accumulated evidence on lung cancer and environmental tobacco smoke. \emph{British Medical Journal}, \bold{315}(7114), 980--988. \verb{https://doi.org/10.1136/bmj.315.7114.980}

   Hackshaw, A. K. (1998). Lung cancer and passive smoking. \emph{Statistical Methods in Medical Research}, \bold{7}(2), 119--136. \verb{https://doi.org/10.1177/096228029800700203}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.hackshaw1998
head(dat, 10)

\dontrun{
### load metafor package
library(metafor)

### random-effects model using the log odds ratios
res <- rma(yi, vi, data=dat, method="DL")
res

### estimated average odds ratio with CI (and prediction interval)
predict(res, transf=exp, digits=2)

### illustrate how the log odds ratios and corresponding sampling variances
### can be back-calculated based on the reported odds ratios and CI bounds
dat$yi <- NULL
dat$vi <- NULL
dat <- data.frame(dat)
head(dat, 10)
dat <- conv.wald(out=or, ci.lb=or.lb, ci.ub=or.ub, data=dat, transf=log)
head(dat, 10)
}
}
\keyword{datasets}
\concept{medicine}
\concept{oncology}
\concept{epidemiology}
\concept{smoking}
\concept{odds ratios}
\section{Concepts}{
   medicine, oncology, epidemiology, smoking, odds ratios
}

\name{dat.aloe2013}
\docType{data}
\alias{dat.aloe2013}
\title{Studies on the Association Between Supervision Quality and Various Outcomes in Social, Mental Health, and Child Welfare Workers}
\description{Results from 5 studies examining the association between various measures of supervision quality and various work-related outcomes in social, mental health, and child welfare workers.}
\usage{
dat.aloe2013
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study} \tab \code{character} \tab study author(s) and year \cr
\bold{n}     \tab \code{integer}   \tab sample size \cr
\bold{tval}  \tab \code{numeric}   \tab t-statistic for the test of the association/predictor \cr
\bold{preds} \tab \code{integer}   \tab number of predictors included in the regression model \cr
\bold{R2}    \tab \code{numeric}   \tab the coefficient of determination (i.e., R-squared value) of the regression model \cr
}  
}
\details{
   The dataset is based on studies that used regression models to examine the association between some measure of perceived supervision quality (e.g., the quality of the relationship with one's supervisor) and some work-related outcome (e.g., job satisfaction) in social, mental health, and child welfare workers. The dataset was extracted from Aloe and Thompson (2013), which in turn is a subset of the studies included in the meta-analysis by Mor Barak et al. (2009).

   The dataset can be used to illustrate the meta-analysis of regression models, using measures such as the (semi-)partial correlation coefficient. For this, the t-statistic from the regression model for the association (i.e., predictor) of interest was extracted from each regression model (\code{tval}), as well as the sample size (\code{n}), the number of predictors included in the regression model (\code{preds}), and the coefficient of determination (i.e., R-squared value) of the regression model (\code{R2}). Based on this information, the (semi-)partial correlation coefficient can be computed for each study, as well as its corresponding sampling variance. These values can then be meta-analyzed using standard methods.
}
\source{
   Aloe, A. M., & Thompson, C. G. (2013). The synthesis of partial effect sizes. \emph{Journal of the Society for Social Work and Research}, \bold{4}(4), 390--405. \verb{https://doi.org/10.5243/jsswr.2013.24}
}
\references{
   Mor Barak, M. E., Travis, D. J., Pyun, H., & Xie, B. (2009). The impact of supervision on worker outcomes: A meta-analysis. \emph{Social Service Review}, \bold{83}(1), 3--32. \verb{https://doi.org/10.1086/599028}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.aloe2013
dat

\dontrun{
### load metafor package
suppressPackageStartupMessages(library(metafor))

### compute the partial correlation coefficients and corresponding sampling variances
dat <- escalc(measure="PCOR", ti=tval, ni=n, mi=preds, data=dat)
dat

### random-effects model
res <- rma(yi, vi, data=dat)
res

### mixed-effects meta-regression model examining the relationship between the partial
### correlation coefficients and the number of predictors included in the models
res <- rma(yi, vi, mods = ~ preds, data=dat)
res

### compute the r-to-z transformed partial correlation coefficients and their variances
dat <- escalc(measure="ZPCOR", ti=tval, ni=n, mi=preds, data=dat)
dat

### random-effects model
res <- rma(yi, vi, data=dat)
res

### back-transformation to the partial correlation scale
predict(res, transf=transf.ztor)

### compute the semi-partial correlation coefficients and their variances
dat <- escalc(measure="SPCOR", ti=tval, ni=n, mi=preds, r2i=R2, data=dat)
dat

### random-effects model
res <- rma(yi, vi, data=dat)
res
}
}
\keyword{datasets}
\concept{social work}
\concept{(semi-)partial correlations}
\concept{meta-regression}
\section{Concepts}{
   social work, (semi-)partial correlations, meta-regression
}

\name{dat.meeker2017}
\docType{data}
\alias{dat.meeker2017}
\title{Baseball Batting Averages}
\description{Batting averages in 2014 for 10 baseball teams.}
\usage{
dat.meeker2017
}
\format{The data frame contains the following columns:
\tabular{lll}{
\bold{team}     \tab \code{character} \tab baseball team \cr
\bold{division} \tab \code{factor}    \tab division \cr
\bold{mean}     \tab \code{numeric}   \tab batting average (team sample mean) \cr
\bold{se}       \tab \code{numeric}   \tab team standard error \cr
\bold{batters}  \tab \code{integer}   \tab number of batters
}
}
\details{
   Meeker, Hahn, and Escobar (2017) considered an example application concerning batting averages from 10 baseball teams during 2014. The data (from chapter 17) consist of sample means (batting averages) and corresponding standard errors for each team's batters who had at least 300 \emph{at-bats}. Baseball teams are associated with one of two divisions, namely \emph{American League Central (AL-C)} or \emph{National League Central (NL-C)}.
}
\source{
   Meeker, W. Q. , Hahn, G. J., & Escobar, L. A. (2017).  \emph{Statistical intervals: A guide for practitioners and researchers} (2nd ed.). Hoboken, NJ: John Wiley and Sons.
}
\author{
   Christian \enc{Röver}{Roever}, \email{christian.roever@med.uni-goettingen.d}
}
\examples{
dat.meeker2017

\dontrun{
library(metafor)
library(bayesmeta)

# convert data to an "escalc" object
es <- escalc(measure="GEN",
             yi=mean, sei=se, slab=team, ni=batters,
             data=dat.meeker2017)

# illustrate the plain data
forestplot(es, zero=NA, title="baseball batting averages (dat.meeker2017)")

# specify regressor matrix,
# distinguishing between AL-C and NL-C divisions
Xmat <- cbind("intercept" = 1,
              "offset"    = rep(c(0.5, -0.5), each=5))
rownames(Xmat) <- rownames(dat.meeker2017)
Xmat

# reproduce analysis from Sec.17.2
# (using improper uniform priors for all 3 parameters)
mreg <- bmr(es, X=Xmat)
mreg

# generate a plot similar to Fig.17.2
forestplot(mreg,
           X.mean=rbind("AL-C" = c(1, 0.5),
                        "NL-C" = c(1, -0.5),
                        "mu"   = c(1, 0)),
           xlab="batting average", zero=NA)

# show more summary stats for some estimates
summary(mreg,
        X.mean=rbind("AL-C"              = c(1, 0.5),
                     "NL-C"              = c(1, -0.5),
                     "mean (mu)"         = c(1, 0),
                     "difference (beta)" = c(0, 1)))

# show shrinkage estimates
t(mreg$theta)

# show trace plot
traceplot(mreg,
          X=rbind("AL-C" = c(1, 0.5),
                  "NL-C" = c(1, -0.5)),
          infinity=TRUE, ylab="batting average")
}
}
\keyword{datasets}
\concept{sports}
\concept{raw means}
\section{Concepts}{
   sports, raw means
}

\name{dat.roever2022}
\docType{data}
\alias{dat.roever2022}
\title{Irinotecan / S-1 Toxicity Dataset}
\description{12 studies investigating the occurrence of dose limiting toxicities (DLTs) at different doses of a combination therapy of Irinotecan and S-1.}
\usage{
dat.roever2022
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study}  \tab \code{character} \tab study label \cr
\bold{year}   \tab \code{integer}   \tab publication year \cr
\bold{dose}   \tab \code{numeric}   \tab dose (\eqn{\mathrm{mg} / \mathrm{m}^2}) \cr
\bold{events} \tab \code{integer}   \tab number of DLTs \cr
\bold{total}  \tab \code{integer}   \tab number of patients exposed \cr
}
}
\details{
   A combination therapy of Irinotecan (a topoisomerase 1 inhibitor) and S-1 (a combination of three pharmacological compounds, namely, tegafur, gimeracil, and oteracil potassium) was tested in advanced colorectal and gastric cancer. This dataset contains data from twelve studies investigating this therapy in a Japanese population; it contains the doses investigated, the numbers of patients treated, and the number of dose-limiting toxicities (DLTs) observed. In general, each study investigated several doses according to some dose-escalation scheme.
}
\source{
   Ursino, M., \enc{Röver}{Roever}, C., Zohar,  S., & Friede T. (2021). Random-effects meta-analysis of phase I dose-finding studies using stochastic process priors. \emph{The Annals of Applied Statistics}, \bold{15}(1), 174--193. \verb{https://doi.org/10.1214/20-AOAS1390}

   \enc{Röver}{Roever}, C., Ursino, M., Friede, T., & Zohar, S. (2022). A straighforward meta-analysis approach for oncology phase I dose-finding studies. \emph{Statistics in Medicine}, \bold{41}(20), 3915--3940. \verb{https://doi.org/10.1002/sim.9484}
}
\references{
   European Medicines Agency (EMA) (2021). Onivyde pegylated liposomal (irinotecan hydrochloride trihydrate) EPAR summary. \verb{https://www.ema.europa.eu/en/medicines/human/EPAR/onivyde-pegylated-liposomal}

   European Medicines Agency (EMA) (2022). Teysuno (tegafur/gimeracil/oteracil) EPAR summary. \verb{https://www.ema.europa.eu/en/medicines/human/EPAR/teysuno}

   Yamada, Y., Yasui, H., Goto, A., \emph{et al.} (2003). Phase I study of irinotecan and S-1 combination therapy in patients with metastatic gastric cancer. \emph{International Journal of Clinical Oncology}, \bold{8}(6), 374--380. \verb{https://doi.org/10.1007/s10147-003-0359-z}

   Takiuchi, H., Narahara, H., Tsujinaka, T., \emph{et al.} (2005). Phase I study of S-1 combined with irinotecan (CPT-11) in patients with advanced gastric cancer (OGSG 0002). \emph{Japanese Journal of Clinical Oncology}, \bold{35}(9), 520--525. \verb{https://doi.org/10.1093/jjco/hyi148}

   Inokuchi, M., Yamashita, T., Yamada, H., \emph{et al.} (2006). Phase I/II study of S-1 combined with irinotecan for metastatic advanced gastric cancer. \emph{British Journal of Cancer}, \bold{94}(8), 11130. \verb{https://doi.org/10.1038/sj.bjc.6603072}

   Nakafusa, Y., Tanaka, M., Ohtsuka, T., \emph{et al.} (2008). Phase I/II study of combination therapy with S-1 and CPT-11 for metastatic colorectal cancer. \emph{Molecular Medicine Reports}, \bold{1}(6), 925--930. \verb{https://doi.org/10.3892/mmr_00000051}

   Ishimoto, O., Ishida, T., Honda, Y., Munakata, M., & Sugawara, S. (2009). Phase I study of daily S-1 combined with weekly irinotecan in patients with advanced non-small cell lung cancer. \emph{International Journal of Clinical Oncology}, \bold{14}(1), 43--47. \verb{https://doi.org/10.1007/s10147-008-0796-9}

   Ogata, Y., Sasatomi, T., Akagi, Y., Ishibashi, N., Mori, S., & Shirouzu, K. (2009). Dosage escalation study of S-1 and irinotecan in metronomic chemotherapy against advanced colorectal cancer. \emph{The Kurume Medical Journal}, \bold{56}(1+2), 1--7. \verb{https://doi.org/10.2739/kurumemedj.56.1}

   Shiozawa, M., Sugano, N., Tsuchida, K., Morinaga, S., Akaike, M., & Sugimasa, Y. (2009). A phase I study of combination therapy with S-1 and irinotecan (CPT-11) in patients with advanced colorectal cancer. \emph{Journal of Cancer Research and Clinical Oncology}, \bold{135}(3), 365--370. \verb{https://doi.org/10.1007/s00432-008-0480-5}

   Yoshioka, T., Kato, S., Gamoh, M., \emph{et al.} (2009). Phase I/II study of sequential therapy with irinotecan and S-1 for metastatic colorectal cancer. \emph{British Journal of Cancer}, \bold{101}, 1972--1977. \verb{https://doi.org/10.1038/sj.bjc.6605432}

   Komatsu, Y., Yuki, S., Fuse, N., \emph{et al.} (2010). Phase 1/2 clinical study of irinotecan and oral S-1 (IRIS) in patients with advanced gastric cancer. \emph{Advances in Therapy}, \bold{27}(7), 483--492. \verb{https://doi.org/10.1007/s12325-010-0037-2}

   Kusaba, H., Esaki, T., Futami, K., \emph{et al.} (2010). Phase I/II study of a 3-week cycle of irinotecan and S-1 in patients with advanced colorectal cancer. \emph{Cancer Science}, \bold{101}(12), 2591--2595. \verb{https://doi.org/10.1111/j.1349-7006.2010.01728.x}

   Yoda, S., Soejima, K., Yasuda, H., \emph{et al.} (2011). A phase I study of S-1 and irinotecan combination therapy in previously treated advanced non-small cell lung cancer patients. \emph{Cancer Chemotherapy and Pharmacology}, \bold{67}(3), 717--722. \verb{https://doi.org/10.1007/s00280-010-1539-y}

   Goya, H., Kuraishi, H., Koyama, S., \emph{et al.} (2012). Phase I/II study of S-1 combined with biweekly irinotecan chemotherapy in previously treated advanced non-small cell lung cancer. \emph{Cancer Chemotherapy and Pharmacology}, \bold{70}(5), 691--697. \verb{https://doi.org/10.1007/s00280-012-1957-0}
}
\seealso{
   \code{\link{dat.ursino2021}}
}
\author{
   Christian \enc{Röver}{Roever}, \email{christian.roever@med.uni-goettingen.de}
}
\examples{
# show (some) data
head(dat.roever2022, n=10)

\dontrun{
# illustrate data
plot(NA, xlim=range(dat.roever2022$dose), ylim=0:1,
     xlab="dose (mg / m²)", ylab="proportion",
     main="dat.roever2022 (Irinotecan / S-1 data)")
studylab <- unique(dat.roever2022$study)
colvec <- rainbow(length(studylab))
for (i in 1:length(studylab)) {
  idx <- (dat.roever2022$study == studylab[i])
  lines(dat.roever2022[idx,"dose"],
        dat.roever2022[idx,"events"] / dat.roever2022[idx,"total"],
        col=colvec[i], type="b")
}
legend("topleft", studylab, col=colvec, pch=15)
}
}
\keyword{datasets}
\concept{medicine}
\concept{oncology}
\concept{dose-response models}
\section{Concepts}{
   medicine, oncology, dose-response models
}

\name{dat.gurusamy2011}
\docType{data}
\alias{dat.gurusamy2011}
\title{Studies on Interventions to Reduce Mortality after Liver Transplantation}
\description{Results from 14 trials examining the mortality risk of interventions for decreasing blood loss and blood transfusion requirements during liver transplantation.}
\usage{
dat.gurusamy2011
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study}     \tab \code{character} \tab study information \cr
\bold{treatment} \tab \code{character} \tab treatment \cr
\bold{death}     \tab \code{integer}   \tab mortality at 60 days post-transplantation \cr
\bold{n}         \tab \code{integer}   \tab number of individuals
}
}
\details{
   This network meta-analysis compared the effectiveness of seven interventions for decreasing blood loss and blood transfusion requirements during liver transplantation (Gurusamy et al., 2011).

   Fourteen studies reported mortality at 60 days, in 1,002 patients. Forty-five deaths were reported across all studies (4.5\%). Six studies observed deaths in all treatment arms while three studies did not observe any deaths.

   This dataset was used in Efthimiou et al. (2019) to introduce the Mantel-Haenszel method for network meta-analysis.

   One of the treatments (solvent detergent plasma) was only included in one study with zero events in both treatment arms; this study was excluded from all network meta-analyses. In addition, no death was observed in the antithrombin III arm of the only study evaluating this treatment which was excluded from the Mantel-Haenszel network meta-analysis.
}
\source{
   Gurusamy, K. S., Pissanou, T., Pikhart, H., Vaughan, J., Burroughs, A. K., & Davidson, B. R. (2011). Methods to decrease blood loss and transfusion requirements for liver transplantation. \emph{Cochrane Database of Systematic Reviews}, \bold{12}, CD009052. \verb{https://doi.org/10.1002/14651858.CD009052.pub2}
}
\references{
   Efthimiou, O., Rücker, G., Schwarzer, G., Higgins, J., Egger, M., & Salanti, G. (2019). A Mantel-Haenszel model for network meta-analysis of rare events. \emph{Statistics in Medicine}, \bold{38}(16), 2992--3012. \verb{https://doi.org/10.1002/sim.8158}
}
\author{
   Guido Schwarzer, \email{guido.schwarzer@uniklinik-freiburg.de}, \url{https://github.com/guido-s/}
}
\examples{
### Show first 6 rows of the dataset
head(dat.gurusamy2011)

### Only study evaluating solvent detergent plasma
subset(dat.gurusamy2011, study == "Williamson 1999")

### Only study evaluating antithrombin III
subset(dat.gurusamy2011, study == "Baudo 1992")

\dontrun{
### Load netmeta package
suppressPackageStartupMessages(library(netmeta))

### Print odds ratios and confidence limits with two digits
oldset <- settings.meta(digits = 2)

### Change appearance of confidence intervals
cilayout("(", "-")

### Transform data from long arm-based format to contrast-based
### format. Argument 'sm' has to be used for odds ratio as summary
### measure; by default the risk ratio is used in the metabin function
### called internally.
pw <- pairwise(treatment, death, n, studlab = study,
  data = dat.gurusamy2011, sm = "OR")

### Conduct Mantel-Haenszel network meta-analysis (NMA)
net.MH <- netmetabin(pw, ref = "cont")

### Conduct inverse variance (IV) network meta-analysis
net.IV <- netmeta(pw, ref = "cont")

### Network graph (Mantel-Haenszel NMA)
netgraph(net.MH, seq = "optimal", col = "black", plastic = FALSE,
  points = TRUE, pch = 21, cex.points = 3, col.points = "black",
  bg.points = "gray", thickness = "se.fixed",
  number.of.studies = TRUE)

### Full network graph (based on inverse variance method, including
### study comparing Antithrombin III with Control/Placebo)
netgraph(net.IV,
  seq = "optimal", col = "black", plastic = FALSE,
  points = TRUE, pch = 21, cex.points = 3, col.points = "black",
  bg.points = "gray", thickness = "se.fixed",
  number.of.studies = TRUE)

### Compare results for Mantel-Haenszel and IV NMA
forest(netbind(net.MH, net.IV,
  random = FALSE, name = c("MH NMA", "IV NMA")))

### Show results for Mantel-Haenszel NMA
net.MH
forest(net.MH)

### League table with network estimates in lower triangle and direct
### estimates in upper triangle
netleague(net.MH)

### Assess inconsistency
print(netsplit(net.MH), show = "both", ci = TRUE, overall = FALSE,
  nchar.trts = 6)

### Use previous settings
settings.meta(oldset)
}
}
\keyword{datasets}
\concept{medicine}
\concept{odds ratios}
\concept{network meta-analysis}
\concept{Mantel-Haenszel method}
\section{Concepts}{
   medicine, odds ratios, network meta-analysis, Mantel-Haenszel method
}

\name{dat.greb2008}
\docType{data}
\alias{dat.greb2008}
\title{Trials on High-Dose Chemotherapy with Autologous Stem Cell Transplantation in Aggressive Non-Hodgkin Lymphoma}
\description{Results on complete response from 14 trials evaluating high-dose chemotherapy with autologous stem cell transplantation in patients with aggressive non-Hodgkin lymphoma.}
\usage{
dat.greb2008
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study} \tab \code{character} \tab study label \cr
\bold{Ee}    \tab \code{integer}   \tab complete responses (high-dose chemotherapy) \cr
\bold{Ne}    \tab \code{integer}   \tab number of patients (high-dose chemotherapy) \cr
\bold{Ec}    \tab \code{integer}   \tab complete responses (standard chemotherapy) \cr
\bold{Nc}    \tab \code{integer}   \tab number of patients (standard chemotherapy)
}
}
\details{
   Greb et al. (2008) conducted a Cochrane Review to assess the effects of high-dose chemotherapy with autologous stem cell transplantation as part of the first-line treatment of adult patients with aggressive non-Hodgkin lymphoma. The primary outcome was survival time; the binary outcome \sQuote{complete response} was one of several secondary outcomes. For binary outcomes, the Cochrane review used the risk ratio and the common effect model.

   This data set is used as an example in Schwarzer et al. (2015).
}
\source{
   Greb, A., Bohlius, J., Schiefer, D., Schwarzer, G., Schulz, H., & Engert, A. (2008). High-dose chemotherapy with autologous stem cell transplantation in the first line treatment of aggressive Non-Hodgkin Lymphoma (NHL) in adults. \emph{Cochrane Database of Systematic Reviews}, \bold{1}, CD004024. \verb{https://doi.org/10.1002/14651858.cd004024.pub2}
}
\references{
   Schwarzer, G., Carpenter, J. R., & \enc{Rücker}{Ruecker}, G. (2015). \emph{Meta-analysis with R}. Cham, Switzerland: Springer.
}
\author{
   Guido Schwarzer, \email{guido.schwarzer@uniklinik-freiburg.de}, \url{https://github.com/guido-s/}
}
\examples{
### Show first five studies
head(dat.greb2008, 5)

\dontrun{
### Load meta package
suppressPackageStartupMessages(library(meta))

### Use RevMan 5 settings
oldset <- settings.meta("RevMan5")

### Conduct common effect meta-analysis with risk ratio as effect measure
mb1 <- metabin(Ee, Ne, Ec, Nc,
  data = dat.greb2008, studlab = study,
  label.e = "High dose", label.c = "Standard",
  label.left = "Favours standard chemotherapy",
  label.right = "Favours high dose chemotherapy",
  col.label.left = "red", col.label.right = "green")
mb1

### Create forest plot
forest(mb1)

### Use previous settings
settings.meta(oldset)
}
}
\keyword{datasets}
\concept{medicine}
\concept{oncology}
\concept{risk ratios}
\section{Concepts}{
   medicine, oncology, risk ratios
}

\name{dat.dogliotti2014}
\docType{data}
\alias{dat.dogliotti2014}
\title{Studies on Antithrombotic Treatments to Prevent Strokes}
\description{Results from 20 trials examining the effectiveness of antithrombotic treatments to prevent strokes in patients with non-valvular atrial fibrillation.}
\usage{
dat.dogliotti2014
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study}     \tab \code{character} \tab study label \cr
\bold{id}        \tab \code{numeric}   \tab study ID \cr
\bold{treatment} \tab \code{character} \tab treatment \cr
\bold{stroke}    \tab \code{numeric}   \tab number of strokes \cr
\bold{total}     \tab \code{numeric}   \tab number of individuals
}
}
\details{
   This dataset comes from a systematic review aiming to estimate the effects of eight antithrombotic treatments including placebo in reducing the incidence of major thrombotic events in patients with non-valvular atrial fibrillation (Dogliotti et al., 2014).

   The review included 20 studies with 79,808 participants, four studies are three-arm studies. The primary outcome is stroke reduction (yes / no).
}
\source{
   Dogliotti, A., Paolasso, E., & Giugliano, R. P. (2014). Current and new oral antithrombotics in non-valvular atrial fibrillation: A network meta-analysis of 79808 patients. \emph{Heart}, \bold{100}(5), 396--405. \verb{https://doi.org/10.1136/heartjnl-2013-304347}
}
\author{
   Guido Schwarzer, \email{guido.schwarzer@uniklinik-freiburg.de}, \url{https://github.com/guido-s/}
}
\examples{
### Show first 7 rows / 3 studies of the dataset
head(dat.dogliotti2014, 7)

\dontrun{
### Load netmeta package
suppressPackageStartupMessages(library(netmeta))

### Print odds ratios and confidence limits with two digits
oldset <- settings.meta(digits = 2)

### Change appearance of confidence intervals
cilayout("(", "-")

### Transform data from long arm-based format to contrast-based
### format. Argument 'sm' has to be used for odds ratio as summary
### measure; by default the risk ratio is used in the metabin function
### called internally.
pw <- pairwise(treat = treatment, n = total, event = stroke,
  studlab = study, data = dat.dogliotti2014, sm = "OR")

### Print log odds ratios (TE) and standard errors (seTE)
head(pw, 5)[, 1:5]

### Conduct network meta-analysis (NMA) with placebo as reference
net <- netmeta(pw, ref = "plac")

### Details on excluded study
selvars <- c("studlab", "event1", "n1", "event2", "n2")
subset(pw, studlab == "WASPO, 2007")[, selvars]

### Show network graph
netgraph(net, seq = "optimal", number = TRUE)

### Conduct Mantel-Haenszel NMA
net.mh <- netmetabin(pw, ref = "plac")

### Compare results of inverse variance and Mantel-Haenszel NMA
nb <- netbind(net, net.mh, random = FALSE,
  name = c("Inverse variance", "Mantel-Haenszel"))
forest(nb, xlim = c(0.15, 2), at = c(0.2, 0.5, 1, 2))

### Print and plot results for inverse variance NMA
net
forest(net)

### Use previous settings
settings.meta(oldset)
}
}
\keyword{datasets}
\concept{medicine}
\concept{odds ratios}
\concept{network meta-analysis}
\concept{Mantel-Haenszel method}
\section{Concepts}{
   medicine, odds ratios, network meta-analysis, Mantel-Haenszel method
}

\name{dat.stowe2010}
\docType{data}
\alias{dat.stowe2010}
\title{Studies on Adjuvant Treatments to Levodopa Therapy for Parkinson disease}
\description{Results from 29 trials assessing efficacy of three drug classes as adjuvant treatment to levodopa therapy in patients with Parkinson disease and motor complications.}
\usage{
dat.stowe2010
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study} \tab \code{character} \tab study label \cr
\bold{id}    \tab \code{integer}   \tab study id \cr
\bold{t1}    \tab \code{character} \tab treatment 1 \cr
\bold{y1}    \tab \code{numeric}   \tab treatment effect arm 1 \cr
\bold{sd1}   \tab \code{numeric}   \tab standard deviation arm 1 \cr
\bold{n1}    \tab \code{integer}   \tab sample size arm 1 \cr
\bold{t2}    \tab \code{character} \tab treatment 2 \cr
\bold{y2}    \tab \code{numeric}   \tab treatment effect arm 2 \cr
\bold{sd2}   \tab \code{numeric}   \tab standard deviation arm 2 \cr
\bold{n2}    \tab \code{integer}   \tab sample size arm 2 \cr
\bold{t3}    \tab \code{character} \tab treatment 3 \cr
\bold{y3}    \tab \code{numeric}   \tab treatment effect arm 3 \cr
\bold{sd3}   \tab \code{numeric}   \tab standard deviation arm 3 \cr
\bold{n3}    \tab \code{integer}   \tab sample size arm 3
}
}
\details{
   This dataset contains data from a Cochrane review assessing efficacy and safety of three drug classes as adjuvant treatment to levodopa therapy in patients with Parkinson disease and motor complications (Stowe et al., 2010).

   The authors conducted three pairwise meta-analyses comparing dopamine agonists, catechol-O-methyl transferase inhibitors (COMTI), and monoamine oxidase type B inhibitors (MAOBI) with placebo. The primary outcome was the mean reduction of the time spent in a relatively immobile \sQuote{off} phase (mean off-time), calculated in hours per day. Relative treatment effects were expressed as mean difference. Data on this outcome were available for 5,331 patients from 28 studies comparing an active treatment with placebo and one three-arm study comparing two active treatments with placebo.
}
\source{
   Stowe, R., Ives, N., Clarke, C. E., Deane, K., Hilten, V., Wheatley, K., Gray, R., Handley, K., & Furmston, A. (2010). Evaluation of the efficacy and safety of adjuvant treatment to levodopa therapy in Parkinson's disease patients with motor complications. \emph{Cochrane Database of Systematic Reviews}, \bold{7}, CD007166. \verb{https://doi.org/10.1002/14651858.CD007166.pub2}
}
\author{
   Guido Schwarzer, \email{guido.schwarzer@uniklinik-freiburg.de}, \url{https://github.com/guido-s/}
}
\examples{
### Show results from three studies (including three-arm study LARGO)
dat.stowe2010[18:20, ]

\dontrun{
### Load netmeta package
suppressPackageStartupMessages(library(netmeta))

### Print mean differences with two digits and standard errors with 3
### digits
oldset <- settings.meta(digits = 2, digits.se = 3)

### Transform data from wide arm-based format to contrast-based
### format. Argument 'sm' must not be provided as the mean difference
### is the default in R function metacont() called internally.
pw <- pairwise(treat = list(t1, t2, t3), n = list(n1, n2, n3),
  mean = list(y1, y2, y3), sd = list(sd1, sd2, sd3),
  studlab = study, data = dat.stowe2010, sm = "MD")

### Show calculated mean differences (TE) for three studies
selstudy <- c("COMTI(E) INT-OZ", "LARGO", "COMTI(E) Nomecomt")
subset(pw, studlab \%in\% selstudy)[, c(3:7, 10, 1)]

### Conduct random effects network meta-analysis (NMA)
### with placebo as reference
net <- netmeta(pw, common = FALSE, ref = "plac")

### Show network graph
netgraph(net, number = TRUE, multiarm = TRUE,
  cex = 1.25, offset = 0.025,
  cex.number = 1, pos.number.of.studies = 0.3)

### Print NMA results
net

### Forest plot with NMA results
forest(net)

### Forest plot showing all network estimates of active treatments
### compared with other treatments
forest(net, ref = c("C", "D", "M"), baseline = FALSE, drop = TRUE)

### Treatment ranking using P-scores
netrank(net)

### Rankogram with all ranking probabilities
set.seed(1909)
ran <- rankogram(net)
ran
plot(ran)

### Treatment ranking using SUCRAs
netrank(ran)

### League table showing network and direct estimates
netleague(net, seq = netrank(net), ci = FALSE)

### Use previous settings
settings.meta(oldset)
}
}
\keyword{datasets}
\concept{medicine}
\concept{raw mean differences}
\concept{network meta-analysis}
\section{Concepts}{
   medicine, raw mean differences, network meta-analysis
}

\name{dat.assink2016}
\docType{data}
\alias{dat.assink2016}
\title{Studies on the Association between Recidivism and Mental Health}
\description{Results from 17 studies on the association between recidivism and mental health in delinquent juveniles.}
\usage{
dat.assink2016
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study}     \tab \code{numeric}   \tab study id number \cr
\bold{esid}      \tab \code{numeric}   \tab effect size within study id number \cr
\bold{id}        \tab \code{numeric}   \tab row id number \cr
\bold{yi}        \tab \code{numeric}   \tab standardized mean difference \cr
\bold{vi}        \tab \code{numeric}   \tab corresponding sampling variance \cr
\bold{pubstatus} \tab \code{numeric}   \tab published study (0 = no; 1 = yes) \cr
\bold{year}      \tab \code{numeric}   \tab publication year of the study (approximately mean centered) \cr
\bold{deltype}   \tab \code{character} \tab type of delinquent behavior in which juveniles could have recidivated (either general, overt, or covert)
}
}
\details{
   The studies included in this dataset (which is a subset of the data used in Assink et al., 2015) compared the difference in recidivism between delinquent juveniles with a mental health disorder and a comparison group of juveniles without a mental health disorder. Since studies differed in the way recidivism was defined and assessed, results are given in terms of standardized mean differences, with positive values indicating a higher prevalence of recidivism in the group of juveniles with a mental health disorder.

   Multiple effect size estimates could be extracted from most studies (e.g., for different delinquent behaviors in which juveniles could have recidivated), necessitating the use of appropriate models/methods for the analysis. Assink and Wibbelink (2016) illustrate the use of multilevel meta-analysis models for this purpose.
}
\note{
   The \code{year} variable is not constant within study 3, as this study refers to two different publications using the same data.
}
\source{
   Assink, M., & Wibbelink, C. J. M. (2016). Fitting three-level meta-analytic models in R: A step-by-step tutorial. \emph{The Quantitative Methods for Psychology}, \bold{12}(3), 154--174. \verb{https://doi.org/10.20982/tqmp.12.3.p154}
}
\references{
   Assink, M., van der Put, C. E., Hoeve, M., de Vries, S. L. A., Stams, G. J. J. M., & Oort, F. J. (2015). Risk factors for persistent delinquent behavior among juveniles: A meta-analytic review. \emph{Clinical Psychology Review}, \bold{42}, 47--61. \verb{https://doi.org/10.1016/j.cpr.2015.08.002}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.assink2016
head(dat, 9)

\dontrun{
### load metafor package
library(metafor)

### fit multilevel model
res <- rma.mv(yi, vi, random = ~ 1 | study/esid, data=dat)
res

### use cluster-robust inference methods
robust(res, cluster=study, clubSandwich=TRUE)

### LRTs for the variance components
res0 <- rma.mv(yi, vi, random = ~ 1 | study/esid, data=dat, sigma2=c(0,NA))
anova(res0, res)
res0 <- rma.mv(yi, vi, random = ~ 1 | study/esid, data=dat, sigma2=c(NA,0))
anova(res0, res)

### examine some potential moderators via meta-regression
rma.mv(yi, vi, mods = ~ pubstatus, random = ~ 1 | study/esid, data=dat)
rma.mv(yi, vi, mods = ~ year, random = ~ 1 | study/esid, data=dat)
dat$deltype <- relevel(factor(dat$deltype), ref="general")
rma.mv(yi, vi, mods = ~ deltype, random = ~ 1 | study/esid, data=dat)
rma.mv(yi, vi, mods = ~ year + deltype, random = ~ 1 | study/esid, data=dat)

### assume that the effect sizes within studies are correlated with rho=0.6
V <- vcalc(vi, cluster=study, obs=esid, data=dat, rho=0.6)
round(V[dat$study \%in\% c(1,2), dat$study \%in\% c(1,2)], 4)

### fit multilevel model using this approximate V matrix
res <- rma.mv(yi, V, random = ~ 1 | study/esid, data=dat)
res

### use cluster-robust inference methods
robust(res, cluster=study, clubSandwich=TRUE)

### use a correlation of 0.7 for effect sizes corresponding to the same type of
### delinquent behavior and a correlation of 0.5 for effect sizes corresponding
### to different types of delinquent behavior
V <- vcalc(vi, cluster=study, type=deltype, obs=esid, data=dat, rho=c(0.7, 0.5))

### fit multilevel model using this approximate V matrix
res <- rma.mv(yi, V, random = ~ 1 | study/esid, data=dat)
res

### use cluster-robust inference methods
robust(res, cluster=study, clubSandwich=TRUE)
}
}
\keyword{datasets}
\concept{psychology}
\concept{criminology}
\concept{standardized mean differences}
\concept{multilevel models}
\concept{cluster-robust inference}
\section{Concepts}{
   psychology, criminology, standardized mean differences, multilevel models, cluster-robust inference
}

\name{dat.maire2019}
\docType{data}
\alias{dat.maire2019}
\title{Studies on Temporal Trends in Fish Community Structures in French Rivers}
\description{Results from studies examining changes in the abundance of fish species in French rivers.}
\usage{
dat.maire2019
}
\format{
The object is a list containing a data frame called \code{dat} that contains the following columns and distance matrix called \code{dmat}:
\tabular{lll}{
\bold{site}         \tab \code{character} \tab study site \cr
\bold{station}      \tab \code{character} \tab sampling station at site \cr
\bold{site_station} \tab \code{character} \tab site and station combined \cr
\bold{s1}           \tab \code{numeric}   \tab Mann-Kendal trend statistic for relative abundance of non-local species \cr
\bold{vars1}        \tab \code{numeric}   \tab corresponding sampling variance (corrected for temporal autocorrelation) \cr
\bold{s2}           \tab \code{numeric}   \tab Mann-Kendal trend statistic for relative abundance of northern species \cr
\bold{vars2}        \tab \code{numeric}   \tab corresponding sampling variance (corrected for temporal autocorrelation) \cr
\bold{s3}           \tab \code{numeric}   \tab Mann-Kendal trend statistic for relative abundance of non-native species \cr
\bold{vars3}        \tab \code{numeric}   \tab corresponding sampling variance (corrected for temporal autocorrelation) \cr
\bold{const}        \tab \code{numeric}   \tab constant value of 1
}
}
\details{
   The dataset includes the results from 35 sampling stations (at 11 sites along various French rivers) examining the abundance of various fish species over time (i.e., over 19-37 years, all until 2015). The temporal trend in these abundance data was quantified in terms of Mann-Kendal trend statistics, with positive values indicating monotonically increasing trends. The corresponding sampling variances were corrected for the temporal autocorrelation in the data (Hamed & Rao, 1998).

   The distance matrix \code{dmat} indicates the distance of the sampling stations (1-423 river-km). For stations not connected through the river network, a high distance value of 10,000 river-km was set (effectively forcing the spatial correlation to be 0 for such stations).

   The dataset can be used to illustrate a meta-analysis allowing for spatial correlation in the outcomes.
}
\source{
   Maire, A., Thierry, E., Viechtbauer, W., & Daufresne, M. (2019). Poleward shift in large-river fish communities detected with a novel meta-analysis framework. \emph{Freshwater Biology}, \bold{64}(6), 1143--1156. \verb{https://doi.org/10.1111/fwb.13291}
}
\references{
   Hamed, K. H., & Rao, A. R. (1998). A modified Mann-Kendall trend test for autocorrelated data. \emph{Journal of Hydrology}, \bold{204}(1-4), 182--196. \verb{https://doi.org/10.1016/S0022-1694(97)00125-X}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.maire2019$dat
dat[-10]

### copy distance matrix into 'dmat' and examine first 5 rows/columns
dmat <- dat.maire2019$dmat
dmat[1:5,1:5]

\dontrun{
### load metafor package
library(metafor)

### fit a standard random-effects model ignoring spatial correlation
res1 <- rma.mv(s1, vars1, random = ~ 1 | site_station, data=dat)
res1

### fit model allowing for spatial correlation
res2 <- rma.mv(s1, vars1, random = ~ site_station | const, struct="SPGAU",
               data=dat, dist=list(dmat), control=list(rho.init=10))
res2

### add random effects for sites and stations within sites
res3 <- rma.mv(s1, vars1, random = list(~ 1 | site/station, ~ site_station | const), struct="SPGAU",
               data=dat, dist=list(dmat), control=list(rho.init=10))
res3

### likelihood ratio tests comparing the models
anova(res1, res2)
anova(res2, res3)

### profile likelihood plots for model res2
profile(res2, cline=TRUE)

### effective range (river-km for which the spatial correlation is >= 0.05)
sqrt(3) * res2$rho

### note: it was necessary to adjust the starting value for rho in models
### res2 and res3 so that the optimizer does not get stuck in a local maximum
profile(res2, rho=1, xlim=c(0,200), steps=100)
}
}
\keyword{datasets}
\concept{ecology}
\concept{climate change}
\concept{spatial correlation}
\section{Concepts}{
   ecology, climate change, spatial correlation
}

\name{dat.dumouchel1994}
\docType{data}
\alias{dat.dumouchel1994}
\title{Nitrogen dioxide data set}
\description{Nine studies investigating the effect of NO2 exposure on respiratory illness in children.}
\usage{
dat.dumouchel1994
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study}  \tab \code{character} \tab study label \cr
\bold{smoke}  \tab \code{factor}    \tab adjustment for smoking (y/n) \cr
\bold{no2}    \tab \code{factor}    \tab direct measurement of NO2 concentration (y/n) \cr
\bold{gender} \tab \code{factor}    \tab adjustment for gender (y/n) \cr
\bold{or}     \tab \code{numeric}   \tab odds ratio for childhood respiratory illness \cr
\bold{lower}  \tab \code{numeric}   \tab lower bound of 95 percent CI \cr
\bold{upper}  \tab \code{numeric}   \tab upper bound of 95 percent CI
}
}
\details{
   Hasselblad et al. (1992) investigated the effects of nitrogen dioxide (NO2) exposure on the occurrence of respiratory illness in children. Their data were picked up by DuMouchel (1994) as an illustrative example in his article on Bayesian meta-analysis, and were also part of his \dQuote{\code{hblm}} S-Plus software package. DuMouchel's dataset differs slightly from the figures quoted by Hasselblad et al. (1992), apparently because he had additional, more detailed data available.

   The data set features three study-level covariables reflecting characteristics of the study designs, namely, whether the quoted estimate had been adjusted for parents' smoking status, whether NO2 exposure had been measured directly (or presence of a gas stove in the household had been used as a proxy instead), and whether the quoted effect had been adjusted for gender. Inclusion of the covariables allows to account for the studies' design features, quantify their effects, and adjust for these.
}
\source{
   DuMouchel, W. H. (1994). Hierarchical Bayes linear models for meta-analysis. Technical Report 27, National Institute of Statistical Sciences (NISS); Research Triangle Park, NC, USA. \verb{https://www.niss.org/research/technical-reports/hierarchical-bayes-linear-models-meta-analysis-1994}
}
\references{
   Hasselblad, V., Eddy, D. M., & Kotchmar, D. J. (1992). Synthesis of environmental evidence: Nitrogen dioxide epidemiology studies. \emph{Journal of the Air and Waste Management Association}, \bold{42}(5), 662--671. \verb{https://doi.org/10.1080/10473289.1992.10467018}
}
\author{
   Christian \enc{Röver}{Roever}, \email{christian.roever@med.uni-goettingen.de}
}
\examples{
# show data:
dat.dumouchel1994

\dontrun{
# derive effect sizes (log-ORs):
library(metafor)
no2 <- escalc(measure="OR", yi=log(or),
              sei=(log(upper)-log(lower))/(2*qnorm(0.975)),
              slab=study, data=dat.dumouchel1994)
summary(no2)

# compute overall meta-analysis:
library(bayesmeta)
bm01 <- bayesmeta(no2, tau.prior="DuMouchel")

# show results:
bm01
forestplot(bm01)
traceplot(bm01)

# perform meta-regression;
# specify regressor matrix:
X <- model.matrix( ~ smoke + no2 + gender, data=no2)
colnames(X) <- c("intercept", "smoke", "no2", "gender")

# perform regression:
bm02 <- bmr(no2, X=X, tau.prior="DuMouchel")

# show results:
bm02
forestplot(bm02)
#forestplot(bm02, xlab="log-OR",
#           X.mean=rbind("none"      = c(1,0,0,0),
#                        "smoke"     = c(1,1,0,0),
#                        "no2"       = c(1,0,1,0),
#                        "gender"    = c(1,0,0,1),
#                        "all three" = c(1,1,1,1)))
traceplot(bm02)
}
}
\keyword{datasets}
\concept{medicine}
\concept{pulmonology}
\concept{odds ratios}
\concept{meta-regression}
\section{Concepts}{
   medicine, pulmonology, odds ratios, meta-regression
}

\name{dat.normand1999}
\docType{data}
\alias{dat.normand1999}
\title{Studies on the Length of Hospital Stay of Stroke Patients}
\description{Results from 9 studies on the length of the hospital stay of stroke patients under specialized care and under conventional/routine (non-specialist) care.}
\usage{
dat.normand1999
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study}    \tab \code{numeric}   \tab study number \cr
\bold{source}   \tab \code{character} \tab source of data \cr
\bold{n1i}      \tab \code{numeric}   \tab number of patients under specialized care \cr
\bold{m1i}      \tab \code{numeric}   \tab mean length of stay (in days) under specialized care \cr
\bold{sd1i}     \tab \code{numeric}   \tab standard deviation of the length of stay under specialized care \cr
\bold{n2i}      \tab \code{numeric}   \tab number of patients under routine care \cr
\bold{m2i}      \tab \code{numeric}   \tab mean length of stay (in days) under routine care \cr
\bold{sd2i}     \tab \code{numeric}   \tab standard deviation of the length of stay under routine care
}
}
\details{
   The 9 studies provide data in terms of the mean length of the hospital stay (in days) of stroke patients under specialized care and under conventional/routine (non-specialist) care. The goal of the meta-analysis was to examine the hypothesis whether specialist stroke unit care will result in a shorter length of hospitalization compared to routine management.
}
\source{
   Normand, S. T. (1999). Meta-analysis: Formulating, evaluating, combining, and reporting. \emph{Statistics in Medicine}, \bold{18}(3), 321--359. \verb{https://doi.org/10.1002/(sici)1097-0258(19990215)18:3<321::aid-sim28>3.0.co;2-p}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.normand1999
dat

\dontrun{
### load metafor package
library(metafor)

### calculate mean differences and corresponding sampling variances
dat <- escalc(measure="MD", m1i=m1i, sd1i=sd1i, n1i=n1i, m2i=m2i, sd2i=sd2i, n2i=n2i, data=dat)
dat

### meta-analysis of mean differences using a random-effects model
res <- rma(yi, vi, data=dat)
res

### meta-analysis of standardized mean differences using a random-effects model
res <- rma(measure="SMD", m1i=m1i, sd1i=sd1i, n1i=n1i, m2i=m2i, sd2i=sd2i, n2i=n2i,
           data=dat, slab=source)
res

### draw forest plot
forest(res, xlim=c(-7,5), alim=c(-3,1), header="Study/Source")

### calculate (log transformed) ratios of means and corresponding sampling variances
dat <- escalc(measure="ROM", m1i=m1i, sd1i=sd1i, n1i=n1i, m2i=m2i, sd2i=sd2i, n2i=n2i, data=dat)
dat

### meta-analysis of the (log transformed) ratios of means using a random-effects model
res <- rma(yi, vi, data=dat)
res
predict(res, transf=exp, digits=2)
}
}
\keyword{datasets}
\concept{medicine}
\concept{raw mean differences}
\concept{standardized mean differences}
\section{Concepts}{
   medicine, raw mean differences, standardized mean differences
}

\name{dat.poole2003}
\docType{data}
\alias{dat.poole2003}
\title{Trials on Mucolytic Agents in Chronic Bronchitis or Chronic Obstructive Pulmonary Disease}
\description{Results from 19 trials evaluating mucolytic agents in patients with chronic bronchitis or chronic obstructive pulmonary disease.}
\usage{
dat.poole2003
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{author}   \tab \code{character} \tab first author \cr
\bold{year}     \tab \code{integer}   \tab publication year \cr
\bold{Ne}       \tab \code{integer}   \tab sample size (mucolytic agents) \cr
\bold{Me}       \tab \code{numeric}   \tab mean exacerbations per months (mucolytic agents) \cr
\bold{Se}       \tab \code{numeric}   \tab standard deviation (mucolytic agents)  \cr
\bold{Nc}       \tab \code{integer}   \tab sample size (placebo) \cr
\bold{Mc}       \tab \code{numeric}   \tab mean exacerbations per months (placebo) \cr
\bold{Sc}       \tab \code{numeric}   \tab standard deviation (placebo) \cr
\bold{duration} \tab \code{character} \tab study duration
}
}
\details{
   Poole and Black (2003) conducted a Cochrane review to evaluate mucolytic agents versus placebo for patients with chronic bronchitis or chronic obstructive pulmonary disease. The outcome used here is the mean number of acute exacerbations per month. Acute exacerbation is defined as an increase in cough and in the volume or purulence of sputum. All 17 studies included in the meta-analysis report a mean number of exacerbations and we can work with mean differences, rather than standardised mean differences. Note, later versions of this Cochrane review no longer evaluate the mean number of exacerbations per month.

   This data set is used as an example in Schwarzer et al. (2015).
}
\source{
   Poole, P. J., & Black, P. N. (2003). Mucolytic agents for chronic bronchitis or chronic obstructive pulmonary disease. \emph{Cochrane Database of Systematic Reviews}, \bold{1}, CD001287. \verb{https://doi.org/10.1002/14651858.cd001287}
}
\references{
   Schwarzer, G., Carpenter, J. R., & \enc{Rücker}{Ruecker}, G. (2015). \emph{Meta-analysis with R}. Cham, Switzerland: Springer.
}
\author{
   Guido Schwarzer, \email{guido.schwarzer@uniklinik-freiburg.de}, \url{https://github.com/guido-s/}
}
\examples{
### Show first five studies
head(dat.poole2003, 5)

\dontrun{
### Load meta package
suppressPackageStartupMessages(library(meta))

### Use RevMan 5 settings
oldset <- settings.meta("RevMan5",
  digits.I2 = 2, digits.tau = 3, digits.sd = 2)

### Conduct random effects meta-analysis
m <- metacont(Ne, Me, Se, Nc, Mc, Sc, data = dat.poole2003,
  studlab = paste(author, year), common = FALSE,
  subgroup = duration,
  subgroup.name = "Duration", sep.subgroup = ": ",
  label.e = "Mucolytic agent",
  label.c = "Placebo",
  label.left = "Favours mucolytic agent",
  label.right = "Favours placebo",
  col.label.left = "green", col.label.right = "red")

### Forest plot
forest(m, xlim = c(-0.5, 0.2),
  xlab = paste0("Difference in mean number of\n",
    "acute exacerbations per month"))

### Use previous settings
settings.meta(oldset)
}
}
\keyword{datasets}
\concept{medicine}
\concept{pulmonology}
\concept{raw mean differences}
\concept{subgroup analysis}
\section{Concepts}{
   medicine, pulmonology, raw mean differences, subgroup analysis
}

\name{dat.anker2025}
\docType{data}
\alias{dat.anker2025}
\title{Cardiology Example Data with Subgroup and Interaction Effects}
\description{Treatment effects, overall and in male/female patient subgroups, as well as treatment-by-subgroup interaction effects in six randomized, placebo-controlled trials.}
\usage{
dat.anker2025
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study}         \tab \code{character} \tab study identifier \cr
\bold{year}          \tab \code{integer}   \tab study year \cr
\bold{intv.n}        \tab \code{integer}   \tab number of patients in the intervention group \cr
\bold{placebo.n}     \tab \code{integer}   \tab number of patients in the placebo group \cr
\bold{iv.iron}       \tab \code{factor}    \tab the intravenous (IV) iron formulation investigated \cr
\bold{size}          \tab \code{factor}    \tab study size (\dQuote{small} or \dQuote{large}, based on total number of patients) \cr
\bold{followup}      \tab \code{numeric}   \tab followup duration (months) \cr
\bold{baseline.age}  \tab \code{numeric}   \tab mean age at baseline (years)\cr
\bold{baseline.lvef} \tab \code{numeric}   \tab mean \emph{left ventricular ejection fraction (LVEF)} at baseline (\%) \cr
\bold{baseline.hgb}  \tab \code{numeric}   \tab mean haemoglobin at baseline (g/dl) \cr
\bold{baseline.ft}   \tab \code{numeric}   \tab mean ferritin at baseline (\eqn{\mu}{mc}g/l) \cr
\bold{baseline.tsat} \tab \code{numeric}   \tab mean \emph{transferritin saturation (TSAT)} at baseline (\%) \cr
\bold{total.n}       \tab \code{integer}   \tab total number of patients \cr
\bold{total.logrr}   \tab \code{numeric}   \tab overall effect (log-RR) \cr
\bold{total.se}      \tab \code{numeric}   \tab standard error of overall effect \cr
\bold{female.n}      \tab \code{integer}   \tab number of female patients\cr
\bold{female.logrr}  \tab \code{numeric}   \tab effect (log-RR) in females \cr
\bold{female.se}     \tab \code{numeric}   \tab standard error of effect in females \cr
\bold{male.n}        \tab \code{integer}   \tab number of male patients \cr
\bold{male.logrr}    \tab \code{numeric}   \tab effect (log-RR) in males \cr
\bold{male.se}       \tab \code{numeric}   \tab standard error of effect in males \cr
\bold{sex.logrrr}    \tab \code{numeric}   \tab treatment-by-subgroup interaction (log-RRR) \cr
\bold{sex.se}        \tab \code{numeric}   \tab standard error of treatment-by-subgroup interaction
}
}
\details{
   Anker et al. (2025) analyzed the effects of intravenous (IV) iron therapy observed in six randomized, placebo-controlled trials. The primary endpoint was a composite of (recurrent) heart failure (HF) hospitalizations and cardiovascular (CV) death, and treatment effects were quantified in terms of risk ratios (RRs). Individual participant data were available for five trials, and analyses were harmonized to match the analysis of the sixth trial (the Ironman study). Meta-analyses were then performed based on logarithmic RRs (log-RRs).

   Besides investigation of the overall effect, it was of interest to what extent male and female patients benefited, and whether effects differed between both patient subgroups. The data set includes effect estimates within each study's male and female subgroups (in terms of log-RRs), as well as estimates of the difference between the subgroups (in terms of logarithmic ratios of RRs (log-RRRs). Technically, the RRRs then constitute treatment-by-subgroup interaction effects.
}
\source{
   Anker, S. D., Karakas, M., Mentz, R. J., Ponikowski, P., Butler, J., Khan, M. S., Talha, K. M., Kalra, P. R., Hernandez, A. F., Mulder, H., Rockhold, F. W., Placzek, M., Röver, C., Cleland, J. G. F., & Friede, T. (2025). Systematic review and meta-analysis of intravenous iron therapy for patients with heart failure and iron deficiency. Nature Medicine, 31(8), 2640-2646. \verb{https://doi.org/10.1038/s41591-025-03671-1}
}
\author{
  Christian Roever, \email{christian.roever@med.uni-goettingen.de}
}
\examples{
# show data
dat.anker2025
\dontrun{
library(bayesmeta)

# specify heterogeneity (tau) prior density (half-normal(0.5))
HN05 <- function(t){dhalfnormal(t, scale=0.5)}

#######################################
#  reproduce primary analysis (Fig.2)
es.primary <- escalc(measure="IRR", yi=total.logrr, sei=total.se,
                     ni=total.n, slab=study, data=dat.anker2025)
bma01 <- bayesmeta(es.primary, tau.prior=HN05)
forestplot(bma01, expo=TRUE, xlog=TRUE,
           xlab="rate ratio (RR)", title="HF hospitalizations / CV mortality")

######################################
#  reproduce sex interaction analysis
#  (Tab.2, Supplementary Fig.4)
es.sex <- escalc(measure="GEN", yi=sex.logrrr, sei=sex.se,
                 ni=total.n, slab=study, data=dat.anker2025)
bma02 <- bayesmeta(es.sex, tau.prior=HN05)
forestplot(bma02, expo=TRUE, xlog=TRUE,
           xlab="ratio of RRs (RRR)", title="sex interaction (females/males)")

###########################################
#  reproduce male/female subgroup analyses
#  (Tab.2, Supplementary Fig.12)
es.female <- escalc(measure="IRR", yi=female.logrr, sei=female.se,
                    ni=female.n, slab=study, data=dat.anker2025)
es.male   <- escalc(measure="IRR", yi=male.logrr, sei=male.se,
                    ni=male.n, slab=study, data=dat.anker2025)
bma03a <- bayesmeta(es.female, tau.prior=HN05)
bma03b <- bayesmeta(es.male, tau.prior=HN05)
forestplot(bma03a, expo=TRUE, xlog=TRUE,
           xlab="rate ratio (RR)", title="female subgroup")
forestplot(bma03b, expo=TRUE, xlog=TRUE,
           xlab="rate ratio (RR)", title="male subgroup")
}
}
\keyword{datasets}
\concept{medicine}
\concept{cardiology}
\concept{incidence rates}
\section{Concepts}{
   medicine, cardiology, incidence rates
}

\name{dat.moura2021}
\docType{data}
\alias{dat.moura2021}
\title{Studies on Assortative Mating}
\description{Results from 457 studies on assortative mating in various species.}
\usage{
dat.moura2021
}
\format{
The object is a list containing a data frame called \code{dat} that contains the following columns and a phylogenetic tree called \code{tree}:
\tabular{lll}{
\bold{study.id}          \tab \code{character} \tab study id \cr
\bold{effect.size.id}    \tab \code{numeric}   \tab effect size id \cr
\bold{species}           \tab \code{character} \tab species \cr
\bold{species.id}        \tab \code{character} \tab species id (as in the Open Tree of Life reference taxonomy) \cr
\bold{subphylum}         \tab \code{character} \tab the subphyla of the species \cr
\bold{phylum}            \tab \code{character} \tab the phyla of the species \cr
\bold{assortment.trait}  \tab \code{character} \tab the measure of body size \cr
\bold{trait.dimensions}  \tab \code{character} \tab dimensionality of the measure \cr
\bold{field.collection}  \tab \code{character} \tab whether data were collected in the field \cr
\bold{publication.year}  \tab \code{numeric}   \tab publication year of the study \cr
\bold{pooled.data}       \tab \code{character} \tab whether data were pooled either spatially and/or temporally \cr
\bold{spatially.pooled}  \tab \code{character} \tab whether data were pooled spatially \cr
\bold{temporally.pooled} \tab \code{character} \tab whether data were pooled temporally \cr
\bold{ri}                \tab \code{numeric}   \tab correlation coefficient \cr
\bold{ni}                \tab \code{numeric}   \tab sample size
}
}
\details{
   The 457 studies included in this dataset provide 1828 correlation coefficients describing the similarity in some measure of body size in mating couples in 341 different species.
}
\source{
   Rios Moura, R., Oliveira Gonzaga, M., Silva Pinto, N., Vasconcellos-Neto, J., & Requena, G. S. (2021). Assortative mating in space and time: Patterns and biases. \emph{Ecology Letters}, \bold{24}(5), 1089--1102. \verb{https://doi.org/10.1111/ele.13690}
}
\references{
   Cinar, O., Nakagawa, S., & Viechtbauer, W. (in press). Phylogenetic multilevel meta-analysis: A simulation study on the importance of modelling the phylogeny. \emph{Methods in Ecology and Evolution}. \verb{https://doi.org/10.1111/2041-210X.13760}

   Hadfield, J. D., & Nakagawa, S. (2010). General quantitative genetic methods for comparative biology: Phylogenies, taxonomies and multi-trait models for continuous and categorical characters. \emph{Journal of Evolutionary Biology}, \bold{23}(3), 494--508. \verb{https://doi.org/10.1111/j.1420-9101.2009.01915.x}

   Nakagawa, S., & Santos, E. S. A. (2012). Methodological issues and advances in biological meta-analysis. \emph{Evolutionary Ecology}, \bold{26}(5), 1253--1274. \verb{https://doi.org/10.1007/s10682-012-9555-5}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.moura2021$dat
head(dat)

\dontrun{
### load metafor package
library(metafor)

### load ape package
library(ape, warn.conflicts=FALSE)

### calculate r-to-z transformed correlations and corresponding sampling variances
dat <- escalc(measure="ZCOR", ri=ri, ni=ni, data=dat)

### copy tree to 'tree'
tree <- dat.moura2021$tree

### turn tree into an ultrametric one
tree <- compute.brlen(tree)

### compute phylogenetic correlation matrix
A <- vcv(tree, corr=TRUE)

### make copy of the species.id variable
dat$species.id.phy <- dat$species.id

### fit multilevel phylogenetic meta-analytic model
res <- rma.mv(yi, vi,
   random = list(~ 1 | study.id, ~ 1 | effect.size.id, ~ 1 | species.id, ~ 1 | species.id.phy),
   R=list(species.id.phy=A), data=dat)
res

### examine if spatial and/or temporal pooling of data tends to yield larger correlations
res <- rma.mv(yi, vi,
   mods = ~ spatially.pooled * temporally.pooled,
   random = list(~ 1 | study.id, ~ 1 | effect.size.id, ~ 1 | species.id, ~ 1 | species.id.phy),
   R=list(species.id.phy=A), data=dat)
res

### estimated average correlation without pooling, when pooling spatially,
### when pooling temporally, and when pooling spatially and temporally
predict(res, newmods = rbind(c(0,0,0),c(1,0,0),c(0,1,0),c(1,1,1)), transf=transf.ztor, digits=2)
}
}
\keyword{datasets}
\concept{ecology}
\concept{evolution}
\concept{correlation coefficients}
\concept{multivariate models}
\concept{phylogeny}
\concept{meta-regression}
\section{Concepts}{
   ecology, evolution, correlation coefficients, multivariate models, phylogeny, meta-regression
}

\name{dat.white2020}
\docType{data}
\alias{dat.white2020}
\title{Studies on the Relationship between Sexual Signal Expression and Individual Quality}
\description{Results from 41 studies examining the relationship between measures of individual quality and the expression of structurally coloured sexual signals.}
\usage{
dat.white2020
}
\format{
The object is a data frame which contains the following columns:
\tabular{lll}{
\bold{study_id}        \tab \code{character} \tab study-level ID \cr
\bold{obs}             \tab \code{character} \tab observation-level ID \cr
\bold{exp_obs}         \tab \code{character} \tab whether the study is observational or experimental \cr
\bold{control}         \tab \code{numeric}   \tab whether the study did (1) or did not (0) include a non-sexual control trait \cr
\bold{class}           \tab \code{character} \tab class of the study organisms \cr
\bold{genus}           \tab \code{character} \tab class of the study organisms \cr
\bold{species}         \tab \code{character} \tab species of the study organisms \cr
\bold{sex}             \tab \code{character} \tab sex of the study organisms \cr
\bold{iridescent}      \tab \code{numeric}   \tab whether the colour signals were iridescent (1) or not (0) \cr
\bold{col_var}         \tab \code{character} \tab the colour variable quantified \cr
\bold{col_component}   \tab \code{character} \tab whether the colour variable is chromatic or achromatic \cr
\bold{quality_measure} \tab \code{character} \tab the measure of individual quality used \cr
\bold{region}          \tab \code{character} \tab the body region from which colour was sampled \cr
\bold{n}               \tab \code{numeric}   \tab study sample size \cr
\bold{r}               \tab \code{numeric}   \tab Pearson's correlation coefficient \cr
}
}
\details{
   The 186 rows in this dataset come from 41 experimental and observational studies reporting on the correlation between measures of individual quality (age, body condition, immune function, parasite resistance) and the expression of structurally coloured sexual signals across 28 species. The purpose of this meta-analysis was to test whether structural colour signals show heightened condition-dependent expression, as predicted by evolutionary models of 'honest' signalling.
}
\source{
   White, T. E. (2020). Structural colours reflect individual quality: A meta-analysis. \emph{Biology Letters}, \bold{16}(4), 20200001. \verb{https://doi.org/10.1098/rsbl.2020.0001}
}
\author{
   Thomas E. White, \email{thomas.white@sydney.edu.au}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.white2020
head(dat, 10)

\dontrun{
### load metafor package
library(metafor)

### calculate r-to-z transformed correlations and corresponding sampling variances
dat <- escalc(measure="ZCOR", ri=r, ni=n, data=dat)

### fit multilevel meta-analytic model
res <- rma.mv(yi, vi, random = list(~ 1 | study_id, ~ 1 | obs), data=dat)
res
}
}
\keyword{datasets}
\concept{ecology}
\concept{evolution}
\concept{correlation coefficients}
\section{Concepts}{
   ecology, evolution, correlation coefficients
}

\name{dat.damico2009}
\docType{data}
\alias{dat.damico2009}
\title{Studies on Topical plus Systemic Antibiotics to Prevent Respiratory Tract Infections}
\description{Results from 16 studies examining the effectiveness of topical plus systemic antibiotics to prevent respiratory tract infections (RTIs).}
\usage{
dat.damico2009
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study}   \tab \code{character} \tab first author \cr
\bold{year}    \tab \code{numeric}   \tab publication year \cr
\bold{xt}      \tab \code{numeric}   \tab number of RTIs in the treatment group \cr
\bold{nt}      \tab \code{numeric}   \tab number of patients in the treatment group \cr
\bold{xc}      \tab \code{numeric}   \tab number of RTIs in the control group \cr
\bold{nc}      \tab \code{numeric}   \tab number of patients in the control group \cr
\bold{conceal} \tab \code{numeric}   \tab allocation concealment (0 = not adequate, 1 = adequate) \cr
\bold{blind}   \tab \code{numeric}   \tab blinding (0 = open, 1 = double-blind)
}
}
\details{
   The dataset includes the results from 16 studies that examined the effectiveness of topical plus systemic antibiotics versus no prophylaxis to prevent respiratory tract infections (RTIs).
}
\source{
   D'Amico, R., Pifferi, S., Torri, V., Brazzi, L., Parmelli, E., & Liberati, A. (2009). Antibiotic prophylaxis to reduce respiratory tract infections and mortality in adults receiving intensive care. \emph{Cochrane Database of Systematic Reviews}, \bold{4}, CD000022. \verb{https://doi.org/10.1002/14651858.CD000022.pub3}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.damico2009
dat

\dontrun{
### load metafor package
library(metafor)

### meta-analysis of the (log) odds ratios using the Mantel-Haenszel method
rma.mh(measure="OR", ai=xt, n1i=nt, ci=xc, n2i=nc, data=dat, digits=2)

### calculate log odds ratios and corresponding sampling variances
dat <- escalc(measure="OR", ai=xt, n1i=nt, ci=xc, n2i=nc, data=dat)

### meta-analysis using a random-effects model
res <- rma(yi, vi, data=dat, method="DL")
res
predict(res, transf=exp, digits=2)
}
}
\keyword{datasets}
\concept{medicine}
\concept{pulmonology}
\concept{odds ratios}
\section{Concepts}{
   medicine, pulmonology, odds ratios
}

\name{dat.moore1998}
\docType{data}
\alias{dat.moore1998}
\title{Trials on Non-Steroidal Anti-Inflammatory Drugs in Acute Pain}
\description{Results from 37 trials evaluating non-steroidal anti-inflammatory drugs (NSAIDS) in patients with acute pain.}
\usage{
dat.moore1998
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{id}         \tab \code{integer}   \tab study ID \cr
\bold{author}     \tab \code{character} \tab first author \cr
\bold{year}       \tab \code{integer}   \tab publication year \cr
\bold{Ee}         \tab \code{integer}   \tab number of treatment successes (NSAIDS group) \cr
\bold{Ne}         \tab \code{integer}   \tab number of patients (NSAIDS group) \cr
\bold{Ec}         \tab \code{integer}   \tab number of treatment successes (control group) \cr
\bold{Nc}         \tab \code{integer}   \tab number of patients (control group) \cr
\bold{nonenglish} \tab \code{integer}   \tab non-English publication \cr
\bold{medline}    \tab \code{integer}   \tab listed in Medline \cr
\bold{grey}       \tab \code{integer}   \tab grey literature \cr
\bold{samecont}   \tab \code{integer}   \tab same control group \cr
\bold{journal}    \tab \code{character} \tab journal
}
}
\details{
   Moore et al. (1998) conducted a systematic review of 37 randomized placebo-controlled trials on the effectiveness and safety of topical non-steroidal anti-inflammatory drugs (NSAIDS) in acute pain. The main outcome was treatment success, defined as a reduction in pain of at least 50\%.

   This data set is used as an example in Schwarzer et al. (2015).
}
\source{
   Moore, R. A., Tramèr, M. R., Carroll, D., Wiffen, P. J., & McQuay, H. J. (1998). Quantitive systematic review of topically applied non-steroidal anti-inflammatory drugs. \emph{British Medical Journal}, \bold{316}(7128), 333--338. \verb{https://doi.org/10.1136/bmj.316.7128.333}
}
\references{
   Schwarzer, G., Carpenter, J. R., & \enc{Rücker}{Ruecker}, G. (2015). \emph{Meta-analysis with R}. Cham, Switzerland: Springer.
}
\author{
   Guido Schwarzer, \email{guido.schwarzer@uniklinik-freiburg.de}, \url{https://github.com/guido-s/}
}
\examples{
### Show first five studies
head(dat.moore1998, 5)

\dontrun{
### Load meta package
suppressPackageStartupMessages(library(meta))

### Conduct meta-analysis
m <- metabin(Ee, Ne, Ec, Nc, data = dat.moore1998,
  sm = "OR", studlab = id,
  label.e = "NSAIDS", label.c = "Placebo")

### Funnel plot
fun <- funnel(m, type = "contour",
  random = FALSE, pch = 16)
legend(0.25, 1.25, bty = "n",
  legend = fun$text.contour, fill = fun$col.contour)
}
}
\keyword{datasets}
\concept{medicine}
\concept{odds ratios}
\concept{publication bias}
\section{Concepts}{
   medicine, odds ratios, publication bias
}

\name{dat.crede2010}
\docType{data}
\alias{dat.crede2010}
\title{Studies on the Relationship between Class Attendance and Grades in College Students}
\description{Results from 68 studies on the relationship between class attendence and class performance and/or grade point average in college students.}
\usage{
dat.crede2010
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{studyid}   \tab \code{numeric}   \tab study number \cr
\bold{year}      \tab \code{numeric}   \tab publication year \cr
\bold{source}    \tab \code{character} \tab study source (journal, dissertation, other) \cr
\bold{sampleid}  \tab \code{numeric}   \tab sample within study number \cr
\bold{criterion} \tab \code{character} \tab criterion variable (grade, gpa) \cr
\bold{class}     \tab \code{character} \tab class type (science, nonscience) \cr
\bold{ni}        \tab \code{numeric}   \tab sample size \cr
\bold{ri}        \tab \code{numeric}   \tab observed correlation
}
}
\details{
   The 68 studies included in this dataset provide information about the relationship between class attendance of college students and their performance (i.e., grade) in the class and/or their overall grade point average. Some studies included multiple samples and hence the dataset actually contains 97 correlation coefficients.

   The dataset was obtained via personal communication. Note that this dataset differs just slightly from the one used by Credé et al. (2010).
}
\source{
   Personal communication.
}
\references{
   Credé, M., Roch, S. G., & Kieszczynka, U. M. (2010). Class attendance in college: A meta-analytic review of the relationship of class attendance with grades and student characteristics. \emph{Review of Educational Research}, \bold{80}(2), 272--295. \verb{https://doi.org/10.3102/0034654310362998}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.crede2010
head(dat, 18)

\dontrun{
### load metafor package
library(metafor)

### calculate r-to-z transformed correlations and corresponding sampling variances
dat <- escalc(measure="ZCOR", ri=ri, ni=ni, data=dat)

############################################################################

### meta-analysis for the relationship between attendance and grades
res <- rma(yi, vi, data=dat, subset=criterion=="grade")
res

### estimated average correlation with 95\% CI/PI
predict(res, transf=transf.ztor, digits=2)

### examine if relationship between attendance and grades differs for nonscience/science classes
res <- rma(yi, vi, mods = ~ class, data=dat, subset=criterion=="grade")
res

### estimated average correlations for nonscience and science classes
predict(res, newmods=c(0,1), transf=transf.ztor, digits=2)

### examine if relationship between attendance and grades has changed over time
res <- rma(yi, vi, mods = ~ year, data=dat, subset=criterion=="grade")
res

############################################################################

### meta-analysis for the relationship between attendance and GPA
res <- rma(yi, vi, data=dat, subset=criterion=="gpa")
res

### estimated average correlation with 95\% CI/PI
predict(res, transf=transf.ztor, digits=2)

### examine if relationship between attendance and GPA has changed over time
res <- rma(yi, vi, mods = ~ year, data=dat, subset=criterion=="gpa")
res

############################################################################

### use a multilevel model to examine the relationship between attendance and grades
res <- rma.mv(yi, vi, random = ~ 1 | studyid/sampleid, data=dat, subset=criterion=="grade")
res
predict(res, transf=transf.ztor, digits=2)

### use a multilevel model to examine the relationship between attendance and gpa
res <- rma.mv(yi, vi, random = ~ 1 | studyid/sampleid, data=dat, subset=criterion=="gpa")
res
predict(res, transf=transf.ztor, digits=2)
}
}
\keyword{datasets}
\concept{education}
\concept{correlation coefficients}
\concept{multilevel models}
\section{Concepts}{
   education, correlation coefficients, multilevel models
}

\name{dat.feng2019}
\docType{data}
\alias{dat.feng2019}
\title{Studies on the Prevalence of Depression After Myocardial Infarction}
\description{Results from 19 studies assessing the prevalence of depression after myocardial infarction}
\usage{
dat.feng2019
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{author}        \tab \code{character} \tab first author \cr
\bold{year}          \tab \code{integer}   \tab publication year \cr
\bold{region}        \tab \code{character} \tab country \cr
\bold{design}        \tab \code{character} \tab study design \cr
\bold{source}        \tab \code{character} \tab sample source \cr
\bold{age}           \tab \code{numeric}   \tab mean age \cr
\bold{males}         \tab \code{numeric}   \tab percentage of males \cr
\bold{first}         \tab \code{numeric}   \tab percentage of first-time MI \cr
\bold{questionnaire} \tab \code{character} \tab self-report questionnaire \cr
\bold{interview}     \tab \code{character} \tab structured interview \cr
\bold{timing}        \tab \code{character} \tab timing of depression assessment \cr
\bold{depr}          \tab \code{integer}   \tab subjects with depression \cr
\bold{n}             \tab \code{integer}   \tab sample size
}
}
\details{
   This data set comes from a meta-analysis with 19 studies to estimate the prevalence of depression after a myocardial infarction. The variables \code{depr} and \code{n} contain the number of depressive patients and the total number of patients.
}
\source{
   Feng, L., Li, L., Liu, W., Yang, J., Wang, Q., Shi, L., & Luo, M. (2019). Prevalence of depression in myocardial infarction: A PRISMA-compliant meta-analysis. \emph{Medicine}, \bold{98}(8), e14596. \verb{https://doi.org/10.1097/md.0000000000014596}
}
\author{
   Guido Schwarzer, \email{guido.schwarzer@uniklinik-freiburg.de}, \url{https://github.com/guido-s/}
}
\examples{
### Show results of first six studies
head(dat.feng2019)

\dontrun{
### Load meta package
suppressPackageStartupMessages(library(meta))

### Conduct random effects meta-analysis
mp1 <- metaprop(depr, n, data = dat.feng2019,
  studlab = paste(author, year),
  common = FALSE, prediction = TRUE)

### Create forest plot
forest(mp1, digits = 3, xlim = c(0, 1),
  print.pval.Q = FALSE, details = TRUE)
}
}
\keyword{datasets}
\concept{psychology}
\concept{cardiology}
\concept{prevalence}
\section{Concepts}{
   psychology, cardiology, prevalence
}

\name{dat.bornmann2007}
\docType{data}
\alias{dat.bornmann2007}
\title{Studies on Gender Differences in Grant and Fellowship Awards}
\description{Results from 21 studies on gender differences in grant and fellowship awards.}
\usage{
dat.bornmann2007
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study}      \tab \code{character} \tab study reference \cr
\bold{obs}        \tab \code{numeric}   \tab observation within study \cr
\bold{doctype}    \tab \code{character} \tab document type \cr
\bold{gender}     \tab \code{character} \tab gender of the study authors \cr
\bold{year}       \tab \code{numeric}   \tab (average) cohort year \cr
\bold{org}        \tab \code{character} \tab funding organization / program \cr
\bold{country}    \tab \code{character} \tab country of the funding organization / program \cr
\bold{type}       \tab \code{character} \tab fellowship or grant application \cr
\bold{discipline} \tab \code{character} \tab discipline / field \cr
\bold{waward}     \tab \code{numeric}   \tab number of women who received a grant/fellowship award \cr
\bold{wtotal}     \tab \code{numeric}   \tab number of women who applied for an award \cr
\bold{maward}     \tab \code{numeric}   \tab number of men who received a grant/fellowship award \cr
\bold{mtotal}     \tab \code{numeric}   \tab number of men who applied for an award
}
}
\details{
   The studies in this dataset examine whether the chances of receiving a grant or fellowship award differs for men and women. Note that many studies provide multiple comparisons (e.g., for different years / cohorts / disciplines). A multilevel meta-analysis model can be used to account for the multilevel structure in these data.
}
\source{
   Bornmann, L., Mutz, R., & Daniel, H. (2007). Gender differences in grant peer review: A meta-analysis. \emph{Journal of Informetrics}, \bold{1}(3), 226--238. \verb{https://doi.org/10.1016/j.joi.2007.03.001}
}
\references{
   Marsh, H. W., Bornmann, L., Mutz, R., Daniel, H.-D., & O'Mara, A. (2009). Gender effects in the peer reviews of grant proposals: A comprehensive meta-analysis comparing traditional and multilevel approaches. \emph{Review of Educational Research}, \bold{79}(3), 1290--1326. \verb{https://doi.org/10.3102/0034654309334143}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.bornmann2007
head(dat, 16)

\dontrun{
### load metafor package
library(metafor)

### calculate log odds ratios and corresponding sampling variances
dat <- escalc(measure="OR", ai=waward, n1i=wtotal, ci=maward, n2i=mtotal, data=dat)

### fit multilevel meta-analysis model
res <- rma.mv(yi, vi, random = ~ 1 | study/obs, data=dat)
res

### estimated average odds ratio (with 95\% CI/PI)
predict(res, transf=exp, digits=2)

### test for a difference between fellowship and grant applications
res <- rma.mv(yi, vi, mods = ~ type, random = ~ 1 | study/obs, data=dat)
res
predict(res, newmods=0:1, transf=exp, digits=2)
}
}
\keyword{datasets}
\concept{sociology}
\concept{odds ratios}
\concept{multilevel models}
\section{Concepts}{
   sociology, odds ratios, multilevel models
}

\name{dat.nakagawa2007}
\docType{data}
\alias{dat.nakagawa2007}
\title{Assessing the Function of House Sparrows' Bib Size Using a Flexible Meta-Analysis Method}
\description{A meta-analysis on the association between the size of a male's bib and their social status in house sparrows (\emph{Passer domesticus}).}
\usage{
dat.nakagawa2007
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{StudyID}     \tab \code{character} \tab identity of primary study \cr
\bold{Place}       \tab \code{character} \tab location of study population \cr
\bold{Correlation} \tab \code{numeric}   \tab correlation coefficient \cr
\bold{SampleSize}  \tab \code{integer}   \tab sample size of population \cr
}
}
\details{
   Each study measures the association between a sparrows bib size and its social status. Effects are quantified as correlation coefficients.
}
\source{
   Nakagawa, S., Ockendon, N., Gillespie, D. O. S, Hatchwell, B. J., & Burke, T. (2007). Assessing the function of house sparrows' bib size using a flexible meta-analysis method. \emph{Behavioral Ecology}, \bold{18}(5), 831--840. \verb{https://doi.org/10.1093/beheco/arm050}
}
\author{
   Daniel Noble, \email{daniel.noble@anu.edu.au}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.nakagawa2007
dat

\dontrun{
### load metafor package
library(metafor)

### calculate Zr
dat <- escalc(measure="ZCOR", ri=Correlation, ni=SampleSize, data=dat)

### fit meta-analytic model
res <- rma.mv(yi, vi, random = ~ 1 | StudyID, data=dat)
res
}
}
\keyword{datasets}
\concept{ecology}
\concept{correlation coefficients}
\section{Concepts}{
   ecology, correlation coefficients
}

\name{dat.steurer2006}
\docType{data}
\alias{dat.steurer2006}
\title{Trials on Single-Agent Purine Analogues for the Treatment of Chronic Lymphocytic Leukaemia}
\description{Results from 4 trials evaluating single-agent purine analogues in patients with chronic lymphocytic leukaemia.}
\usage{
dat.steurer2006
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{author} \tab \code{character} \tab first author \cr
\bold{year}   \tab \code{integer}   \tab publication year \cr
\bold{Ne}     \tab \code{integer}   \tab number of patients (purine antagonists) \cr
\bold{Nc}     \tab \code{integer}   \tab number of patients (alkylator-based) \cr
\bold{HR}     \tab \code{numeric}   \tab hazard ratio \cr
\bold{lowHR}  \tab \code{numeric}   \tab lower limit \cr
\bold{uppHR}  \tab \code{numeric}   \tab upper limit \cr
\bold{lnHR}   \tab \code{numeric}   \tab log hazard ratio \cr
\bold{selnHR} \tab \code{numeric}   \tab standard error
}
}
\details{
   Steurer et al. (2006) conducted a Cochrane review to evaluate the effect of single-agent purine analogues for the treatment of chronic lymphocytic leukaemia. This dataset contains data from the main outcome, overall survival. Note, the hazard ratios and confidence limits have been reported in the Cochrane review with only two significant figures and were recalculated using the reported log hazard ratios and standard errors.

   This data set is used as an example in Schwarzer et al. (2015).
}
\source{
   Steurer, M., Pall, G., Richards, S., Schwarzer, G., Bohlius, J., & Greil, R. (2006). Purine antagonists for chronic lymphocytic leukaemia. \emph{Cochrane Database of Systematic Reviews}, \bold{3}, CD004270. \verb{https://doi.org/10.1002/14651858.cd004270.pub2}
}
\references{
   Schwarzer, G., Carpenter, J. R., & \enc{Rücker}{Ruecker}, G. (2015). \emph{Meta-analysis with R}. Cham, Switzerland: Springer.
}
\author{
   Guido Schwarzer, \email{guido.schwarzer@uniklinik-freiburg.de}, \url{https://github.com/guido-s/}
}
\examples{
### Show dataset
dat.steurer2006

\dontrun{
### Load meta package
suppressPackageStartupMessages(library(meta))

### Use RevMan 5 settings
oldset <- settings.meta("RevMan5")

### Conduct common effect meta-analysis
m1 <- metagen(lnHR, selnHR, data = dat.steurer2006,
  studlab = paste(author, year),
  sm = "HR", random = FALSE, n.e = Ne, n.c = Nc)
m1

### Same analysis using lower and upper confidence limits
m2 <- metagen(HR, lower = lowHR, upper = uppHR,
  data = dat.steurer2006, transf = FALSE,
  studlab = paste(author, year),
  sm = "HR", random = FALSE, n.e = Ne, n.c = Nc)
m2

### Use previous settings
settings.meta(oldset)
}
}
\keyword{datasets}
\concept{medicine}
\concept{oncology}
\concept{hazard ratios}
\section{Concepts}{
   medicine, oncology, hazard ratios
}

\name{dat.lim2014}
\docType{data}
\alias{dat.lim2014}
\title{Studies on the Association Between Maternal Size, Offspring Size, and Number of Offsprings}
\description{Results from studies examining the association between maternal size, offspring size, and number of offsprings.}
\usage{
dat.lim2014
}
\format{
The object is a list containing data frames \code{m_o_size}, \code{m_o_fecundity}, \code{o_o_unadj}, and \code{o_o_adj} that contain the following columns and the corresponding phylogenetic trees called \code{m_o_size_tree}, \code{m_o_fecundity_tree}, \code{o_o_unadj_tree}, and \code{o_o_adj_tree}:
\tabular{lll}{
\bold{article}     \tab \code{numeric}   \tab article id \cr
\bold{author}      \tab \code{character} \tab study author(s) \cr
\bold{year}        \tab \code{numeric}   \tab publication year \cr
\bold{species}     \tab \code{character} \tab species \cr
\bold{amniotes}    \tab \code{character} \tab whether the species was amniotic \cr
\bold{environment} \tab \code{character} \tab whether the species were wild or captive \cr
\bold{reprounit}   \tab \code{character} \tab whether the data were based on lifetime reproductive output or a single reproductive event (only in \code{m_o_size} and \code{m_o_fecundity}) \cr
\bold{ri}          \tab \code{numeric}   \tab correlation coefficient \cr
\bold{ni}          \tab \code{numeric}   \tab sample size
}
}
\details{
   The object \code{dat.lim2014} includes 4 datasets:
   \tabular{ll}{
   \code{m_o_size}      \tab on the correlation between maternal size and offspring size \cr
   \code{m_o_fecundity} \tab on the correlation between maternal size and number of offsprings \cr
   \code{o_o_unadj}     \tab on the correlation between offspring size and number of offsprings \cr
   \code{o_o_adj}       \tab on the correlation between offspring size and number of offsprings adjusted for maternal size
   }
   Objects \code{m_o_size_tree}, \code{m_o_fecundity_tree}, \code{o_o_unadj_tree}, and \code{o_o_adj_tree} are the corresponding phylogenetic trees for the species included in each of these datasets.
}
\source{
   Lim, J. N., Senior, A. M., & Nakagawa, S. (2014). Heterogeneity in individual quality and reproductive trade-offs within species. \emph{Evolution}, \bold{68}(8), 2306--2318. \verb{https://doi.org/10.1111/evo.12446}
}
\references{
   Cinar, O., Nakagawa, S., & Viechtbauer, W. (in press). Phylogenetic multilevel meta-analysis: A simulation study on the importance of modelling the phylogeny. \emph{Methods in Ecology and Evolution}. \verb{https://doi.org/10.1111/2041-210X.13760}

   Hadfield, J. D., & Nakagawa, S. (2010). General quantitative genetic methods for comparative biology: Phylogenies, taxonomies and multi-trait models for continuous and categorical characters. \emph{Journal of Evolutionary Biology}, \bold{23}(3), 494--508. \verb{https://doi.org/10.1111/j.1420-9101.2009.01915.x}

   Nakagawa, S., & Santos, E. S. A. (2012). Methodological issues and advances in biological meta-analysis. \emph{Evolutionary Ecology}, \bold{26}(5), 1253--1274. \verb{https://doi.org/10.1007/s10682-012-9555-5}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.lim2014$o_o_unadj
dat[1:14, -c(2:3)]

\dontrun{
### load metafor package
library(metafor)

### load ape package
library(ape, warn.conflicts=FALSE)

### calculate r-to-z transformed correlations and corresponding sampling variances
dat <- escalc(measure="ZCOR", ri=ri, ni=ni, data=dat)

### copy tree to 'tree'
tree <- dat.lim2014$o_o_unadj_tree

### compute branch lengths
tree <- compute.brlen(tree)

### compute phylogenetic correlation matrix
A <- vcv(tree, corr=TRUE)

### make copy of the species variable
dat$species.phy <- dat$species

### create effect size id variable
dat$esid <- 1:nrow(dat)

### fit multilevel phylogenetic meta-analytic model
res <- rma.mv(yi, vi,
   random = list(~ 1 | article, ~ 1 | esid, ~ 1 | species, ~ 1 | species.phy),
   R=list(species.phy=A), data=dat)
res
}
}
\keyword{datasets}
\concept{ecology}
\concept{evolution}
\concept{correlation coefficients}
\concept{multilevel models}
\concept{phylogeny}
\section{Concepts}{
   ecology, evolution, correlation coefficients, multilevel models, phylogeny
}

\name{dat.linde2016}
\docType{data}
\alias{dat.linde2016}
\title{Studies on Antidepressants for the Primary Care Setting}
\description{Results from 93 trials examining 22 interventions (including placebo and usual care) for the primary care of depression.}
\usage{
dat.linde2016
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{id}       \tab \code{integer}   \tab study ID \cr
\bold{author}   \tab \code{character} \tab first author \cr
\bold{year}     \tab \code{numeric}   \tab year of publication \cr
\bold{resp}     \tab \code{numeric}   \tab number of responders \cr
\bold{n}        \tab \code{numeric}   \tab number of patients \cr
\bold{int}      \tab \code{character} \tab intervention label \cr
\bold{int.long} \tab \code{character} \tab intervention label (full name)
}
}
\details{
   This dataset comes from a network meta-analysis of 22 treatments of depression in primary care (Linde et al., 2016), based on 93 trials (79 two-arm trials, 13 three-arm trials, and one four-arm trial). The primary outcome was response after treatment (yes/no), defined as a reduction from baseline by at least 50\% on a depression scale. The dataset contains log odds ratios with standard errors for all pairwise comparisons.

   The interventions comprised both medical and psychological treatments, also in combination, including placebo and usual care (UC) (Linde et al., 2016). Pharmacological interventions were tricyclic antidepressants (TCA), selective serotonin reuptake inhibitors (SSRI), serotonin-noradrenaline reuptake inhibitors (SNRI), noradrenaline reuptake inhibitors (NRI), low- dose serotonin (5-HT2) antagonists and reuptake inhibitors (low-dose SARI), noradrenergic and specific serotonergic agents (NaSSa), reversible inhibitors of monoaminoxidase A (rMAO-A), hypericum extracts, and an individualized drug. Psychological interventions were cognitive behavioral therapy (CBT; four forms: face-to-face CBT, remote therapist-led CBT, guided self-help CBT, and no or minimal contact CBT), face-to-face problem-solving therapy (PST), face-to-face interpersonal psychotherapy, face-to-face psychodynamic therapy, and \dQuote{other face-to-face therapy}. Combination therapies were face-to-face CBT + SSRI, face-to-face PST + SSRI, and face-to-face interpersonal psychotherapy + SSRI.

   The dataset was used as an example in \enc{Rücker}{Ruecker} et al. (2020) to illustrate component network meta-analysis using frequentist methods.
}
\source{
   Linde, K., \enc{Rücker}{Ruecker}, G., Schneider, A., & Kriston, L. (2016). Questionable assumptions hampered interpretation of a network meta-analysis of primary care depression treatments. \emph{Journal of Clinical Epidemiology}, \bold{71}, 86--96. \verb{https://doi.org/10.1016/j.jclinepi.2015.10.010}
}
\references{
   \enc{Rücker}{Ruecker}, G., Petropoulou, M., & Schwarzer, G. (2020). Network meta-analysis of multicomponent interventions. \emph{Biometrical Journal}, \bold{62}(3), 808--821. \verb{https://doi.org/10.1002/bimj.201800167}
}
\author{
   Guido Schwarzer, \email{guido.schwarzer@uniklinik-freiburg.de}, \url{https://github.com/guido-s/}
}
\examples{
### Show results of first three studies (first study has three treatment arms)
head(dat.linde2016, 7)

\dontrun{
### Load netmeta package
suppressPackageStartupMessages(library(netmeta))

### Print odds ratios and confidence limits with two digits
oldset <- settings.meta(digits = 2)

### Define order of treatments in printouts and forest plots
trts <- c("SSRI", "Face-to-face CBT", "Face-to-face interpsy",
  "Face-to-face PST", "Face-to-face CBT + SSRI",
  "Face-to-face interpsy + SSRI", "Face-to-face PST + SSRI",
  "Face-to-face psychodyn", "Other face-to-face",
  "TCA", "SNRI", "NRI", "Low-dose SARI", "NaSSa", "rMAO-A", "Ind drug",
  "Hypericum", "Remote CBT", "Self-help CBT", "No contact CBT", "UC",
  "Placebo")

### Use pairwise() to transform data to comparison-based format
pw <- pairwise(treat = int,
  event = resp, n = n,
  studlab = paste(author, year),
  data = dat.linde2016,
  reference = "plac",
  sm = "OR")

### Conduct random effects network meta-analysis
nma <- netmeta(pw, reference.group = "placebo",
  seq = trts, common = FALSE)

### Network graph
netgraph(nma, seq = "o")

### Show results
nma
forest(nma, xlim = c(0.2, 50))

### Additive component network meta-analysis with placebo as inactive treatment
cnma <- netcomb(nma, inactive = "placebo")
cnma
forest(cnma, xlim = c(0.2, 50))

### Use previous settings
settings.meta(oldset)
}
}
\keyword{datasets}
\concept{medicine}
\concept{psychology}
\concept{psychiatry}
\concept{odds ratios}
\concept{network meta-analysis}
\concept{component network meta-analysis}
\section{Concepts}{
   medicine, psychology, psychiatry, odds ratios, network meta-analysis, component network meta-analysis
}

\name{dat.baskerville2012}
\docType{data}
\alias{dat.baskerville2012}
\title{Studies on the Effectiveness of Practice Facilitation Interventions}
\description{Results from 23 studies on the effectiveness of practice facilitation interventions within the primary care practice setting.}
\usage{
dat.baskerville2012
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{author}    \tab \code{character} \tab study author(s) \cr
\bold{year}      \tab \code{numeric}   \tab publication year \cr
\bold{score}     \tab \code{numeric}   \tab quality score (0 to 12 scale) \cr
\bold{design}    \tab \code{character} \tab study design (cct = controlled clinical trial, rct = randomized clinical trial, crct = cluster randomized clinical trial) \cr
\bold{alloconc}  \tab \code{numeric}   \tab allocation concealed (0 = no, 1 = yes) \cr
\bold{blind}     \tab \code{numeric}   \tab single- or double-blind study (0 = no, 1 = yes) \cr
\bold{itt}       \tab \code{numeric}   \tab intention to treat analysis (0 = no, 1 = yes) \cr
\bold{fumonths}  \tab \code{numeric}   \tab follow-up months \cr
\bold{retention} \tab \code{numeric}   \tab retention (in percent) \cr
\bold{country}   \tab \code{character} \tab country where study was conducted \cr
\bold{outcomes}  \tab \code{numeric}   \tab number of outcomes assessed \cr
\bold{duration}  \tab \code{numeric}   \tab duration of intervention \cr
\bold{pperf}     \tab \code{numeric}   \tab practices per facilitator \cr
\bold{meetings}  \tab \code{numeric}   \tab (average) number of meetings \cr
\bold{hours}     \tab \code{numeric}   \tab (average) hours per meeting \cr
\bold{tailor}    \tab \code{numeric}   \tab intervention tailored to the context and needs of the practice (0 = no, 1 = yes) \cr
\bold{smd}       \tab \code{numeric}   \tab standardized mean difference \cr
\bold{se}        \tab \code{numeric}   \tab corresponding standard error
}
}
\details{
   Baskerville et al. (2012) describe outreach or practice facilitation as a "multifaceted approach that involves skilled individuals who enable others, through a range of intervention components and approaches, to address the challenges in implementing evidence-based care guidelines within the primary care setting". The studies included in this dataset examined the effectiveness of practice facilitation interventions for improving some relevant evidence-based practice behavior. The effect was quantified in terms of a standardized mean difference, comparing the change (from pre- to post-intervention) in the intervention versus the comparison group (or the difference from baseline in prospective cohort studies).
}
\note{
   The quality score of 18 given for the study by Deitrich et al. (1992) in Table 1 of Baskerville et al. (2012) appears to be a typo. This was corrected to an 8 in the present dataset.
}

\source{
   Baskerville, N. B., Liddy, C., & Hogg, W. (2012). Systematic review and meta-analysis of practice facilitation within primary care settings. \emph{Annals of Family Medicine}, \bold{10}(1), 63--74. \verb{https://doi.org/10.1370/afm.1312}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.baskerville2012
dat

\dontrun{
### load metafor package
library(metafor)

### random-effects model
res <- rma(smd, sei=se, data=dat, method="DL")
print(res, digits=2)

### funnel plot
funnel(res, xlab="Standardized Mean Difference", ylim=c(0,0.6))

### rank and regression tests for funnel plot asymmetry
ranktest(res)
regtest(res)

### meta-regression analyses examining various potential moderators
rma(smd, sei=se, mods = ~ score, data=dat, method="DL")
rma(smd, sei=se, mods = ~ alloconc, data=dat, method="DL")
rma(smd, sei=se, mods = ~ blind,    data=dat, method="DL")
rma(smd, sei=se, mods = ~ itt,      data=dat, method="DL")
rma(smd, sei=se, mods = ~ duration, data=dat, method="DL")
rma(smd, sei=se, mods = ~ tailor,   data=dat, method="DL")
rma(smd, sei=se, mods = ~ pperf,    data=dat, method="DL")
rma(smd, sei=se, mods = ~ I(meetings * hours), data=dat, method="DL")
}
}
\keyword{datasets}
\concept{medicine}
\concept{primary care}
\concept{standardized mean differences}
\concept{publication bias}
\concept{meta-regression}
\section{Concepts}{
   medicine, primary care, standardized mean differences, publication bias, meta-regression
}

\name{dat.lopez2019}
\docType{data}
\alias{dat.lopez2019}
\title{Studies on the Effectiveness of CBT for Depression}
\description{Results from 76 studies examining the effectiveness of cognitive behavioral therapy (CBT) for depression in adults.}
\usage{
dat.lopez2019
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study}     \tab \code{character} \tab (first) author and year of study \cr
\bold{treatment} \tab \code{character} \tab treatment provided (see \sQuote{Details}) \cr
\bold{scale}     \tab \code{character} \tab scale used to measure depression symptoms \cr
\bold{n}         \tab \code{numeric}   \tab group size \cr
\bold{diff}      \tab \code{numeric}   \tab standardized mean change \cr
\bold{se}        \tab \code{numeric}   \tab corresponding standard error \cr
\bold{group}     \tab \code{numeric}   \tab type of therapy (0 = individual, 1 = group therapy) \cr
\bold{tailored}  \tab \code{numeric}   \tab whether the intervention was tailored to each patient (0 = no, 1 = yes) \cr
\bold{sessions}  \tab \code{numeric}   \tab number of sessions \cr
\bold{length}    \tab \code{numeric}   \tab average session length (in minutes) \cr
\bold{intensity} \tab \code{numeric}   \tab product of sessions and length \cr
\bold{multi}     \tab \code{numeric}   \tab intervention included multimedia elements (0 = no, 1 = yes) \cr
\bold{cog}       \tab \code{numeric}   \tab intervention included cognitive techniques (0 = no, 1 = yes) \cr
\bold{ba}        \tab \code{numeric}   \tab intervention included behavioral activation (0 = no, 1 = yes) \cr
\bold{psed}      \tab \code{numeric}   \tab intervention included psychoeducation (0 = no, 1 = yes) \cr
\bold{home}      \tab \code{numeric}   \tab intervention included homework (0 = no, 1 = yes) \cr
\bold{prob}      \tab \code{numeric}   \tab intervention included problem solving (0 = no, 1 = yes) \cr
\bold{soc}       \tab \code{numeric}   \tab intervention included social skills training (0 = no, 1 = yes) \cr
\bold{relax}     \tab \code{numeric}   \tab intervention included relaxation (0 = no, 1 = yes) \cr
\bold{goal}      \tab \code{numeric}   \tab intervention included goal setting (0 = no, 1 = yes) \cr
\bold{final}     \tab \code{numeric}   \tab intervention included a final session (0 = no, 1 = yes) \cr
\bold{mind}      \tab \code{numeric}   \tab intervention included mindfulness (0 = no, 1 = yes) \cr
\bold{act}       \tab \code{numeric}   \tab intervention included acceptance and commitment therapy (0 = no, 1 = yes)
}
}
\details{
   The dataset includes the results from 76 studies examining the effectiveness of cognitive behavioral therapy (CBT) for treating depression in adults. Studies included two or more of the following treatments/conditions:
   \enumerate{
   \item treatment as usual (TAU),
   \item no treatment,
   \item wait list,
   \item psychological or attention placebo,
   \item face-to-face CBT,
   \item multimedia CBT,
   \item hybrid CBT (i.e., multimedia CBT with one or more face-to-face sessions).
   }
   Multimedia CBT was defined as CBT delivered via self-help books, audio/video recordings, telephone, computer programs, apps, e-mail, or text messages.

   Variable \code{diff} is the standardized mean change within each group, with negative values indicating a decrease in depression symptoms.
}
\source{
   Personal communication.
}
\references{
   López-López, J. A., Davies, S. R., Caldwell, D. M., Churchill, R., Peters, T. J., Tallon, D., Dawson, S., Wu, Q., Li, J., Taylor, A., Lewis, G., Kessler, D. S., Wiles, N., & Welton, N. J. (2019). The process and delivery of CBT for depression in adults: A systematic review and network meta-analysis. \emph{Psychological Medicine}, \bold{49}(12), 1937--1947. \verb{https://doi.org/10.1017/S003329171900120X}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.lopez2019
dat[1:10,1:6]

\dontrun{
### load metafor package
library(metafor)

### create network graph ('igraph' package must be installed)
library(igraph, warn.conflicts=FALSE)
pairs <- data.frame(do.call(rbind,
   sapply(split(dat$treatment, dat$study), function(x) t(combn(x,2)))), stringsAsFactors=FALSE)
pairs$X1 <- factor(pairs$X1, levels=sort(unique(dat$treatment)))
pairs$X2 <- factor(pairs$X2, levels=sort(unique(dat$treatment)))
tab <- table(pairs[,1], pairs[,2])
tab # adjacency matrix
g <- graph_from_adjacency_matrix(tab, mode = "plus", weighted=TRUE, diag=FALSE)
plot(g, edge.curved=FALSE, edge.width=E(g)$weight/2,
     layout=layout_in_circle(g, order=c("Wait list", "No treatment", "TAU", "Multimedia CBT",
                                        "Hybrid CBT", "F2F CBT", "Placebo")),
     vertex.size=45, vertex.color="lightgray", vertex.label.color="black", vertex.label.font=2)

### restructure data into wide format
dat <- to.wide(dat, study="study", grp="treatment", ref="TAU",
               grpvars=c("diff","se","n"), postfix=c("1","2"))

### compute contrasts between treatment pairs and corresponding sampling variances
dat$yi <- with(dat, diff1 - diff2)
dat$vi <- with(dat, se1^2 + se2^2)

### calculate the variance-covariance matrix for multitreatment studies
calc.v <- function(x) {
   v <- matrix(x$se2[1]^2, nrow=nrow(x), ncol=nrow(x))
   diag(v) <- x$vi
   v
}
V <- bldiag(lapply(split(dat, dat$study), calc.v))

### add contrast matrix to the dataset
dat <- contrmat(dat, grp1="treatment1", grp2="treatment2")

### network meta-analysis using a contrast-based random-effects model
### by setting rho=1/2, tau^2 reflects the amount of heterogeneity for all treatment comparisons
### the treatment left out (TAU) becomes the reference level for the treatment comparisons
res1 <- rma.mv(yi, V, data=dat,
         mods = ~ 0 + No.treatment + Wait.list + Placebo + F2F.CBT + Hybrid.CBT + Multimedia.CBT,
         random = ~ comp | study, rho=1/2)
res1

### forest plot of the contrast estimates (treatments versus TAU)
forest(coef(res1), diag(vcov(res1)), slab=sub(".", " ", names(coef(res1)), fixed=TRUE),
       xlim=c(-5,5), alim=c(-3,3), psize=1, header="Treatment",
       xlab="Difference in Standardized Mean Change (compared to TAU)")

### fit random inconsistency effects model (might have to switch optimizer to get convergence)
res2 <- rma.mv(yi, V, data=dat,
         mods = ~ 0 + No.treatment + Wait.list + Placebo + F2F.CBT + Hybrid.CBT + Multimedia.CBT,
         random = list(~ comp | study, ~ comp | design), rho=1/2, phi=1/2,
         control=list(optimizer="BFGS"))
res2

### likelihood ratio test comparing the two models
anova(res1, res2)

### collapse the different CBT forms into a single category
dat$CBT <- with(dat, ifelse(F2F.CBT + Hybrid.CBT + Multimedia.CBT > 0, 1, 0))

### fit the model with this treatment indicator
res3 <- rma.mv(yi, V, data=dat,
         mods = ~ 0 + No.treatment + Wait.list + Placebo + CBT,
         random = ~ comp | study, rho=1/2)
res3

### component network meta-analysis (effect of CBT may be larger/smaller depending on
### the presence of various components; leaving out 'mind' and 'act' as in the paper)
res4 <- rma.mv(yi, V, data=dat,
         mods = ~ 0 + No.treatment + Wait.list + Placebo + CBT +
         CBT:(multi + cog + ba + psed + home + prob + soc + relax + goal + final),
         random = ~ comp | study, rho=1/2)
res4

rownames <- names(coef(res4))
rownames <- sub(".", " ", rownames, fixed=TRUE)
rownames[5:14] <- c("Multimedia", "Cognitive Techniques", "Behavioral Activiation",
                    "Psycheducation", "Homework", "Problem Solving", "Social Skills Training",
                    "Relaxation", "Goal Setting", "Final Session")

### forest plot of the estimates
forest(coef(res4), diag(vcov(res4)), slab=rownames,
       xlim=c(-5,5), alim=c(-3,3), psize=1, header="Treatment",
       xlab="Difference in Standardized Mean Change (compared to TAU)")
abline(h=10.5, lty="dashed")
}
}
\keyword{datasets}
\concept{psychiatry}
\concept{standardized mean changes}
\concept{network meta-analysis}
\section{Concepts}{
   psychiatry, standardized mean changes, network meta-analysis
}

\name{dat.cannon2006}
\docType{data}
\alias{dat.cannon2006}
\title{Studies on the Effectiveness of Intensive Versus Moderate Statin Therapy for Preventing Coronary Death or Myocardial Infarction}
\description{Results from 4 trials examining the effectiveness of intensive (high dose) versus moderate (standard dose) statin therapy for preventing coronary death or myocardial infarction.}
\usage{
dat.cannon2006
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{trial} \tab \code{character} \tab trial name \cr
\bold{pop}   \tab \code{character} \tab study population (post-ACS: post acute coronary syndrome; stable CAD: stable coronary artery disease) \cr
\bold{nt}    \tab \code{numeric}   \tab number of patients in the high dose group \cr
\bold{nc}    \tab \code{numeric}   \tab number of patients in the standard dose group \cr
\bold{ep1t}  \tab \code{numeric}   \tab number of events in the high dose group for end point 1: coronary death or non-fatal myocardial infarction \cr
\bold{ep1c}  \tab \code{numeric}   \tab number of events in the standard dose group for end point 1: coronary death or non-fatal myocardial infarction \cr
\bold{ep2t}  \tab \code{numeric}   \tab number of events in the high dose group for end point 2: coronary death or any cardiovascular event (MI, stroke, hospitalization for unstable angina, or revascularization) \cr
\bold{ep2c}  \tab \code{numeric}   \tab number of events in the standard dose group for end point 2: coronary death or any cardiovascular event (MI, stroke, hospitalization for unstable angina, or revascularization) \cr
\bold{ep3t}  \tab \code{numeric}   \tab number of events in the high dose group for end point 3: cardiovascular death \cr
\bold{ep3c}  \tab \code{numeric}   \tab number of events in the standard dose group for end point 3: cardiovascular death \cr
\bold{ep4t}  \tab \code{numeric}   \tab number of events in the high dose group for end point 4: non-cardiovascular death \cr
\bold{ep4c}  \tab \code{numeric}   \tab number of events in the standard dose group for end point 4: non-cardiovascular death \cr
\bold{ep5t}  \tab \code{numeric}   \tab number of events in the high dose group for end point 5: deaths (all-cause mortality) \cr
\bold{ep5c}  \tab \code{numeric}   \tab number of events in the standard dose group for end point 5: deaths (all-cause mortality) \cr
\bold{ep6t}  \tab \code{numeric}   \tab number of events in the high dose group for end point 6: stroke \cr
\bold{ep6c}  \tab \code{numeric}   \tab number of events in the standard dose group for end point 6: stroke
}
}
\details{
   The data were obtained from Figures 2, 3, 4, and 5 in Cannon et al. (2006). The authors used the Mantel-Haenszel method for combining the results from the 4 trials. This approach is implemented in the \code{\link[metafor]{rma.mh}} function.
}
\source{
   Cannon, C. P., Steinberg, B. A., Murphy, S. A., Mega, J. L., & Braunwald, E. (2006). Meta-analysis of cardiovascular outcomes trials comparing intensive versus moderate statin therapy. \emph{Journal of the American College of Cardiology}, \bold{48}(3), 438--445. \verb{https://doi.org/10.1016/j.jacc.2006.04.070}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.cannon2006
dat

\dontrun{
### load metafor package
library(metafor)

### meta-analysis of log odds ratios using the MH method for endpoint 1
res <- rma.mh(measure="OR", ai=ep1t, n1i=nt, ci=ep1c, n2i=nc, data=dat, slab=trial)
print(res, digits=2)

### forest plot
forest(res, xlim=c(-.8,0.8), atransf=exp, at=log(c(2/3, 1, 3/2)),
       cex=1.2, xlab="Odds Ratio")
mtext("(high dose better)", side=1, line=par("mgp")[1]-0.5, at=log(2/3), cex=1.2, font=3)
mtext("(standard dose better)", side=1, line=par("mgp")[1]-0.5, at=log(3/2), cex=1.2, font=3)
}
}
\keyword{datasets}
\concept{medicine}
\concept{cardiology}
\concept{odds ratios}
\concept{Mantel-Haenszel method}
\section{Concepts}{
   medicine, cardiology, odds ratios, Mantel-Haenszel method
}

\name{dat.lloyd2010}
\docType{data}
\alias{dat.lloyd2010}
\title{Studies on Anti-TNF-alpha Inhibitors in Rheumatoid Arthritis}
\description{Results from 16 studies evaluating anti-TNF-alpha inhibitors in patients with rheumatoid arthritis.}
\usage{
dat.lloyd2010
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{author}    \tab \code{character} \tab first author \cr
\bold{year}      \tab \code{integer} \tab publication year \cr
\bold{mean.das}  \tab \code{numeric} \tab mean for outcome DAS-28 \cr
\bold{lower.das} \tab \code{numeric} \tab lower limit for outcome DAS-28 \cr
\bold{upper.das} \tab \code{numeric} \tab upper limit for outcome DAS-28 \cr
\bold{mean.haq}  \tab \code{numeric} \tab mean for outcome HAQ \cr
\bold{lower.haq} \tab \code{numeric} \tab lower limit for outcome HAQ \cr
\bold{upper.haq} \tab \code{numeric} \tab upper limit for outcome HAQ \cr
\bold{n}         \tab \code{integer} \tab sample size
}
}
\details{
   Lloyd et al. (2010) report results of a systematic review evaluating the effectiveness of anti-TNF-alpha inhibitors in the treatment of rheumatoid arthritis. The authors conducted separate meta-analyses for HAQ and DAS-28.
}
\source{
   Lloyd, S., Bujkiewicz, S., Wailoo, A. J., Sutton, A. J., & Scott, D. (2010). The effectiveness of anti-TNF-\eqn{\alpha} therapies when used sequentially in rheumatoid arthritis patients: A systematic review and meta-analysis. \emph{Rheumatology}, \bold{49}(12), 2313--2321. \verb{https://doi.org/10.1093/rheumatology/keq169}
}
\author{
   Guido Schwarzer, \email{guido.schwarzer@uniklinik-freiburg.de}, \url{https://github.com/guido-s/}
}
\examples{
### Show first five studies
head(dat.lloyd2010, 5)

\dontrun{
### Load meta package
suppressPackageStartupMessages(library(meta))

### Only consider studies providing data for both outcomes
lloyd5 <- subset(dat.lloyd2010, !is.na(mean.haq) & !is.na(mean.das))

### Univariate meta-analysis of the DAS-28 outcome
m.das <- metagen(mean.das,
  lower = lower.das, upper = upper.das,
  data = lloyd5, sm = "MD",
  studlab = paste(author, year),
  random = FALSE)

### Univariate meta-analysis of the HAQ outcome
m.haq <- metagen(mean.haq,
  lower = lower.haq, upper = upper.haq,
  data = lloyd5, sm = "MD",
  studlab = paste(author, year),
  random = FALSE)

### Forest plots
forest(m.das, test.overall = TRUE, hetstat = FALSE,
  digits.TE = 2, digits.se = 2)
forest(m.haq, test.overall = TRUE, hetstat = FALSE,
  digits.TE = 2, digits.se = 2)
}
}
\keyword{datasets}
\concept{medicine}
\concept{rheumatology}
\concept{raw mean differences}
\section{Concepts}{
   medicine, rheumatology, raw mean differences
}

\name{dat.besson2016}
\docType{data}
\alias{dat.besson2016}
\title{Dataset on How Maternal Diet Impacts Copying Styles in Rodents}
\description{Results from 46 studies synthesising maternal nutritional effects on coping styles in rodents.}
\usage{
dat.besson2016
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{comp_ID} \tab \code{character} \tab effect-size unique identifier \cr
\bold{study_ID} \tab \code{character} \tab study unique identifier \cr
\bold{dam_ID} \tab \code{character} \tab dam unique identifier (group of dams subjected to the same treatment) \cr
\bold{animal_ID} \tab \code{character} \tab offspring unique identifier (group of offspring from the same dam group subjected to the same treatment) \cr
\bold{Reference} \tab \code{character} \tab author’s names and date \cr
\bold{species} \tab \code{character} \tab species [rats or mice] \cr
\bold{strain} \tab \code{character} \tab strain  \cr
\bold{manip_type} \tab \code{character} \tab maternal nutritional manipulation type [protein or calorie] \cr
\bold{manip_direction} \tab \code{character} \tab direction of maternal nutritional manipulation [- = restriction, + = overfeeding]  \cr
\bold{nom_manip_val} \tab \code{character} \tab degree of maternal nutritional manipulation as described in the original publications [\% = percentage of caloric or protein restriction, # = increase in caloric intake]   \cr
\bold{exp} \tab \code{character} \tab percentage of caloric or protein maternal restriction or increase in caloric intake of the experimental group  \cr
\bold{control} \tab \code{character} \tab percentage of caloric or protein maternal restriction or increase in caloric intake for the control group \cr
\bold{manip_parameter} \tab \code{character} \tab protein content, percentage fat or intake  \cr
\bold{vitmin_eql} \tab \code{character} \tab were vitamins equalized across maternal diets? [yes or no] \cr
\bold{adlib_con} \tab \code{character} \tab were maternal control groups fed ad libitum? [yes or no] \cr
\bold{adlib_exp} \tab \code{character} \tab were maternal experimental groups fed ad libitum? [yes or no] \cr
\bold{diet_con} \tab \code{character} \tab name of maternal control diet?  \cr
\bold{diet_exp} \tab \code{character} \tab name of maternal experimental diet?  \cr
\bold{dam_diet_start_dPC} \tab \code{numeric} \tab start of the dam diet [in days post-conception] \cr
\bold{dam_diet_end_dPC} \tab \code{numeric} \tab end of the dam diet [in days post-conception] \cr
\bold{diet_label} \tab \code{character} \tab period of maternal diet manipulation [pregestation = pre-gestation, pre = pregnancy, lact = lactation, or pre+lact = pregnancy and lactation] \cr
\bold{age_mating} \tab \code{numeric} \tab dam age at mating if known \cr
\bold{n_con_dam} \tab \code{integer} \tab sample size of the control dam groups \cr
\bold{n_exp_dam} \tab \code{integer} \tab sample size of the experimental dam groups \cr
\bold{multi_use_con} \tab \code{character} \tab were control groups used multiple time? [yes or no] \cr
\bold{dam_housing} \tab \code{character} \tab how were dams housed? [pair, group, or single] \cr
\bold{temperature} \tab \code{numeric} \tab temperature during the experiment [°C] \cr
\bold{photoperiod} \tab \code{integer} \tab photoperiod during the experiment [number of hours of light] \cr
\bold{litter_size} \tab \code{integer} \tab size of the litter [number of pups per dam] \cr
\bold{litter_size_equalized} \tab \code{character} \tab has litter size been equalized? [yes or no] \cr
\bold{crossfostered} \tab \code{character} \tab have pups been cross-fostered? [yes or no] \cr
\bold{sex} \tab \code{character} \tab sex of the offspring that were tested [m = male, f = female, both = mixed sex] \cr
\bold{housing} \tab \code{character} \tab offspring housing during the test period [dam, pair, single, or group] \cr
\bold{bodymass_mean_contr} \tab \code{numeric} \tab mean body mass of control offspring close to or during the testing period [g] \cr
\bold{bodymass_SE_contr} \tab \code{numeric} \tab S.E. for body mass of control offspring close to or during the testing period \cr
\bold{bodymass_mean_exp} \tab \code{numeric} \tab mean body mass of experimental offspring close to or during the testing period [g] \cr
\bold{bodymass_SE_exp} \tab \code{numeric} \tab S.E. for body mass of experimental offspring close to or during the testing period \cr
\bold{bm_N_contr} \tab \code{integer} \tab sample size for body mass of control offspring close to or during the testing period \cr
\bold{bm_N_exp} \tab \code{integer} \tab sample size for body mass of experimental offspring close to or during the testing period \cr
\bold{bm_dPP} \tab \code{integer} \tab age of offspring when body mass was measured [in days post-parturition] \cr
\bold{offspring_diet} \tab \code{character} \tab offspring diet after weaning [type of control diet] \cr
\bold{offspring_con_adlib} \tab \code{character} \tab were control offspring fed ad libitum after weaning? [yes or no] \cr
\bold{offspring_diet_level} \tab \code{character} \tab name of offspring diet after weaning  \cr
\bold{offspring_diet_end_dPP} \tab \code{integer} \tab end of the offspring diet [in days post-parturition]  \cr
\bold{post_diet_adlib} \tab \code{character} \tab were experimental offspring fed ad libitum after weaning? [yes or no] \cr
\bold{response_age_dPP} \tab \code{numeric} \tab offspring age when behavioural testing started [in days post-parturition] \cr
\bold{authors_behaviour_classification} \tab \code{character} \tab author's classification of offspring behaviour [anxiety, exploration, or activity] \cr
\bold{our_behaviour_classification} \tab \code{character} \tab our classification of offspring behaviour [anxiety, exploration, or activity] \cr
\bold{response_test} \tab \code{character} \tab type of test used [elevated T-maze (ETM), open field, etc.] to measure offspring behaviour \cr
\bold{time_trial} \tab \code{integer} \tab duration of the testing [min] \cr
\bold{measure} \tab \code{character} \tab measures taken during testing [total distance moved, time spent in open arm, etc.] \cr
\bold{unit} \tab \code{character} \tab unit of the behavioural measure taken [min, s, m, number (#), etc.] \cr
\bold{high_better} \tab \code{character} \tab for activity and exploration, a higher number is assumed to be better (i.e., animals were more active), but the opposite was assumed for anxiety (i.e., they were more anxious) [yes or no] \cr
\bold{night.day} \tab \code{character} \tab time of day when behaviours were measured [night or day]  \cr
\bold{comparison} \tab \code{character} \tab for a given control-treatment group comparison, animal group codes as used in the original article [e.g., LP, HP]. This field allows identification of exactly which data (i.e., comparison of which pairs of groups) were extracted from the original paper, and is not used in our analyses. For our analyses the groups were re-coded as control/experimental. \cr
\bold{exp_mean} \tab \code{numeric} \tab mean of the offspring behaviour measured for the experimental group \cr
\bold{exp_se} \tab \code{numeric} \tab S.E. of the offspring behaviour measured for the experimental group \cr
\bold{exp_n} \tab \code{integer} \tab sample size for the offspring experimental group \cr
\bold{con_mean} \tab \code{numeric} \tab mean of offspring behaviour measured for the control group \cr
\bold{con_se} \tab \code{numeric} \tab S.E. of the offspring behaviour measured for the control group \cr
\bold{con_n} \tab \code{integer} \tab sample size for the offspring control group \cr
\bold{con_ID} \tab \code{character} \tab identifier for shared control groups within experiment \cr
\bold{percentage} \tab \code{character} \tab is the offspring behaviour measure a percentage? [yes or no] \cr
\bold{Data_source} \tab \code{character} \tab figure or table number in the original paper from which the data were extracted \cr
\bold{measure_comments} \tab \code{character} \tab any comments on the offspring behaviour measures \cr
\bold{SE_imputed} \tab \code{character} \tab was S.E. imputed for the offspring behaviour measure? [yes or no] \cr
\bold{Comments} \tab \code{character} \tab any comments on the data \cr
}  
}
\details{
   Data from experiments where dams were subject to caloric or protein restriction or were overfed around gestation were included. Offspring activity, exploration, or anxiety were measured outcomes variables from maternal experimental treatments. Multilevel meta-analysis and meta-regression models were used to analyze the meta-analytic data.
}
\source{
   Besson, A. A., Lagisz, M., Senior, A. M., Hector, K. L., & Nakagawa, S. (2016). Effect of maternal diet on offspring coping styles in rodents: A systematic review and meta-analysis. \emph{Biological Reviews}, \bold{91}(4), 1065--1080. \verb{https://doi.org/10.1111/brv.12210}
}
\author{
   Daniel Noble, \email{daniel.noble@anu.edu.au}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.besson2016
head(dat)

\dontrun{
### load metafor
library(metafor)

### compute SD from SE
dat$sd_c <- with(dat, con_se * sqrt(con_n))
dat$sd_e <- with(dat, exp_se * sqrt(exp_n))

### compute standardized mean differences and corresponding sampling variances
dat <- escalc(measure="SMD", m1i=exp_mean, m2i=con_mean, sd1i=sd_e, sd2i=sd_c,
              n1i=exp_n, n2i=con_n, data=dat, add.measure=TRUE)

### fit model
mod1 <- rma.mv(yi ~ 1, V = vi, random = list(~ 1 | study_ID, ~ 1 | comp_ID), data = dat)
mod1
}
}
\keyword{datasets}
\concept{ecology}
\concept{evolution}
\concept{standardized mean differences}
\section{Concepts}{
   ecology, evolution, standardized mean differences
}

\name{dat.kearon1998}
\docType{data}
\alias{dat.kearon1998}
\title{Studies on the Accuracy of Venous Ultrasonography for the Diagnosis of Deep Venous Thrombosis}
\description{Results from diagnostic accuracy studies examining the accuracy of venous ultrasonography for the diagnosis of deep venous thrombosis.}
\usage{
dat.kearon1998
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{id}       \tab \code{numeric}   \tab study id \cr
\bold{author}   \tab \code{character} \tab study author(s) \cr
\bold{year}     \tab \code{numeric}   \tab publication year \cr
\bold{patients} \tab \code{character} \tab patient group (either symptomatic or asymptomatic patients) \cr
\bold{tp}       \tab \code{numeric}   \tab number of true positives \cr
\bold{np}       \tab \code{numeric}   \tab number of positive patients (cases) \cr
\bold{tn}       \tab \code{numeric}   \tab number of true negatives \cr
\bold{nn}       \tab \code{numeric}   \tab number of negative patients (non-cases)
}
}
\details{
   The studies included in the dataset examined the accuracy of venous ultrasonography for the diagnossis of a first deep venous thrombosis in symptomatic and asymptomatic patients. Cases and non-cases were determined based on contrast venography. Venous ultrasonography was then used to make a diagnosis, leading to a given number of true positives and negatives.

   A subset of this dataset (using only the studies with asymptomatic patients) was used by Deeks et al. (2005) to illustrate methods for detecting publication bias (or small-study effects) in meta-analyses of diagnostic accuracy studies.
}
\source{
   Kearon, C., Julian, J. A., Math, M., Newman, T. E., & Ginsberg, J. S. (1998). Noninvasive diagnosis of deep venous thrombosis. \emph{Annals of Internal Medicine}, \bold{128}(8), 663--677. \verb{https://doi.org/10.7326/0003-4819-128-8-199804150-00011}
}
\references{
   Deeks, J. J., Macaskill, P., & Irwig, L. (2005). The performance of tests of publication bias and other sample size effects in systematic reviews of diagnostic test accuracy was assessed. \emph{Journal of Clinical Epidemiology}, \bold{58}(9), 882--893. \verb{https://doi.org/10.1016/j.jclinepi.2005.01.016}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.kearon1998
head(dat)

\dontrun{
### load metafor package
library(metafor)

### calculate diagnostic log odds ratios and corresponding sampling variances
dat <- escalc(measure="OR", ai=tp, n1i=np, ci=nn-tn, n2i=nn, data=dat, add=1/2, to="all")
head(dat)

### fit random-effects model for the symptomatic patients
res <- rma(yi, vi, data=dat, subset=patients=="symptomatic")
res

### fit random-effects model for the asymptomatic patients
res <- rma(yi, vi, data=dat, subset=patients=="asymptomatic")
res

### estimated average diagnostic odds ratio (with 95\% CI)
predict(res, transf=exp, digits=2)

### regression test for funnel plot asymmetry using SE as predictor
reg <- regtest(res, model="lm")
reg

### corresponding funnel plot
funnel(res, atransf=exp, xlim=c(0,7), at=log(c(1,10,100,1000)), ylim=c(0,1.5), steps=4)
ys <- seq(0, 2, length=100)
lines(coef(reg$fit)[1] + coef(reg$fit)[2]*ys, ys, lwd=2, lty=3)

### regression test for funnel plot asymmetry using total sample size as predictor
reg <- regtest(res, model="lm", predictor="ni")
reg

### corresponding funnel plot
funnel(res, yaxis="ni", atransf=exp, xlim=c(0,7), at=log(c(1,10,100,1000)), ylim=c(0,300), steps=4)
ys <- seq(0, 300, length=100)
lines(coef(reg$fit)[1] + coef(reg$fit)[2]*ys, ys, lwd=2, lty=3)

### regression test for funnel plot asymmetry using 1/sqrt(ESS) as predictor (Deeks et al., 2005)
dat$invessi <- 1/(4*dat$np) + 1/(4*dat$nn)
tmp <- rma(yi, invessi, data=dat, subset=patients=="asymptomatic")
reg <- regtest(tmp, model="lm")
reg

### corresponding funnel plot
funnel(tmp, atransf=exp, xlim=c(0,7), at=log(c(1,10,100,1000)), ylim=c(0,0.15), steps=4,
       refline=coef(res), level=0, ylab="1/root(ess)")
ys <- seq(0, 0.2, length=100)
lines(coef(reg$fit)[1] + coef(reg$fit)[2]*ys, ys, lwd=2, lty=3)

### convert data to long format
dat <- to.long(measure="OR", ai=tp, n1i=np, ci=tn, n2i=nn,
               data=dat.kearon1998, subset=patients=="asymptomatic", append=FALSE)
dat$group <- factor(dat$group, levels=c(1,2), labels=c("sensitivity", "specificity"))
dat

### calculate logit-transformed sensitivities
dat <- escalc(measure="PLO", xi=out1, mi=out2, data=dat, add=1/2, to="all",
              include=group=="sensitivity")
dat

### calculate logit-transformed specificities
dat <- escalc(measure="PLO", xi=out1, mi=out2, data=dat, add=1/2, to="all",
              include=group=="specificity")
dat

### bivariate random-effects model for logit sensitivity and specificity
res <- rma.mv(yi, vi, mods = ~ 0 + group, random = ~ group | study, struct="UN", data=dat)
res

### estimated average sensitivity and specificity based on the model
predict(res, newmods = rbind(c(1,0),c(0,1)), transf=transf.ilogit, tau2.levels=c(1,2), digits=2)

### estimated average diagnostic odds ratio based on the model
predict(res, newmods = c(1,1), transf=exp, digits=2)
}
}
\keyword{datasets}
\concept{medicine}
\concept{odds ratios}
\concept{diagnostic accuracy studies}
\concept{multivariate models}
\concept{publication bias}
\section{Concepts}{
   medicine, odds ratios, diagnostic accuracy studies, multivariate models, publication bias
}

\name{dat.hahn2001}
\docType{data}
\alias{dat.hahn2001}
\title{Studies on the Effectiveness of Different Rehydration Solutions for the Prevention of Unscheduled Intravenous Infusion in Children with Diarrhoea}
\description{Results from 12 trials examining the effectiveness of a reduced versus standard rehydration solution for the prevention of unscheduled intravenous infusion in children with diarrhoea.}
\usage{
dat.hahn2001
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study} \tab \code{character} \tab trial name and year \cr
\bold{ai}    \tab \code{numeric}   \tab number of children requiring unscheduled intravenous infusion in the reduced rehydration solution group \cr
\bold{n1i}   \tab \code{numeric}   \tab number of children in the reduced rehydration solution group \cr
\bold{ci}    \tab \code{numeric}   \tab number of children requiring unscheduled intravenous infusion in the standard rehydration solution group \cr
\bold{n2i}   \tab \code{numeric}   \tab number of children in the standard rehydration solution group
}
}
\details{
   The dataset includes the results from 12 randomized clinical trials that examined the effectiveness of a reduced osmolarity oral rehydration solution (total osmolarity <250 mmol/l with reduced sodium) with a standard WHO oral rehydration solution (sodium 90 mmol/l, glucose 111mmol/l, total osmolarity 311 mmol/l) for the prevention of unscheduled intravenous infusion in children with diarrhoea.
}
\source{
   Hahn, S., Kim, Y., & Garner, P. (2001). Reduced osmolarity oral rehydration solution for treating dehydration due to diarrhoea in children: Systematic review. \emph{British Medical Journal}, \bold{323}(7304), 81--85. \verb{https://doi.org/10.1136/bmj.323.7304.81}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.hahn2001
dat

\dontrun{
### load metafor package
library(metafor)

### meta-analysis of (log) odds rations using the Mantel-Haenszel method
res <- rma.mh(measure="OR", ai=ai, n1i=n1i, ci=ci, n2i=n2i, data=dat, digits=2, slab=study)
res

### forest plot (also show studies that were excluded from the analysis)
options(na.action="na.pass")
forest(res, atransf=exp, xlim=c(-11,9), at=log(c(0.01, 0.1, 1, 10, 100)))
options(na.action="na.omit")
}
}
\keyword{datasets}
\concept{medicine}
\concept{odds ratios}
\concept{Mantel-Haenszel method}
\section{Concepts}{
   medicine, odds ratios, Mantel-Haenszel method
}

\name{dat.franchini2012}
\docType{data}
\alias{dat.franchini2012}
\title{Studies on Dopamine Agonists to Reduce \dQuote{Off-Time} in Patients with Advanced Parkinson Disease}
\description{Results from 7 trials examining the effectiveness of four dopamine agonists and placebo to reduce \dQuote{off-time} in patients with advanced Parkinson disease.}
\usage{
dat.franchini2012
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{Study}      \tab \code{character} \tab study label \cr
\bold{Treatment1} \tab \code{character} \tab treatment 1 \cr
\bold{y1}         \tab \code{numeric}   \tab treatment effect arm 1 \cr
\bold{sd1}        \tab \code{numeric}   \tab standard deviation arm 2 \cr
\bold{n1}         \tab \code{integer}   \tab sample size arm 1 \cr
\bold{Treatment2} \tab \code{character} \tab treatment 2 \cr
\bold{y2}         \tab \code{numeric}   \tab treatment effect arm 2 \cr
\bold{sd2}        \tab \code{numeric}   \tab standard deviation arm 2 \cr
\bold{n2}         \tab \code{integer}   \tab sample size arm 1 \cr
\bold{Treatment3} \tab \code{character} \tab treatment 3 \cr
\bold{y3}         \tab \code{numeric}   \tab treatment effect arm 3 \cr
\bold{sd3}        \tab \code{numeric}   \tab standard deviation arm 2 \cr
\bold{n3}         \tab \code{integer}   \tab sample size arm 1
}
}
\details{
   This network meta-analysis compared the effectiveness of four active treatments and placebo in patients with advanced Parkinson disease (Franchini et al., 2012). The outcome is mean lost work-time reduction in patients given dopamine agonists as adjunct therapy. The data are given as sample size, mean, and standard deviation in each trial arm.

   This dataset was used as an example in the supplemental material of Dias et al. (2013) where placebo is coded as 1 and the four active drugs as 2 to 5.
}
\source{
   Dias, S., Sutton, A. J., Ades, A. E., & Welton, N. J. (2013). Evidence synthesis for decision making 2: A generalized linear modeling framework for pairwise and network meta-analysis of randomized controlled trials. \emph{Medical Decision Making}, \bold{33}(5), 607--617. \verb{https://doi.org/10.1177/0272989X12458724}

   Franchini, A. J., Dias, S., Ades, A. E., Jansen, J. P., & Welton, N. J. (2012). Accounting for correlation in network meta-analysis with multi-arm trials. \emph{Research Synthesis Methods}, \bold{3}(2), 142--160. \verb{https://doi.org/10.1002/jrsm.1049}
}
\author{
   Guido Schwarzer, \email{guido.schwarzer@uniklinik-freiburg.de}, \url{https://github.com/guido-s/}
}
\examples{
### Show results from first three studies; third study is a three-arm
### study
head(dat.franchini2012, 3)

\dontrun{
### Load netmeta package
suppressPackageStartupMessages(library(netmeta))

### Print mean differences with two digits
oldset <- settings.meta(digits = 2)

### Transform data from wide arm-based format to contrast-based
### format. Argument 'sm' must not be provided as the mean difference
### is the default in R function metacont() called internally.
pw <- pairwise(list(Treatment1, Treatment2, Treatment3),
  n = list(n1, n2, n3),
  mean = list(y1, y2, y3),
  sd = list(sd1, sd2, sd3),
  data = dat.franchini2012, studlab = Study, sm = "MD")

### Show calculated mean differences (TE) for first three studies
pw[1:5, c(3:7, 10, 1)]

### Conduct network meta-analysis
net <- netmeta(pw)
net

### Draw network graph
netgraph(net, points = TRUE, cex.points = 3, cex = 1.5,
  plastic = TRUE, thickness = "se.fixed",
  iterate = TRUE, start = "eigen")

### Use previous settings
settings.meta(oldset)
}
}
\keyword{datasets}
\concept{medicine}
\concept{raw mean differences}
\concept{network meta-analysis}
\section{Concepts}{
   medicine, raw mean differences, network meta-analysis
}

\name{dat.frank2008}
\docType{data}
\alias{dat.frank2008}
\title{Studies on the Association Between the CASP8 -652 6N del Promoter Polymorphism and Breast Cancer Risk}
\description{Results from 4 case-control studies examining the association between the CASP8 -652 6N del promoter polymorphism and breast cancer risk.}
\usage{
dat.frank2008
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study}      \tab \code{character} \tab study identifier \cr
\bold{bc.ins.ins} \tab \code{numeric}   \tab number of cases who have a homozygous insertion polymorphism \cr
\bold{bc.ins.del} \tab \code{numeric}   \tab number of cases who have a heterozygous insertion/deletion polymorphism \cr
\bold{bc.del.del} \tab \code{numeric}   \tab number of cases who have a homozygous deletion polymorphism \cr
\bold{ct.ins.ins} \tab \code{numeric}   \tab number of controls who have a homozygous insertion polymorphism \cr
\bold{ct.ins.del} \tab \code{numeric}   \tab number of controls who are heterozygous insertion/deletion polymorphism \cr
\bold{ct.del.del} \tab \code{numeric}   \tab number of controls who have a homozygous deletion polymorphism
}
}
\details{
   The 4 studies included in this dataset are case-control studies that have examined the association between the CASP8 -652 6N del promoter polymorphism and breast cancer risk. Breast cancer cases and controls were genotyped and either had a homozygous insertion, a heterozygous insertion/deletion, or a homozygous deletion polymorphism.

   Ziegler et al. (2011) used the same dataset to illustrate the use of meta-analytic methods to examine deviations from Hardy-Weinberg equilibrium across multiple studies. The relative excess heterozygosity (REH) is the proposed measure for such a meta-analysis, which can be computed by setting \code{measure="REH"}.

}
\source{
   Frank, B., Rigas, S. H., Bermejo, J. L., Wiestler, M., Wagner, K., Hemminki, K., Reed, M. W., Sutter, C., Wappenschmidt, B., Balasubramanian, S. P., Meindl, A., Kiechle, M., Bugert, P., Schmutzler, R. K., Bartram, C. R., Justenhoven, C., Ko, Y.-D., Brüning, T., Brauch, H., Hamann, U., Pharoah, P. P. D., Dunning, A. M., Pooley, K. A., Easton, D. F., Cox, A. & Burwinkel, B. (2008). The CASP8 -652 6N del promoter polymorphism and breast cancer risk: A multicenter study. \emph{Breast Cancer Research and Treatment}, \bold{111}(1), 139--144. \verb{https://doi.org/10.1007/s10549-007-9752-z}
}
\references{
   Ziegler, A., Steen, K. V. & Wellek, S. (2011). Investigating Hardy-Weinberg equilibrium in case-control or cohort studies or meta-analysis. \emph{Breast Cancer Research and Treatment}, \bold{128}(1), 197--201. \verb{https://doi.org/10.1007/s10549-010-1295-z}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.frank2008
dat

\dontrun{
### load metafor package
library(metafor)

### calculate log odds ratios comparing ins/del versus ins/ins
dat <- escalc(measure="OR", ai=bc.ins.del, bi=bc.ins.ins,
                            ci=ct.ins.del, di=ct.ins.ins, data=dat)

### fit random-effects model and get the pooled odds ratio (with 95\% CI)
res <- rma(yi, vi, data=dat)
res
predict(res, transf=exp, digits=2)

### calculate log odds ratios comparing del/del versus ins/ins
dat <- escalc(measure="OR", ai=bc.del.del, bi=bc.ins.ins,
                            ci=ct.del.del, di=ct.ins.ins, data=dat)

### fit random-effects model and get the pooled odds ratio (with 95\% CI)
res <- rma(yi, vi, data=dat)
res
predict(res, transf=exp, digits=2)

### calculate log odds ratios comparing ins/del+del/del versus ins/ins
dat <- escalc(measure="OR", ai=bc.ins.del+bc.del.del, bi=bc.ins.ins,
                            ci=ct.ins.del+ct.del.del, di=ct.ins.ins, data=dat)

### fit random-effects model and get the pooled odds ratio (with 95\% CI)
res <- rma(yi, vi, data=dat)
res
predict(res, transf=exp, digits=2)

############################################################################

### compute the relative excess heterozygosity in the controls
dat <- escalc(measure="REH", ai=ct.ins.ins, bi=ct.ins.del, ci=ct.del.del,
              slab=study, data=dat)

### fit random-effects model and get the pooled REH value (with 90\% CI)
res <- rma(yi, vi, data=dat, level=90)
res
predict(res, transf=exp, digits=2)

### draw forest plot
forest(res, atransf=exp, xlim=c(-1.4,1.4), at=log(c(0.5,5/7,1,7/5,2)))
segments(log(5/7), -2, log(5/7), res$k+1, lty="dotted")
segments(log(7/5), -2, log(7/5), res$k+1, lty="dotted")
}
}
\keyword{datasets}
\concept{medicine}
\concept{oncology}
\concept{genetics}
\concept{odds ratios}
\section{Concepts}{
   medicine, oncology, genetics, odds ratios
}

\name{dat.tian2009}
\docType{data}
\alias{dat.tian2009}
\title{Studies on the Effect of Rosiglitazone on the Risk of Myocardial Infarction and Death from Cardiovascular Causes}
\description{Results from 48 trials examining the effect of rosiglitazone on the risk of myocardial infarction and death from cardiovascular causes.}
\usage{
dat.tian2009
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study}                 \tab \code{character} \tab Study ID \cr
\bold{group}                 \tab \code{character} \tab Treatment group (rosiglitazone or control) \cr
\bold{intervention}          \tab \code{character} \tab Intervention group, i.e., combination of drug classes \cr
\bold{detailed.intervention} \tab \code{character} \tab Intervention group with drug names instead of classes \cr
\bold{phase}                 \tab \code{integer}   \tab Phase of clinical trial \cr
\bold{duration}              \tab \code{integer}   \tab Duration of the trial (in weeks) \cr
\bold{n.all}                 \tab \code{integer}   \tab Number of patients \cr
\bold{n}                     \tab \code{integer}   \tab Number of patients with information on outcomes \cr
\bold{deaths}                \tab \code{integer}   \tab Number of deaths \cr
\bold{infarcts}              \tab \code{integer}   \tab Number of myocardial infarctions \cr
\bold{type}                  \tab \code{character} \tab Study types as in Table 1 from Nissen and Wolski (2007) \cr
\bold{population}            \tab \code{character} \tab Details on the trial population \cr
\bold{period}                \tab \code{character} \tab Trial period \cr
\bold{age}                   \tab \code{numeric}   \tab Mean age (in years) \cr
\bold{male}                  \tab \code{numeric}   \tab Percentage of males \cr
\bold{hemoglobin}            \tab \code{numeric}   \tab Mean baseline glycated hemoglobin level \cr
}  
}
\details{
   Nissen and Wolski (2007) performed a meta-analysis of trials examining the effect of rosiglitazone on the risk of myocardial infarction and death from cardiovascular causes. The present dataset by Tian et al. (2009) is based on this meta-analysis, but includes six additional trials where no event was observed in either group for both outcomes. The data set is in long arm-based format. See \code{\link{dat.nissen2007}} for the original dataset.
}
\source{
   Tian, L., Cai, T., Pfeffer, M. A., Piankov, N., Cremieux, P.-Y., & Wei, L. J. (2009). Exact and efficient inference procedure for meta-analysis and its application to the analysis of independent 2 x 2 tables with all available data but without artificial continuity correction. \emph{Biostatistics}, \bold{10}(2), 275--281. \verb{https://doi.org/10.1093/biostatistics/kxn034}
}
\references{
   Nissen, S. E., & Wolski, K. (2007). Effect of Rosiglitazone on the risk of myocardial infarction and death from cardiovascular causes. \emph{New England Journal of Medicine}, \bold{356}(24), 2457-2471. \verb{https://doi.org/10.1056/NEJMoa072761}
}
\seealso{
   \code{\link{dat.nissen2007}}
}
\author{
   Guido Schwarzer, \email{guido.schwarzer@uniklinik-freiburg.de}, \url{https://github.com/guido-s/}
}
\examples{
### Show first 6 rows / 3 trials of the dataset
head(dat.tian2009)

\dontrun{
### Load meta package
suppressPackageStartupMessages(library(meta))

### Print odds ratios and confidence limits with two digits and define
### labels shown in forest plots
oldset <- settings.meta(digits = 2,
  label.e = "Rosiglitazone", label.c = "Control",
  label.left = "Favors rosiglitazome",
  label.right = "Favors control")

### Transform data from long arm-based format to contrast-based
### format. Argument 'sm' has to be used for odds ratio as summary
### measure; by default the risk ratio is used in the metabin function
### called internally.
pw <- pairwise(treat = group, event = deaths, n = n, studlab = study,
  data = dat.tian2009, sm = "OR", varnames = c("lnOR", "selnOR"))

### Fit the inverse variance model
mod_iv <- metabin(pw,
  text.common = "IV method (common)",
  text.random = "IV method (random)")

### Fit the Mantel-Haenszel model
mod_mh <- update(mod_iv, method = "MH", random = FALSE,
  method.incr = gs("method.incr"),
  text.common = "MH method")

### Fit the Peto model
mod_peto <- update(mod_mh, method = "Peto",
  text.common = "Peto method")

### Fit generalized linear mixed models (GLMM)
mod_glmm <- update(mod_mh, method = "glmm", model = "CM.AL",
  random = TRUE,
  text.common = "GLMM (common)",
  text.random = "GLMM (random)")

if (requireNamespace("brglm2", quietly = TRUE)) {
### Fit the logistic regression model with penalized likelihood (LRP)
mod_plma <- update(mod_glmm, method = "LRP",
  text.common = "LRP method (common)",
  text.random = "LRP method (random)")

### Fit the logistic regression model after excluding double zero studies
mod_plma1 <- metabin(event1, n1, event2, n2, studlab = study,
  data = subset(pw, !is.na(lnOR)), sm = "OR", method = "LRP",
  text.common = "LRP method, exclude zeros (common)",
  text.random = "LRP method, exclude zeros (random)")
}

### Create forest plot with all results
mm <- metaadd(mod_iv, data = mod_mh)
mm <- metaadd(mm, data = mod_peto)
mm <- metaadd(mm, data = mod_glmm)

if (requireNamespace("brglm2", quietly = TRUE)) {
mm <- metaadd(mm, data = mod_plma)
mm <- metaadd(mm, data = mod_plma1)
}

fname <- tempfile(pattern = "forest", fileext = ".pdf")
forest(mm, hetstat = FALSE, file = fname, width = 10, rows.gr = 1)

### Use previous settings
settings.meta(oldset)
}
}
\keyword{datasets}
\concept{medicine}
\concept{cardiology}
\concept{odds ratios}
\concept{Peto's method}
\concept{generalized linear models}
\section{Concepts}{
   medicine, cardiology, odds ratios, Peto's method, generalized linear models
}

\name{dat.higgins2008}
\docType{data}
\alias{dat.higgins2008}
\title{Trials on Haloperidol in Schizophrenia}
\description{Results on clinical improvement after therapy from 17 trials evaluating haloperidol in patients with schizophrenia.}
\usage{
dat.higgins2008
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{author}    \tab \code{character} \tab study label \cr
\bold{resp.halo} \tab \code{integer}   \tab number of responders (haloperidol group) \cr
\bold{fail.halo} \tab \code{integer}   \tab number of failures (haloperidol group) \cr
\bold{miss.halo} \tab \code{integer}   \tab number of missing observations (haloperidol group) \cr
\bold{resp.plac} \tab \code{integer}   \tab number of responders (placebo group) \cr
\bold{fail.plac} \tab \code{integer}   \tab number of failures (placebo group) \cr
\bold{miss.plac} \tab \code{integer}   \tab number of missing observations (placebo group)
}
}
\details{
   Higgins et al. (2008) suggested several imputation methods for the meta-analysis of binary outcomes with missing data. The example data set with 17 trials comes originally from a Cochrane review comparing haloperidol with placebo for the treatment of schizophrenia. While the antipsychotic benefits of haloperidol were identified in the 1950s, trials in this patient population are prone to high proportions of missing outcome data, often due to insufficient compliance with randomized controlled trial protocols.

   The outcome is clinical improvement after therapy. For each study, the number of responders, failures, and missing observations are available.
}
\source{
   Higgins, J. P. T., White, I. R., & Wood, A. M. (2008). Imputation methods for missing outcome data in meta-analysis of clinical trials. \emph{Clinical Trials}, \bold{5}(3), 225--239. \verb{https://doi.org/10.1177/1740774508091600}
}
\author{
   Guido Schwarzer, \email{guido.schwarzer@uniklinik-freiburg.de}, \url{https://github.com/guido-s/}
}
\examples{
### Show first five studies
head(dat.higgins2008, 5)

\dontrun{
### Load metasens package
suppressPackageStartupMessages(library(metasens))

### Print odds ratios and confidence limits with three digits
oldset <- settings.meta(digits = 3)

### Conduct common effect meta-analysis of available data
m <- metabin(resp.halo, resp.halo + fail.halo,
  resp.plac, resp.plac + fail.plac,
  data = dat.higgins2008, studlab = author,
  sm = "OR", method = "Inverse", random = FALSE,
  label.e = "Haloperidol", label.c = "Placebo",
  label.left = "Favours placebo",
  label.right = "Favours haloperidol")

### Best case scenario for haloperidol
m.b <- metamiss(m, miss.halo, miss.plac,
  method.miss = "b", small.values = "undesirable")

### Worst case scenario for haloperidol
m.w <- metamiss(m, miss.halo, miss.plac,
  method.miss = "w", small.values = "undesirable")

### Forest plot
m.sens <- metamerge(m, m.b, text.pooled2 = "Best case scenario")
m.sens <- metamerge(m.sens, m.w, text.pooled2 = "Worst case scenario")
forest(m.sens)
}
}
\keyword{datasets}
\concept{psychiatry}
\concept{odds ratios}
\concept{missing data}
\section{Concepts}{
   psychiatry, odds ratios, missing data
}

\name{dat.linde2015}
\docType{data}
\alias{dat.linde2015}
\title{Studies on Classes of Antidepressants for the Primary Care Setting}
\description{Results from 66 trials examining eight classes of antidepressants and placebo for the primary care setting.}
\usage{
dat.linde2015
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{id}         \tab \code{integer}   \tab study ID \cr
\bold{author}     \tab \code{character} \tab first author \cr
\bold{year}       \tab \code{integer}   \tab year of publication \cr
\bold{treatment1} \tab \code{character} \tab treatment 1 \cr
\bold{treatment2} \tab \code{character} \tab treatment 2 \cr
\bold{treatment3} \tab \code{character} \tab treatment 3 \cr
\bold{n1}         \tab \code{integer}   \tab number of patients (arm 1) \cr
\bold{resp1}      \tab \code{integer}   \tab number of early responder (arm 1) \cr
\bold{remi1}      \tab \code{integer}   \tab number of early remissions (arm 1) \cr
\bold{loss1}      \tab \code{integer}   \tab number of patients loss to follow-up (arm 1) \cr
\bold{loss.ae1}   \tab \code{integer}   \tab number of patients loss to follow-up due to adverse events (arm 1) \cr
\bold{ae1}        \tab \code{integer}   \tab number of patients with adverse events (arm 1) \cr
\bold{n2}         \tab \code{integer}   \tab number of patients (arm 2) \cr
\bold{resp2}      \tab \code{integer}   \tab number of early responder (arm 2) \cr
\bold{remi2}      \tab \code{integer}   \tab number of early remissions (arm 2) \cr
\bold{loss2}      \tab \code{integer}   \tab number of patients loss to follow-up (arm 2) \cr
\bold{loss.ae2}   \tab \code{integer}   \tab number of patients loss to follow-up due to adverse events (arm 2) \cr
\bold{ae2}        \tab \code{integer}   \tab number of patients with adverse events (arm 2) \cr
\bold{n3}         \tab \code{integer}   \tab number of patients (arm 3) \cr
\bold{resp3}      \tab \code{integer}   \tab number of early responder (arm 3) \cr
\bold{remi3}      \tab \code{integer}   \tab number of early remissions (arm 3) \cr
\bold{loss3}      \tab \code{integer}   \tab number of patients loss to follow-up (arm 3) \cr
\bold{loss.ae3}   \tab \code{integer}   \tab number of patients loss to follow-up due to adverse events (arm 3) \cr
\bold{ae3}        \tab \code{integer}   \tab number of patients with adverse events (arm 3)
}
}
\details{
   This dataset comes from a systematic review of 8 pharmacological treatments of depression and placebo in primary care with 66 studies (8 of which were 3-arm studies) including 14,785 patients.

   The primary outcome is early response, defined as at least a 50\% score reduction on a depression scale after completion of treatment. Secondary outcomes (also measured as dichotomous) were early remission (defined as having a symptom score below a fixed threshold after completion of treatment), lost to follow-up, lost to follow-up due to adverse events, and any adverse event. The odds ratio was used as effect measure.

   This dataset was used as an example in Rücker and Schwarzer (2017) who introduced methods to resolve conflicting rankings of outcomes in network meta-analysis.
}
\source{
   Linde, K., Kriston, L., Rücker, G., Jamil, S., Schumann, I., Meissner, K., Sigterman, K., & Schneider, A. (2015). Efficacy and acceptability of pharmacological treatments for depressive disorders in primary care: Systematic review and network meta-analysis. \emph{Annals of Family Medicine}, \bold{13}(1), 69--79. \verb{https://doi.org/10.1370/afm.1687}
}
\references{
   Rücker, G., & Schwarzer, G. (2017). Resolve conflicting rankings of outcomes in network meta-analysis: Partial ordering of treatments. \emph{Research Synthesis Methods}, \bold{8}(4), 526--536. \verb{https://doi.org/10.1002/jrsm.1270}
}
\author{
   Guido Schwarzer, \email{guido.schwarzer@uniklinik-freiburg.de}, \url{https://github.com/guido-s/}
}
\examples{
### Show results from first three studies (including three-arm study
### Lecrubier 1997)
head(dat.linde2015, 3)

\dontrun{
### Load netmeta package
suppressPackageStartupMessages(library(netmeta))

### Print odds ratios and confidence limits with two digits
oldset <- settings.meta(digits = 2)

### Change appearance of confidence intervals
cilayout("(", "-")

### Define order of treatments in printouts
trts <- c("TCA", "SSRI", "SNRI", "NRI", "Low-dose SARI",
 "NaSSa", "rMAO-A", "Hypericum", "Placebo")

### Transform data from wide arm-based format to contrast-based format
### (outcome: early response). Argument 'sm' has to be used for odds
### ratio as summary measure; by default the risk ratio is used in the
### metabin function called internally.
pw1 <- pairwise(list(treatment1, treatment2, treatment3),
  event = list(resp1, resp2, resp3),
  n = list(n1, n2, n3),
  studlab = id, data = dat.linde2015, sm = "OR")

### Conduct random effects network meta-analysis for primary outcome
### (early response); small number of early responses is bad (argument
### small.values)
net1 <- netmeta(pw1, common = FALSE, reference = "Placebo", seq = trts,
  small.values = "undesirable")
net1

### Random effects NMA for early remission
pw2 <- pairwise(treat = list(treatment1, treatment2, treatment3),
  event = list(remi1, remi2, remi3),
  n = list(n1, n2, n3),
  studlab = id, data = dat.linde2015, sm = "OR")
net2 <- netmeta(pw2, common = FALSE,
   seq = trts, ref = "Placebo", small.values = "undesirable")
net2

### Ranking of treatments
nr1 <- netrank(net1)
nr2 <- netrank(net2)
nr1
nr2

### Partial order of treatment rankings (two outcomes)
outcomes <- c("Early response", "Early remission")
po12 <- netposet(nr1, nr2, outcomes = outcomes)
plot(po12)

### Use previous settings
settings.meta(oldset)
}
}
\keyword{datasets}
\concept{medicine}
\concept{psychiatry}
\concept{odds ratios}
\concept{network meta-analysis}
\section{Concepts}{
   medicine, psychiatry, odds ratios, network meta-analysis
}

\name{dat.lehmann2018}
\docType{data}
\alias{dat.lehmann2018}
\title{The Effect of Red on Perceived Attractiveness}
\description{Results from studies in which participants rated the attractiveness of photos that featured red or a control color. See OSF project at \verb{https://osf.io/xy47p/}.}
\usage{
dat.lehmann2018
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{Short_Title}            \tab \code{character} \tab Shortened citation formatted as: Author name(s), year of publication - Experiment number. All cells in the column are unique for use as labels in the meta-analysis. \cr
\bold{Full_Citation}          \tab \code{character} \tab Full citation in APA format. \cr
\bold{Short_Citation}         \tab \code{character} \tab Shortened citation of different format, exactly as it would appear in an in-text citation. \cr
\bold{Year}                   \tab \code{numeric}   \tab Year study published (whether in journal or published online). \cr
\bold{Study}                  \tab \code{character} \tab Experiment number. If only one experiment presented in a paper, then \sQuote{Exp 1}, otherwise numbered according to numbering within paper. \cr
\bold{Peer_Reviewed}          \tab \code{character} \tab Whether the experiment was published in a peer-reviewed journal or not. \sQuote{Yes} = peer-reviewed journal, \sQuote{No} can mean in press, online publication, or other. \cr
\bold{Source_Type}            \tab \code{character} \tab Location where experiment is available, including journal articles, conference proceedings, online-only, and other options. More specific than whether peer-reviewed or not. \cr
\bold{Preregistered}          \tab \code{character} \tab Whether experiment was pre-registered or not.  \cr
\bold{Moderator_Group}        \tab \code{character} \tab In some studies, a moderator was intentionally investigated that was meant to reduce the red-romance effect. Data for studies where the red-romance effect is expected to be moderated are marked \sQuote{Yes} in this column. All others are blank. \cr
\bold{Gender}                 \tab \code{character} \tab Gender of rater (male or female). In all cases, gender of stimuli will be opposite. \cr
\bold{Color_Contrast}         \tab \code{character} \tab The color used as the contrast against red. In some cases, not every contrast color was listed. We chose to examine only contrasts that were present in the original studies, when possible. This column contains only the contrasts we examined in this meta-analysis.  \cr
\bold{Color_Form}             \tab \code{character} \tab Location of color in photo. Background = background or border color manipulated; Face = facial redness manipulated; Shirt, Dress, Item = color of specified object manipulated; Dot = a dot of color on shirt manipulated. \cr
\bold{Photo_Type}             \tab \code{character} \tab Amount of body visible in photo. Head Shot = head only; Bust = head, shoulders, sometimes torso; Full Body = entire body visible. \cr
\bold{DV_Type}                \tab \code{character} \tab Scale used for DV. \sQuote{Perceived attractiveness} = the perceived attractiveness scale used in the original studies; alternate scales are differentiated. \cr
\bold{DV_Items}               \tab \code{numeric}   \tab Number of items in DV scale. \cr
\bold{DV_Scale}               \tab \code{character} \tab Full length of DV scale, if clear. \cr
\bold{DV_ScaleBottom}         \tab \code{numeric}   \tab Lower anchor of DV scale. \cr
\bold{DV_ScaleTop}            \tab \code{numeric}   \tab Upper anchor of DV scale. \cr
\bold{Location}               \tab \code{character} \tab Country where study took place, if clear. \sQuote{Worldwide} in some cases of online participation without IP filtering of participants. \cr
\bold{Continent}              \tab \code{character} \tab Continent where study took place, for the sake of creating larger categories for analysis. \cr
\bold{Participants}           \tab \code{character} \tab Basic notes about participants. Students = high school, undergraduate, or graduate students; Online = participants were gathered online; Adult = no other common identifying factor given. \cr
\bold{Participant_Notes}      \tab \code{character} \tab A finer grained description of participant characteristics. \cr
\bold{Design}                 \tab \code{character} \tab Whether study was a between- or within-subjects design. \cr
\bold{Eth_Majority}           \tab \code{character} \tab Basic notes about participant ethnicity for ease of analysis. This represents the ethnic majority within the sample. \cr
\bold{Eth_Majority_Detail}    \tab \code{character} \tab A finer grained description of participant characteristics, including in some cases participant counts when the ethnic majority was close to another category. \cr
\bold{Eth_Stim}               \tab \code{character} \tab Ethnicity of the people pictured in the stimulus materials. \cr
\bold{Eth_Match}              \tab \code{character} \tab Whether the ethnic majority of the participant pool matched the ethnicity of stimulus photos. \cr
\bold{Red_Age}                \tab \code{numeric}   \tab Mean age of participants in red group. If not given for specific group, then mean age overall. \cr
\bold{Control_Age}            \tab \code{numeric}   \tab Mean age of participants in control group. If not given for specific group, then mean age overall. \cr
\bold{Color_Red}              \tab \code{character} \tab Specific values of red color, if given. \cr
\bold{Color_Control}          \tab \code{character} \tab Specific values of control color, if given. \cr
\bold{Red_Original}           \tab \code{character} \tab Whether the red color used in the study is within 5 units of the LCh values for red used in the original study. \cr
\bold{Color_Match}            \tab \code{character} \tab Whether the control color used in the study is within 5 units of the red color on the L and C parameters. In cases where the control color used was white, it was not possible for the L and C parameters to match. \cr
\bold{Presentation_Control}   \tab \code{character} \tab Whether the color of the stimulus viewed by each participant was consistent, as in participants viewing everything on paper or the same computer, versus uncontrolled presentation of the stimulus, as in viewing stimulus on different computers. \cr
\bold{Stimuli_Presentation}   \tab \code{character} \tab Method for presenting stimuli. \sQuote{Paper} = stimuli printed on paper, shown in-person; \sQuote{Screen} = stimuli shown on-screen, not carefully controlled; \sQuote{Screen Control} = stimuli shown on-screen, but screen carefully color-matched. \cr
\bold{Red_N}                  \tab \code{numeric}   \tab Number of participants in red group. \cr
\bold{Red_M}                  \tab \code{numeric}   \tab Mean rating of DV in red group. \cr
\bold{Red_SD}                 \tab \code{numeric}   \tab Standard deviation of DV in red group. \cr
\bold{Control_N}              \tab \code{numeric}   \tab Number of participants in control group. \cr
\bold{Control_M}              \tab \code{numeric}   \tab Mean rating of DV in control group. \cr
\bold{Control_SD}             \tab \code{numeric}   \tab Standard deviation of DV in control group. \cr
\bold{SD_diff}                \tab \code{numeric}   \tab Calculated for within-subjects studies, standard deviation of difference scores. \cr
\bold{RM_r}                   \tab \code{numeric}   \tab Calculated for within-subjects studies, correlation between participant ratings of red and control attractiveness. \cr
\bold{Control_Attractiveness} \tab \code{numeric}   \tab Attractiveness of stimuli in control condition, calculated as \code{(Control_M - DV_ScaleBottom) / DV_ScaleTop}, in order to compare attractiveness ratings across different scales. \cr
\bold{Notes}                  \tab \code{character} \tab Any additional notes on the study. \cr
\bold{Total.SampleSize}       \tab \code{numeric}   \tab Total unique participants in the study. \cr
\bold{pooled}                 \tab \code{numeric}   \tab Pooled standard deviation for within-subjects studies. \cr
\bold{yi}                     \tab \code{numeric}   \tab Standardized mean difference. \cr
\bold{vi}                     \tab \code{numeric}   \tab Corresponding sampling variance. \cr
}
}
\details{
   This is data from a meta-analysis of studies that test the red-romance hypothesis, which is that the color red enhances heterosexual attraction in romantic contexts. Analyzing male participants only, the meta-analysis should show a small, statistically significant effect (d = 0.26 [0.12, 0.40], p = .0004, N = 2,961). Analyzing female participants only should show a very small effect (d = 0.13 [0.01, 0.25], p = .03, N = 2,739). The analyses in the published meta-analysis found clear evidence of upward bias in the estimate for female participants and equivocal evidence for male participants. Moderator analyses suggest effect sizes may have declined over time (both genders), may be largest when an original shade of red is used (men only), and may be smaller in pre-registered studies (women only).
}
\source{
   Lehmann, G. K., Elliot, A. J., & Calin-Jageman, R. J. (2018). Meta-analysis of the effect of red on perceived attractiveness. \emph{Evolutionary Psychology}, \bold{16}(4). \verb{https://doi.org/10.1177/1474704918802412} \verb{https://osf.io/xy47p/}
}
\author{
   Robert Calin-Jageman, \email{rcalinjageman@dom.edu}, \url{https://calin-jageman.net}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.lehmann2018
head(dat)

\dontrun{
### load metafor package
library(metafor)

### meta-analyses for male and female participants
red_romance_malep   <- dat[dat$Gender == "Males", ]
red_romance_femalep <- dat[dat$Gender == "Females", ]

res_malep <- rma(yi, vi, data=red_romance_malep, test="knha")
res_malep
res_femalep <- rma(yi, vi, data=red_romance_femalep, test="knha")
res_femalep
}
}
\keyword{datasets}
\concept{psychology}
\concept{attraction}
\concept{standardized mean differences}
\section{Concepts}{
   psychology, attraction, standardized mean differences
}

\name{dat.metap}
\docType{data}
\alias{dat.metap}
\title{Example Data for the Meta-Analysis of Significance Values}
\description{A collection of datasets for illustrating the meta-analysis of significance values (i.e., methods for combining p-values from tests of significance).}
\usage{
dat.metap
}
\format{
A list with the following elements:
\describe{
   \item{\code{beckerp}}{A numeric vector with 5 hypothetical \eqn{p}-values}

   \item{\code{cholest}}{A data frame with 34 observations on the following 5 variables:
   \tabular{lll}{
   \bold{ntreat}   \tab \code{numeric} \tab number of patients in the treated group \cr
   \bold{ncontrol} \tab \code{numeric} \tab number of patients in the control group \cr
   \bold{dtreat}   \tab \code{numeric} \tab number of deaths in the treated group \cr
   \bold{dcontrol} \tab \code{numeric} \tab number of deaths in the control group \cr
   \bold{p}        \tab \code{numeric} \tab one-sided \eqn{p}-values \cr
   }}

   \item{\code{edgington}}{A vector of with 7 hypothetical \eqn{p}-values}

   \item{\code{mourning}}{A data frame with 9 observations on the following 3 variables:
   \tabular{lll}{
   \bold{stance} \tab \code{character} \tab character variable with levels \code{No stand}, \code{Opponent}, \code{Supporter} \cr
   \bold{grade}  \tab \code{character} \tab character variable with levels \code{G11-12}, \code{G7-8}, \code{G9-10} \cr
   \bold{p}      \tab \code{numeric}   \tab \eqn{p}-values \cr
   }}

   \item{\code{naep}}{A data frame with 34 observations on the following 2 variables:
   \tabular{lll}{
   \bold{state} \tab \code{character} \tab character variable with two-letter US state names \cr
   \bold{p}     \tab \code{numeric}   \tab \eqn{p}-values \cr
   }}

   \item{\code{rosenthal}}{A data frame with 5 observations on the following 3 variables:
   \tabular{lll}{
   \bold{t}  \tab \code{numeric} \tab t-statistics \cr
   \bold{df} \tab \code{numeric} \tab degrees of freedom \cr
   \bold{p}  \tab \code{numeric} \tab one-sided \eqn{p}-values \cr
   }}

   \item{\code{teachexpect}}{A vector of 19 \eqn{p}-values}

   \item{\code{validity}}{
   A data frame with 20 observations on the following 3 variables:
   \tabular{lll}{
   \bold{n} \tab \code{numeric} \tab sample sizes \cr
   \bold{r} \tab \code{numeric} \tab correlation coefficients \cr
   \bold{p} \tab \code{numeric} \tab one-sided \eqn{p}-values \cr
   }}

   \item{\code{zhang}}{A data frame with 22 observations on the following 11 variables:
   \tabular{lll}{
   \bold{study}  \tab \code{character} \tab study names \cr
   \bold{smd}    \tab \code{numeric}   \tab standardized mean differences \cr
   \bold{lo}     \tab \code{numeric}   \tab lower confidence interval limits \cr
   \bold{hi}     \tab \code{numeric}   \tab upper confidence interval limits \cr
   \bold{ntreat} \tab \code{numeric}   \tab treated group sample sizes \cr
   \bold{ncont}  \tab \code{numeric}   \tab control group sample sizes \cr
   \bold{n}      \tab \code{numeric}   \tab total sample sizes \cr
   \bold{phase}  \tab \code{factor}    \tab phase the patients were in: acute, healing, healed \cr
   \bold{sd}     \tab \code{numeric}   \tab the calculated standard deviations \cr
   \bold{z}      \tab \code{numeric}   \tab the calculated z-values \cr
   \bold{p}      \tab \code{numeric}   \tab one-sided \eqn{p}-values \cr
   }}
}
}
\details{
\describe{
   \item{\code{beckerp}}{Hypothetical \eqn{p}-values from Becker (1994).}
   \item{\code{cholest}}{Trials of interventions for cholesterol lowering from Sutton et al. (2000).}
   \item{\code{edgington}}{Hypothetical \eqn{p}-values from Edgington (1972).}
   \item{\code{mourning}}{Results from a study of mourning practices of Israeli youth following the assassination of Itzakh Rabin from Benjamini and Hochberg (2000).}
   \item{\code{naep}}{Results of mathematical achievement scores from the National Assessment of Educational Progress from Benjamini and Hochberg (2000).}
   \item{\code{rosenthal}}{Hypothetical example from Rosenthal (1978).}
   \item{\code{teachexpect}}{\eqn{p}-values from studies of the effect of manipulating teacher expectancy on student IQ from Becker (1994).}
   \item{\code{validity}}{Data from studies of validity of student ratings of their instructors from Becker (1994) including correlations and sample sizes as well as \eqn{p}-values.}
   \item{\code{zhang}}{Data from trials of exercise training for patients with cardiovascular disease from Zhang et al. (2016).}
}
}
\author{Michael Dewey}
\note{
   The \eqn{p}-values in \code{cholest} have been re-calculated from other data given in the book and so are of higher accuracy than the ones given in the book which are only to two decimal places.
}
\references{
   Becker, B. J. (1994). Combining significance levels. In H. Cooper & L. V. Hedges (Eds.), \emph{The handbook of research synthesis} (pp. 215–230). New York: Russell Sage Foundation.

   Benjamini, Y., & Hochberg, Y. (2000). On the adaptive control of the false discovery rate in multiple testing with independent statistics. \emph{Journal of Educational and Behavioral Statistics}, \bold{25}(1), 60--83. \verb{https://doi.org/10.3102/10769986025001060}

   Edgington, E. S. (1972). An additive method for combining probability values from independent experiments. \emph{Journal of Psychology}, \bold{80}(2), 351-363. \verb{https://doi.org/10.1080/00223980.1972.9924813}

   Rosenthal, R. (1978). Combining results of independent studies. \emph{Psychological Bulletin}, \bold{85}(1), 185--193. \verb{https://doi.org/10.1037/0033-2909.85.1.185}

   Sutton, A. J., Abrams, K. R., Jones, D. R., Sheldon, T. A., & Song, F. (2000). \emph{Methods for meta-analysis in medical research}. Chichester, UK: Wiley.

   Zhang, Y.-M., Lu, Y., Tang, Y., Yang, D., Wu, H.-F., Bian, Z.-P., Xu, J.-D., Gu, C.-R., Wang, L.-S., & Chen, X.-J. (2016). The effects of different initiation time of exercise training on left ventricular remodeling and cardiopulmonary rehabilitation in patients with left ventricular dysfunction after myocardial infarction. \emph{Disability and Rehabilitation}, \bold{38}(3), 268--276. \verb{https://doi.org/10.3109/09638288.2015.1036174}
}
\examples{
dat.metap
}
\keyword{datasets}
\concept{combining p-values}
\section{Concepts}{
   combining p-values
}

\name{dat.dagostino1998}
\docType{data}
\alias{dat.dagostino1998}
\title{Studies on the Effectiveness of Antihistamines in Reducing Symptoms of the Common Cold}
\description{Results from 9 studies on the effectiveness of antihistamines in reducing the severity of runny nose and sneezing in the common cold.}
\usage{
dat.dagostino1998
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study}    \tab \code{numeric}   \tab study id \cr
\bold{cold}     \tab \code{character} \tab natural or induced cold study \cr
\bold{scale.rn} \tab \code{character} \tab scale for measuring runny nose severity \cr
\bold{scale.sn} \tab \code{character} \tab scale for measuring sneezing severity \cr
\bold{drug}     \tab \code{character} \tab type of antihistamine studied \cr
\bold{tnt}      \tab \code{numeric}   \tab total sample size of the treatment group \cr
\bold{tnc}      \tab \code{numeric}   \tab total sample size of the control (placebo) group \cr
\bold{outcome}  \tab \code{character} \tab outcome variable (see \sQuote{Details})\cr
\bold{mt}       \tab \code{numeric}   \tab mean in the treatment group \cr
\bold{sdt}      \tab \code{numeric}   \tab SD in the treatment group \cr
\bold{mc}       \tab \code{numeric}   \tab mean in the control group \cr
\bold{sdc}      \tab \code{numeric}   \tab SD in the control group \cr
\bold{xt}       \tab \code{numeric}   \tab number of patients reaching the therapy goal in the treatment group \cr
\bold{xc}       \tab \code{numeric}   \tab number of patients reaching the therapy goal in the control (placebo) group \cr
\bold{nt}       \tab \code{numeric}   \tab sample size of the treatment group for measuring the outcome \cr
\bold{nc}       \tab \code{numeric}   \tab sample size of the control group for measuring the outcome
}
}
\details{
   The studies for this meta-analysis were assembled to examine the effectiveness of antihistamines in reducing the severity of runny nose and sneezing in the common cold. Effectiveness was measured after one and two days of treatment in terms of 4 different outcome variables:
   \enumerate{
   \item \code{rnic1} and \code{rnic2} (continuous): incremental change (improvement) in runny nose severity at day 1 and day 2,
   \item \code{rngoal1} and \code{rngoal2} (dichotomous): reaching the goal of therapy (of at least a 50\% reduction in runny nose severity) at day 1 and day 2,
   \item \code{snic1} and \code{snic2} (continuous): incremental change (improvement) in sneezing severity at day 1 and day 2, and
   \item \code{rngoal1} and \code{rngoal2} (dichotomous): reaching the goal of therapy (of at least a 50\% reduction in sneezing severity) at day 1 and day 2.
   }
   For the continuous outcomes, standardized mean differences can be computed to quantify the difference between the treatment and control groups. For the dichotomous outcomes, one can compute (log) odds ratios to quantify the difference between the treatment and control groups.
}
\source{
   D'Agostino, R. B., Sr., Weintraub, M., Russell, H. K., Stepanians, M., D'Agostino, R. B., Jr., Cantilena, L. R., Jr., Graumlich, J. F., Maldonado, S., Honig, P., & Anello, C. (1998). The effectiveness of antihistamines in reducing the severity of runny nose and sneezing: A meta-analysis. \emph{Clinical Pharmacology & Therapeutics}, \bold{64}(6), 579--596. \verb{https://doi.org/10.1016/S0009-9236(98)90049-2}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.dagostino1998
head(dat, 16)

\dontrun{
### load metafor package
library(metafor)

### compute standardized mean differences and corresponding sampling variances
dat <- escalc(measure="SMD", m1i=mt, m2i=mc, sd1i=sdt, sd2i=sdc, n1i=nt, n2i=nc, data=dat,
              add.measure=TRUE)

### compute log odds ratios and corresponding sampling variances
dat <- escalc(measure="OR",  ai=xt, ci=xc, n1i=nt, n2i=nc, data=dat,
              replace=FALSE, add.measure=TRUE, add=1/2, to="all")

### inspect data for the first study
head(dat, 8)

### fit a random-effects model for incremental change in runny nose severity at day 1
res <- rma(yi, vi, data=dat, subset=outcome=="rnic1")
res

### fit a random-effects model for reaching the goal of therapy for runny nose severity at day 1
res <- rma(yi, vi, data=dat, subset=outcome=="rngoal1")
res
predict(res, transf=exp)

### construct approximate V matrix assuming a correlation of 0.7 for sampling errors within studies
dat$esid <- ave(dat$study, dat$study, FUN=seq)
V <- vcalc(vi, cluster=study, obs=esid, rho=0.7, data=dat)

### fit a model for incremental change in runny nose severity at day 1 and at day 2, allowing for
### correlated sampling errors (no random effects added, since there does not appear to be any
### noteworthy heterogeneity in these data)
res <- rma.mv(yi, V, mods = ~ 0 + outcome, data=dat, subset=outcome \%in\% c("rnic1","rnic2"))
res

### test if there is a difference in effects at day 1 and day 2
anova(res, X=c(1,-1))
}
}
\keyword{datasets}
\concept{medicine}
\concept{standardized mean differences}
\concept{odds ratios}
\concept{multivariate models}
\section{Concepts}{
   medicine, standardized mean differences, odds ratios, multivariate models
}

\name{dat.vanhowe1999}
\docType{data}
\alias{dat.vanhowe1999}
\title{Studies on the Association between Circumcision and HIV Infection}
\description{Results from 33 studies examining the association between male circumcision and HIV infection. \loadmathjax}
\usage{
dat.vanhowe1999
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study}    \tab \code{character} \tab study author \cr
\bold{category} \tab \code{character} \tab study type (high-risk group, partner study, or population survey) \cr
\bold{non.pos}  \tab \code{numeric}   \tab number of non-circumcised HIV positive cases \cr
\bold{non.neg}  \tab \code{numeric}   \tab number of non-circumcised HIV negative cases \cr
\bold{cir.pos}  \tab \code{numeric}   \tab number of circumcised HIV positive cases \cr
\bold{cir.neg}  \tab \code{numeric}   \tab number of circumcised HIV negative cases
}
}
\details{
   The 33 studies provide data in terms of \mjeqn{2 \times 2}{2x2} tables in the form:
   \tabular{lcc}{
                   \tab HIV positive   \tab HIV negative \cr
   non-circumcised \tab \code{non.pos} \tab \code{non.neg} \cr
   circumcised     \tab \code{cir.pos} \tab \code{cir.neg}
   } The goal of the meta-analysis was to examine if the risk of an HIV infection differs between non-circumcised versus circumcised men.

   The dataset is interesting because it can be used to illustrate the difference between naively pooling results by summing up the counts across studies and then computing the odds ratio based on the aggregated table (as was done by Van Howe, 1999) and conducting a proper meta-analysis (as illustrated by O'Farrell & Egger, 2000). In fact, a proper meta-analysis shows that the HIV infection risk is on average higher in non-circumcised men, which is the opposite of what the naive pooling approach yields (which makes this an illustration of Simpson's paradox).
}
\source{
   Van Howe, R. S. (1999). Circumcision and HIV infection: Review of the literature and meta-analysis. \emph{International Journal of STD & AIDS}, \bold{10}(1), 8--16. \verb{https://doi.org/10.1258/0956462991913015}
}
\references{
   O'Farrell, N., & Egger, M. (2000). Circumcision in men and the prevention of HIV infection: A 'meta-analysis' revisited. \emph{International Journal of STD & AIDS}, \bold{11}(3), 137--142. \verb{https://doi.org/10.1258/0956462001915480}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.vanhowe1999
dat

\dontrun{
### load metafor package
library(metafor)

### naive pooling by summing up the counts within categories and then
### computing the odds ratios and corresponding confidence intervals
cat1 <- with(dat[dat$category=="high-risk group",],
   escalc(measure="OR", ai=sum(non.pos), bi=sum(non.neg), ci=sum(cir.pos), di=sum(cir.neg)))
cat2 <- with(dat[dat$category=="partner study",],
   escalc(measure="OR", ai=sum(non.pos), bi=sum(non.neg), ci=sum(cir.pos), di=sum(cir.neg)))
cat3 <- with(dat[dat$category=="population survey",],
   escalc(measure="OR", ai=sum(non.pos), bi=sum(non.neg), ci=sum(cir.pos), di=sum(cir.neg)))
summary(cat1, transf=exp, digits=2)
summary(cat2, transf=exp, digits=2)
summary(cat3, transf=exp, digits=2)

### naive pooling across all studies
all <- escalc(measure="OR", ai=sum(dat$non.pos), bi=sum(dat$non.neg),
                            ci=sum(dat$cir.pos), di=sum(dat$cir.neg))
summary(all, transf=exp, digits=2)

### calculate log odds ratios and corresponding sampling variances
dat <- escalc(measure="OR", ai=non.pos, bi=non.neg, ci=cir.pos, di=cir.neg, data=dat)
dat

### random-effects model
res <- rma(yi, vi, data=dat, method="DL")
res
predict(res, transf=exp, digits=2)

### random-effects model within subgroups
res <- rma(yi, vi, data=dat, method="DL", subset=category=="high-risk group")
predict(res, transf=exp, digits=2)
res <- rma(yi, vi, data=dat, method="DL", subset=category=="partner study")
predict(res, transf=exp, digits=2)
res <- rma(yi, vi, data=dat, method="DL", subset=category=="population survey")
predict(res, transf=exp, digits=2)
}
}
\keyword{datasets}
\concept{medicine}
\concept{epidemiology}
\concept{odds ratios}
\section{Concepts}{
   medicine, epidemiology, odds ratios
}

\name{dat.cohen1981}
\docType{data}
\alias{dat.cohen1981}
\title{Studies on the Relationship between Course Instructor Ratings and Student Achievement}
\description{Results from 20 studies on the correlation between course instructor ratings and student achievement.}
\usage{
dat.cohen1981
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study}     \tab \code{character} \tab study author(s) and year \cr
\bold{sample}    \tab \code{character} \tab course type \cr
\bold{control}   \tab \code{character} \tab ability control \cr
\bold{ni}        \tab \code{numeric}   \tab sample size of the study (number of sections) \cr
\bold{ri}        \tab \code{numeric}   \tab observed correlation
}
}
\details{
   The studies included in this dataset examined to what extent students' ratings of a course instructor correlated with their achievement in the course. Instead of correlating individual ratings and achievement scores, the studies were carried out in multisection courses, in which the sections had different instructors but all sections used a common achievement measure (e.g., a final exam). The correlation coefficients reflect the correlation between the mean instructor rating and the mean achievement score of each section. Hence, the unit of analysis are the sections, not the individuals.

   Note that this dataset (extracted from Table A.3 in Cooper & Hedges, 1994) only contains studies with at least 10 sections.
}
\source{
   Cooper, H., & Hedges, L. V. (1994). Appendix A: Data Sets. In H. Cooper & L. V. Hedges (Eds.), \emph{The handbook of research synthesis} (pp. 543--547). New York: Russell Sage Foundation.
}
\references{
   Cohen, P. A. (1981). Student ratings of instruction and student achievement: A meta-analysis of multisection validity studies. \emph{Review of Educational Research}, \bold{51}(3), 281--309. \verb{https://doi.org/10.3102/00346543051003281}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.cohen1981
dat[c(1,4,5)]

\dontrun{
### load metafor package
library(metafor)

### calculate r-to-z transformed correlations and corresponding sampling variances
dat <- escalc(measure="ZCOR", ri=ri, ni=ni, data=dat[c(1,4,5)])
dat

### meta-analysis of the transformed correlations using a random-effects model
res <- rma(yi, vi, data=dat, digits=2)
res

### predicted average correlation with 95\% CI
predict(res, transf=transf.ztor)
}
}
\keyword{datasets}
\concept{education}
\concept{correlation coefficients}
\section{Concepts}{
   education, correlation coefficients
}

\name{dat.mccurdy2020}
\docType{data}
\alias{dat.mccurdy2020}
\title{Studies on the Generation Effect}
\description{Results from 126 articles that examined the so-called \sQuote{generation effect}.}
\usage{
dat.mccurdy2020
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{article}          \tab \code{numeric}   \tab article identifier \cr
\bold{experiment}       \tab \code{character} \tab experiment (within article) identifier \cr
\bold{sample}           \tab \code{numeric}   \tab sample (within experiment) identifier \cr
\bold{id}               \tab \code{numeric}   \tab row identifier \cr
\bold{pairing}          \tab \code{numeric}   \tab identifier to indicate paired conditions within experiments \cr
\bold{yi}               \tab \code{numeric}   \tab mean recall rate for the condition \cr
\bold{vi}               \tab \code{numeric}   \tab corresponding sampling variance \cr
\bold{ni}               \tab \code{numeric}   \tab number of participants for the condition \cr
\bold{stimuli}          \tab \code{numeric}   \tab number of stimuli for the condition \cr
\bold{condition}        \tab \code{factor}    \tab condition (\sQuote{read} or \sQuote{generate}) \cr
\bold{gen_difficulty}   \tab \code{factor}    \tab generation difficulty (\sQuote{low} or \sQuote{high}) \cr
\bold{manip_type}       \tab \code{factor}    \tab manipulation type of the generate versus read condition (using a \sQuote{within} or \sQuote{between} subjects design) \cr
\bold{present_style}    \tab \code{factor}    \tab presentation style (\sQuote{mixed} or \sQuote{pure} list presentation) \cr
\bold{word_status}      \tab \code{factor}    \tab word status (\sQuote{words}, \sQuote{non-words}, or \sQuote{numbers}) \cr
\bold{memory_test}      \tab \code{factor}    \tab memory test (\sQuote{recognition}, \sQuote{cued recall}, or \sQuote{free recall}) \cr
\bold{memory_type}      \tab \code{factor}    \tab memory type (\sQuote{item}, \sQuote{source}, \sQuote{font color}, \sQuote{font type}, \sQuote{order}, \sQuote{cue word}, \sQuote{background color}, or \sQuote{location}) \cr
\bold{gen_constraint}   \tab \code{factor}    \tab generation constraint (\sQuote{low}, \sQuote{medium}, or \sQuote{high}) \cr
\bold{learning_type}    \tab \code{factor}    \tab learning type (\sQuote{incidental} or \sQuote{intentional}) \cr
\bold{stimuli_relation} \tab \code{factor}    \tab stimuli relation (\sQuote{semantic}, \sQuote{category}, \sQuote{antonym}, \sQuote{synonym}, \sQuote{rhyme}, \sQuote{compound words}, \sQuote{definitions}, or \sQuote{unrelated}) \cr
\bold{gen_mode}         \tab \code{factor}    \tab generation mode (\sQuote{verbal/speaking}, \sQuote{covert/thinking}, or \sQuote{writing/typing}) \cr
\bold{gen_task}         \tab \code{factor}    \tab generation task (\sQuote{anagram}, \sQuote{letter transposition}, \sQuote{word fragment}, \sQuote{sentence completion}, \sQuote{word stem}, \sQuote{calculation}, or \sQuote{cue only}) \cr
\bold{attention}        \tab \code{factor}    \tab attention (\sQuote{divided} or \sQuote{full}) \cr
\bold{pacing}           \tab \code{factor}    \tab pacing (\sQuote{self-paced} or \sQuote{timed}) \cr
\bold{filler_task}      \tab \code{factor}    \tab filler task (\sQuote{yes} or \sQuote{no}) \cr
\bold{age_grp}          \tab \code{factor}    \tab age group (\sQuote{younger} or \sQuote{older} adults) \cr
\bold{retention_delay}  \tab \code{factor}    \tab retention delay (\sQuote{immediate}, \sQuote{short}, or \sQuote{long}) \cr
}
}
\details{
   The generation effect is the memory benefit for self-generated compared with read or experimenter-provided information (Jacoby, 1978; Slamecka & Graf, 1978). In a typical study, participants are presented with a list of stimuli (usually words or word pairs). For half of the stimuli, participants self-generate a target word (e.g., open–cl____), while for the other half, participants simply read an intact target word (e.g., above–below). On a later memory test for the target words, the common finding is that self-generated words are better remembered than read words (i.e., the generation effect).

   Although several theories have been proposed to explain the generation effect, there is still some debate on the underlying memory mechanism(s) contributing to this phenomenon. The meta-analysis by McCurdy et al. (2020) translated various theories on the generation effect into hypotheses that could then be tested in moderator analyses based on a dataset containing 126 articles, 310 experiments, and 1653 mean recall estimates collected under various conditions.

   Detailed explanations of the various variables coded (and how these can be used to test various hypotheses regarding the generation effect) can be found in the article. The most important variable is \code{condition}, which denotes whether a particular row of the dataset corresponds to the results of a \sQuote{read} or a \sQuote{generate} condition.

   The data structure is quite complex. Articles may have reported the findings from multiple experiments involving one or multiple samples that were examined under various conditions. The \code{pairing} variable indicates which rows of the dataset represent a pairing of a read condition with one or multiple corresponding generate conditions within an experiment. A pairing may involve the same sample of subjects (when using a within-subjects design for comparing the conditions) or different samples (when using a between-subjects design).
}
\source{
   McCurdy, M. P., Viechtbauer, W., Sklenar, A. M., Frankenstein, A. N., & Leshikar, E. D. (2020). Theories of the generation effect and the impact of generation constraint: A meta-analytic review. \emph{Psychonomic Bulletin & Review}, \bold{27}(6), 1139--1165. \verb{https://doi.org/10.3758/s13423-020-01762-3}
}
\references{
   Slamecka, N. J., & Graf, P. (1978). The generation effect: Delineation of a phenomenon. \emph{Journal of Experimental Psychology: Human Learning and Memory}, \bold{4}(6), 592--604. \verb{https://doi.org/10.1037/0278-7393.4.6.592}

   Jacoby, L. L. (1978). On interpreting the effects of repetition: Solving a problem versus remembering a solution. \emph{Journal of Verbal Learning and Verbal Behavior}, \bold{17}(6), 649--668. \verb{https://doi.org/10.1016/S0022-5371(78)90393-6}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.mccurdy2020
head(dat)

\dontrun{
### load metafor package
library(metafor)

### fit multilevel mixed-effects meta-regression model
res <- rma.mv(yi, vi, mods = ~ condition,
              random = list(~ 1 | article/experiment/sample/id, ~ 1 | pairing),
              data=dat, sparse=TRUE, digits=3)
res

### proportion of total amount of heterogeneity due to each component
data.frame(source=res$s.names, sigma2=round(res$sigma2, 3),
   prop=round(res$sigma2 / sum(res$sigma2), 2))

### apply cluster-robust inference methods
sav <- robust(res, cluster=article, clubSandwich=TRUE)
sav

### estimated average recall rate in read and generate conditions
predict(sav, newmods = c(0,1), digits=3)
}
}
\keyword{datasets}
\concept{psychology}
\concept{memory}
\concept{proportions}
\concept{raw means}
\concept{multilevel models}
\concept{cluster-robust inference}
\section{Concepts}{
   psychology, memory, proportions, raw means, multilevel models, cluster-robust inference
}

\name{dat.huber2000}
\docType{data}
\alias{dat.huber2000}
\title{Individual Participant Data (IPD) from Five Studies on Uro-Vaxom in Urinary Tract Infections}
\description{Individual participant data (IPD) of 601 patients from 5 studies comparing Uro-Vaxom versus placebo in recurrent urinary tract infections (UTI) based on the numbers of recurrences experienced.}
\usage{
dat.huber2000
}
\format{The data frame contains the following columns (one row per patient):
\tabular{lll}{
\bold{study}       \tab \code{factor}  \tab study identifier \cr
\bold{treatment}   \tab \code{factor}  \tab treatment (Uro-Vaxom or Placebo) \cr
\bold{recurrences} \tab \code{numeric} \tab number of recurrences (relapses)
}
}
\details{
   Huber et al. (2000) jointly analyzed data from five randomized, placebo-controlled studies investigating the use of \emph{OM-89} (Uro-Vaxom) in recurrent urinary tract infections (UTI). Treatment efficacy was evaluated based on the numbers of recurrences experienced by study participants.

   The eventual analysis was carried out based on nonparametric Wilcoxon-Mann-Whitney (WMW) tests applied for each study individually and then synthesizing the five resulting test statistic values. The WMW test statistics may be expressed in terms of \emph{common language effect sizes} (CLES), that is, the estimated probability that a patient in the treatment group has a better outcome than a control patient.
}
\source{
   Huber, M., Krauter, K., Winkelmann, G., Bauer, H. W., Rahlfs, V. W., Lauener, P. A., Bleßmann, G. S. S., & Bessler, W. G. (2000). Immunostimulation by bacterial components: II. Efficacy studies and meta-analysis of the bacterial extract OM-89. \emph{International Journal of Immunopharmacology}, \bold{22}(12), 1103--1111. \verb{https://doi.org/10.1016/s0192-0561(00)00070-9}
}
\seealso{
   \code{\link{dat.bauer2002}}
}
\author{
   Christian \enc{Röver}{Roever}, \email{christian.roever@med.uni-goettingen.de}
}
\examples{
# show data
head(dat.huber2000)
str(dat.huber2000)
summary(dat.huber2000)
table(dat.huber2000[,1:2])
table(dat.huber2000[,c(2,3,1)])

# compute WMW statistics for all 5 studies
wmw <- tapply(dat.huber2000, dat.huber2000$study,
              function(x){wilcox.test(x$recurrences[x$treatment=="Placebo"],
                                      x$recurrences[x$treatment=="Uro-Vaxom"])$statistic},
              simplify=TRUE)
wmw

# determine treatment group sizes
patients <- table(dat.huber2000[,1:2])
patients

# convert WMW statistics into estimated probability of superiority
# ("common language effect size")
prob <- wmw / (patients[,1]*patients[,2])
round(prob, 3)
}
\keyword{datasets}
\concept{medicine}
\concept{proportions}
\concept{individual participant data}
\section{Concepts}{
   medicine, proportions, individual participant data)
}

\name{dat.rivera2025}
\docType{data}
\alias{dat.rivera2025}
\title{Comparison of Two Diagnostic Tests for the Detection of Temporomandibular Disorders}
\description{Studies evaluating the diagnostic accuracy of the IAF and 3Q-TMD instruments based on the reference tests RDC and DC-TMD for the diagnosis of temporomandibular disorders.}
\usage{
dat.rivera2025
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{Author}      \tab \code{character} \tab study author(s) \cr
\bold{Year}        \tab \code{integer}   \tab year of the study \cr
\bold{Title}       \tab \code{character} \tab title of the article  \cr
\bold{DOI}         \tab \code{character} \tab DOI for the article \cr
\bold{TP}          \tab \code{integer}   \tab number of true positives \cr
\bold{FP}          \tab \code{integer}   \tab number of false positives \cr
\bold{FN}          \tab \code{integer}   \tab number of false negatives \cr
\bold{TN}          \tab \code{integer}   \tab number of true negatives \cr
\bold{Sensitivity} \tab \code{numeric}   \tab sensitivity \cr
\bold{Specificity} \tab \code{numeric}   \tab specificity \cr
\bold{PPV}         \tab \code{numeric}   \tab positive predictive value \cr
\bold{NPV}         \tab \code{numeric}   \tab negative predictive value \cr
\bold{Sample.size} \tab \code{integer}   \tab sample size \cr
\bold{n1}          \tab \code{integer}   \tab number of people with the disease \cr
\bold{n2}          \tab \code{integer}   \tab number of people without the disease \cr
\bold{Prevalence}  \tab \code{numeric}   \tab prevalence \cr
\bold{AUC}         \tab \code{numeric}   \tab area under the curve \cr
\bold{SampleID}    \tab \code{character} \tab sample identifier
}  
}
\details{
   Results of 10 studies that evaluated the diagnostic accuracy of the IAF and 3Q-TMD instruments based on the reference tests RDC and DC-TMD were included. The search period ranged from 1992 to April 2022 in six electronic databases. Two independent reviewers selected the studies. Risk of bias and applicability were assessed using the QUADAS 2 instrument.
}
\source{
   Rivera, Hugo Daniel; Álvarez-Vaz, Ramón, 2025, "Conjunto de datos de: Comparación de dos pruebas diagnósticas para la detección de trastornos témporomandibulares. Una revisión sistemática y metaanálisis.", \verb{https://doi.org/10.60895/redata/YIEGLZ}, Repositorio de datos abiertos de investigación de Uruguay, V1
}
\references{
   Rivera, H. D., Rodríguez, C. I., Álvarez Vaz, R., & Kreiner, M. (2025). Comparison of two diagnostic tests for the detection of temporomandibular disorders: A systematic review and meta-analysis. Odontoestomatología, 27(45). \verb{https://doi.org/10.22592/ode2025n45e338}
}
\author{
   Álvarez-Vaz, Ramón, \email{ramon.alvarez@fcea.edu.uy}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.rivera2025
dat

\dontrun{
suppressPackageStartupMessages(library(meta))

### sensitivity
round(dat$TP / dat$n1, 4)
report1 <- metaprop(TP, n1, data=dat, common=TRUE, random=TRUE, studlab=paste(Author, Year))
report1
summary(report1)
forest(report1)

### specificity
round(dat$TN / dat$n2, 4)
report2 <- metaprop(TN, n2, data=dat, common=TRUE, random=TRUE, studlab=paste(Author, Year))
summary(report2)
forest(report2)

### diagnostic odds ratio
report3 <- metabin(TP, n1, n2-TN, n2, data=dat, sm="OR",common=FALSE, random=TRUE,
                   studlab=paste(Author, Year), allstudies=TRUE)
summary(report3)
}
}
\keyword{datasets}
\concept{medicine}
\concept{dentistry}
\concept{diagnostic accuracy studies}
\section{Concepts}{
   medicine, dentistry, diagnostic accuracy studies
}

\name{dat.greenland1992}
\docType{data}
\alias{dat.greenland1992}
\title{Case-Control Studies on the Impact of Alcohol Consumption on Breast Cancer Risk}
\description{Results from 16 case-control studies evaluating the impact of alcohol consumption on breast cancer risk.}
\usage{
dat.greenland1992
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{author} \tab \code{character} \tab first author \cr
\bold{year}   \tab \code{integer}   \tab publication year \cr
\bold{b}      \tab \code{numeric}   \tab adjusted log risk ratio \cr
\bold{SE}     \tab \code{numeric}   \tab standard error
}
}
\details{
   Greenland and Longecker (1992) describe a method to combine trend estimates from summarized dose-response data. A meta-analysis of 16 case-control studies evaluating the impact of alcohol consumption on breast cancer risk was used as an illustrative example. The estimates are the increase in the log relative risk of breast cancer associated with an average daily alcohol consumption of 1g.

   Data are provided in Greenland and Longecker (1992), Table 3.
}
\source{
   Greenland, S., & Longnecker, M. P. (1992). Methods for trend estimation from summarized dose-response data, with applications to meta-analysis. \emph{American Journal of Epidemiology}, \bold{135}(11), 1301--1309. \verb{https://doi.org/10.1093/oxfordjournals.aje.a116237}
}
\author{
   Guido Schwarzer, \email{guido.schwarzer@uniklinik-freiburg.de}, \url{https://github.com/guido-s/}
}
\examples{
### Show first 6 rows of the dataset
head(dat.greenland1992)

\dontrun{
### Load meta package
suppressPackageStartupMessages(library(meta))

### Inverse variance method
mg <- metagen(b, SE, data = dat.greenland1992,
  studlab = paste(author, year), sm = "RR",
  random = FALSE, overall.hetstat = FALSE,
  backtransf = FALSE)

### Overall result
print(mg, digits = 5)

### Standard error for common effect estimate
round(mg$seTE.common, 5)
}
}
\keyword{datasets}
\concept{epidemiology}
\concept{risk ratios}
\section{Concepts}{
   epidemiology, risk ratios
}

\name{dat.curtin2002}
\docType{data}
\alias{dat.curtin2002}
\title{Studies on Potassium Supplementation to Reduce Diastolic Blood Pressure}
\description{Results from 21 cross-over studies evaluating the effect of potassium supplementation to reduce diastolic blood pressure.}
\usage{
dat.curtin2002
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{author} \tab \code{character} \tab first author \cr
\bold{year}   \tab \code{character} \tab year of publication \cr
\bold{N}      \tab \code{integer}   \tab total sample size \cr
\bold{mean}   \tab \code{numeric}   \tab mean difference in diastolic blood pressure  \cr
\bold{SE}     \tab \code{numeric}   \tab standard error \cr
\bold{corr}   \tab \code{numeric}   \tab within-patient correlation \cr
}
}
\details{
   Results from 21 cross-over studies evaluating the effect of potassium supplementation to reduce diastolic blood pressure (Curtin et al., 2002, Table II).

   This data set is used as an example in Schwarzer et al. (2015), Chapter 2.
}
\source{
   Curtin, F., Altman, D. G., & Elbourne, D. (2002). Meta-analysis combining parallel and cross-over clinical trials. I: Continuous outcomes. \emph{Statistics in Medicine}, \bold{21}(15), 2131--2144. \verb{https://doi.org/10.1002/sim.1205}
}
\references{
   Schwarzer, G., Carpenter, J. R., & Rücker, G. (2015). \emph{Meta-analysis with R}. Cham, Switzerland: Springer.
}
\author{
   Guido Schwarzer, \email{guido.schwarzer@uniklinik-freiburg.de}, \url{https://github.com/guido-s/}
}
\examples{
### Show first five studies
head(dat.curtin2002, 5)

\dontrun{
### Load meta package
suppressPackageStartupMessages(library(meta))

### Use DerSimonian-Laird estimator (which was the default in meta in the year 2015).
### Furthermore, print meta-analysis results with two digits.
oldset <- settings.meta(method.tau = "DL", digits = 2)

### Conduct meta-analysis
mg2 <- metagen(mean, SE, studlab = paste(author, year),
               data = dat.curtin2002, sm = "MD")
mg2

### Use previous settings
settings.meta(oldset)
}
}
\keyword{datasets}
\concept{raw mean differences}
\section{Concepts}{
   raw mean differences
}

\name{dat.dorn2007}
\docType{data}
\alias{dat.dorn2007}
\title{Studies on Complementary and Alternative Medicine for Irritable Bowel Syndrome}
\description{Results from 19 trials examining complementary and alternative medicine (CAM) for irritable bowel syndrome (IBS).}
\usage{
dat.dorn2007
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{id}       \tab \code{numeric}   \tab trial id number \cr
\bold{study}    \tab \code{character} \tab (first) author \cr
\bold{year}     \tab \code{numeric}   \tab publication year \cr
\bold{country}  \tab \code{character} \tab country where trial was conducted \cr
\bold{ibs.crit} \tab \code{character} \tab IBS diagnostic criteria (Manning, Rome I, Rome II, or Other) \cr
\bold{days}     \tab \code{numeric}   \tab number of treatment days \cr
\bold{visits}   \tab \code{numeric}   \tab number of practitioner visits \cr
\bold{jada}     \tab \code{numeric}   \tab Jadad score \cr
\bold{x.a}      \tab \code{numeric}   \tab number of responders in the active treatment group \cr
\bold{n.a}      \tab \code{numeric}   \tab number of participants in the active treatment group \cr
\bold{x.p}      \tab \code{numeric}   \tab number of responders in the placebo group \cr
\bold{n.p}      \tab \code{numeric}   \tab number of participants in the placebo group
}
}
\details{
   The dataset includes the results from 19 randomized clinical trials that examined the effectiveness of complementary and alternative medicine (CAM) for irritable bowel syndrome (IBS).
}
\note{
   The data were extracted from Table I in Dorn et al. (2009). Comparing the funnel plot in Figure 1 with the one obtained below indicates that the data for study 5 (Davis et al., 2006) in the table were not the ones that were used in the actual analyses.
}
\source{
   Dorn, S. D., Kaptchuk, T. J., Park, J. B., Nguyen, L. T., Canenguez, K., Nam, B. H., Woods, K. B., Conboy, L. A., Stason, W. B., & Lembo, A. J. (2007). A meta-analysis of the placebo response in complementary and alternative medicine trials of irritable bowel syndrome. \emph{Neurogastroenterology & Motility}, \bold{19}(8), 630--637. \verb{https://doi.org/10.1111/j.1365-2982.2007.00937.x}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.dorn2007
dat

\dontrun{
### load metafor package
library(metafor)

### calculate log risk ratios and corresponding sampling variances
dat <- escalc(measure="RR", ai=x.a, n1i=n.a, ci=x.p, n2i=n.p, data=dat)

### random-effects model
res <- rma(yi, vi, data=dat, digits=2, method="DL")
res

### estimated average risk ratio
predict(res, transf=exp)

### funnel plot with study 5 highlighted in red
funnel(res, atransf=exp, at=log(c(0.1, 0.2, 0.5, 1, 2, 5, 10)),
       ylim=c(0,1), steps=6, las=1, col=ifelse(id == 5, "red", "black"))

### change log risk ratio for study 5
dat$yi[5] <- -0.44

### results are now more in line with what is reported in the paper
### (although the CI in the paper is not wide enough)
res <- rma(yi, vi, data=dat, digits=2, method="DL")
predict(res, transf=exp)

### funnel plot with study 5 highlighted in red
funnel(res, atransf=exp, at=log(c(0.1, 0.2, 0.5, 1, 2, 5, 10)),
       ylim=c(0,1), steps=6, las=1, col=ifelse(id == 5, "red", "black"))
}
}
\keyword{datasets}
\concept{medicine}
\concept{alternative medicine}
\concept{risk ratios}
\section{Concepts}{
   medicine, alternative medicine, risk ratios
}

\name{dat.obrien2003}
\docType{data}
\alias{dat.obrien2003}
\title{Studies on the Relationship Between BMI and Risk of Preeclampsia}
\description{Results from 13 studies on the relationship between maternal body mass index (BMI) and the risk of preeclampsia.}
\usage{
dat.obrien2003
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study}      \tab \code{numeric}    \tab study id \cr
\bold{author}     \tab \code{character}  \tab (first) author of the study \cr
\bold{year}       \tab \code{numeric}    \tab publication year \cr
\bold{ref}        \tab \code{numeric}    \tab reference number \cr
\bold{ch}         \tab \code{character}  \tab exclusion due to chronic hypertension (yes/no) \cr
\bold{dm}         \tab \code{character}  \tab exclusion due to diabetes mellitus (yes/no) \cr
\bold{mg}         \tab \code{character}  \tab exclusion due to multiple gestation (yes/no) \cr
\bold{bmi.lb}     \tab \code{numeric}    \tab lower bound of the BMI interval \cr
\bold{bmi.ub}     \tab \code{numeric}    \tab upper bound of the BMI interval \cr
\bold{bmi}        \tab \code{numeric}    \tab midpoint of the BMI interval \cr
\bold{cases}      \tab \code{numeric}    \tab number of preeclampsia cases in the BMI group \cr
\bold{total}      \tab \code{numeric}    \tab number of individuals in the BMI group
}
}
\details{
   The dataset includes the results from 13 studies examining the relationship between maternal body mass index (BMI) and the risk of preeclampsia. For each study, results are given in terms of the number of preeclampsia cases within two or more groups defined by the lower and upper BMI bounds as shown in the dataset (\code{NA} means that the interval is either open to the left or right). The \code{bmi} variable is the interval midpoint as defined by O'Brien et al. (2003).
}
\source{
   O'Brien, T. E., Ray, J. G., & Chan, W.-S. (2003). Maternal body mass index and the risk of preeclampsia: A systematic overview. \emph{Epidemiology}, \bold{14}(3), 368--374. \verb{https://doi.org/10.1097/00001648-200305000-00020}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.obrien2003
dat

\dontrun{
### load metafor package
library(metafor)

### restructure the data into a wide format
dat2 <- to.wide(dat, study="study", grp="grp", ref=1, grpvars=c("bmi","cases","total"),
                addid=FALSE, adddesign=FALSE, postfix=c(1,2))
dat2[1:10, -c(2:3)]

### calculate log risk ratios and corresponding sampling variances
dat2 <- escalc(measure="RR", ai=cases1, n1i=total1, ci=cases2, n2i=total2, data=dat2)
dat2[1:10, -c(2:7)]

### forest plot of the risk ratios
dd <- c(0,diff(dat2$study))
dd[dd > 0] <- 1
rows <- (1:nrow(dat2)) + cumsum(dd)
rows <- 1 + max(rows) - rows
slabs <- mapply(function(x,y,z) as.expression(bquote(.(x)^.(y)~.(z))),
                dat2$author, dat2$ref, dat2$year)
with(dat2, forest(yi, vi, slab=slabs, xlim=c(-7,5.5), cex=0.8,
   psize=1, pch=19, efac=0, rows=rows, ylim=c(0,max(rows)+3), yaxs="i",
   atransf=exp, at=log(c(0.05,0.1,0.2,0.5,1,2,5,10,20)), ilab=comp, ilab.xpos=-4, ilab.pos=4))
text(-4.4, max(rows)+2, "Comparison", font=2, cex=0.8, pos=4)

### within-study mean center the BMI variable
dat$bmicent <- with(dat, bmi - ave(bmi, study))

### compute the proportion of preeclampsia cases and corresponding sampling variances
dat <- escalc(measure="PR", xi=cases, ni=total, data=dat)

### convert the proportions to percentages (and convert the variances accordingly)
dat$yi <- dat$yi*100
dat$vi <- dat$vi*100^2
dat[1:10, -c(2:3)]

### fit multilevel meta-regression model to examine the relationship between the
### (centered) BMI variable and the risk of preeclampsia
res <- rma.mv(yi, vi, mods = ~ bmicent, random = ~ 1 | study/grp, data=dat)
res

### draw scatterplot with regression line
res$slab <- dat$ref
regplot(res, xlab=expression("Within-Study Mean Centered BMI"~(kg/m^2)),
        ylab="Preeclampsia Prevalence (\%)", las=1, bty="l",
        at=seq(0,18,by=2), olim=c(0,100), psize=2, bg="gray90",
        label=TRUE, offset=0, labsize=0.6)

### fit model using a random slope for bmicent
res <- rma.mv(yi, vi, mods = ~ bmicent, random = ~ bmicent | study, struct="GEN", data=dat)
res

### load rms package
library(rms)

### fit restricted cubic spline model
res <- rma.mv(yi, vi, mods = ~ rcs(bmicent, 4), random = ~ 1 | study/grp, data=dat)
res

### get knot positions
knots <- attr(rcs(model.matrix(res)[,2], 4), "parms")

### computed predicted values based on the model
xs <- seq(-10, 10, length=1000)
sav <- predict(res, newmods=rcspline.eval(xs, knots, inclx=TRUE))

### draw scatterplot with regression line based on the model
tmp <- regplot(res, mod=2, pred=sav,
               xvals=xs, xlab=expression("Within-Study Mean Centered BMI"~(kg/m^2)),
               ylab="Preeclampsia Prevalence (\%)", las=1, bty="l",
               at=seq(0,18,by=2), olim=c(0,100), psize=2, bg="gray90",
               label=TRUE, offset=0, labsize=0.6)
abline(v=knots, lty="dotted")
points(tmp)
}
}
\keyword{datasets}
\concept{medicine}
\concept{obstetrics}
\concept{risk ratios}
\concept{proportions}
\concept{multilevel models}
\concept{dose-response models}
\section{Concepts}{
   medicine, obstetrics, risk ratios, proportions, multilevel models, dose-response models
}

\name{dat.thompson1999}
\docType{data}
\alias{dat.thompson1999}
\title{Trials on Serum Cholesterin Concentration Lowering and Risk of Ischaemic Heart Disease}
\description{Results from 28 trials evaluating effect of serum cholesterin concentration lowering on risk of ischaemic heart disease}
\usage{
dat.thompson1999
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{studyid}    \tab \code{integer} \tab study ID \cr
\bold{ihd.cont}   \tab \code{integer} \tab number of ischaemic heart disease (control group) \cr
\bold{noihd.cont} \tab \code{integer} \tab number of non-events (control group) \cr
\bold{ihd.exp}    \tab \code{integer} \tab number of ischaemic heart disease (treated group) \cr
\bold{noihd.exp}  \tab \code{integer} \tab number of non-events (treated group) \cr
\bold{OR}         \tab \code{numeric} \tab odds ratio \cr
\bold{logOR}      \tab \code{numeric} \tab log odds ratio \cr
\bold{varlogOR}   \tab \code{numeric} \tab variance of log odds ratio \cr
\bold{cholr}      \tab \code{numeric} \tab cholesterol reduction (mmol/l)
}
}
\details{
   Thompson and Sharp (1999) compare several meta-regression approaches to explain heterogeneity in meta-analysis. The data set used is originally from Law et al. (1994), but with minor modifications.
}
\source{
   Thompson, S. G., & Sharp, S. J. (1999). Explaining heterogeneity in meta-analysis: A comparison of methods. \emph{Statistics in Medicine}, \bold{18}(20), 2693--2708. \verb{https://doi.org/10.1002/(sici)1097-0258(19991030)18:20<2693::aid-sim235>3.0.co;2-v}
}
\references{
   Law, M. R., Wald, N. J., & Thompson, S. G. (1994). By how much and how quickly does reduction in serum cholesterol concentration lower risk of ischaemic heart disease? \emph{British Medical Journal}, \bold{308}(6925), 367--372. \verb{https://doi.org/10.1136/bmj.308.6925.367}
}
\author{
   Guido Schwarzer, \email{guido.schwarzer@uniklinik-freiburg.de}, \url{https://github.com/guido-s/}
}
\examples{
### Show first five studies
head(dat.thompson1999, 5)

\dontrun{
### Load meta package
suppressPackageStartupMessages(library(meta))

### Conduct meta-analysis
m <- metabin(ihd.exp, ihd.exp + noihd.exp, ihd.cont, ihd.cont + noihd.cont,
  data = dat.thompson1999, sm = "OR", method = "Inverse")

### Thompson & Sharp (1999), Table III
### (1) None
metareg(m, cholr, method.tau = "FE")
### (3a) Additive (MM)
metareg(m, cholr, method.tau = "DL")
}
}
\keyword{datasets}
\concept{medicine}
\concept{cardiology}
\concept{odds ratios}
\concept{meta-regression}
\section{Concepts}{
   medicine, cardiology, odds ratios, meta-regression
}

\name{dat.dong2013}
\docType{data}
\alias{dat.dong2013}
\title{Studies on Safety of Inhaled Medications for Chronic Obstructive Pulmonary Disease}
\description{Results from 41 trials examining the safety of inhaled medications in patients with chronic obstructive pulmonary disease.}
\usage{
dat.dong2013
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{id}         \tab \code{integer}   \tab study ID \cr
\bold{treatment}  \tab \code{character} \tab treatment \cr
\bold{death}      \tab \code{integer}   \tab mortality \cr
\bold{randomized} \tab \code{integer}   \tab number of individuals
}
}
\details{
   This network meta-analysis compared the safety of inhaled medications in patients with chronic obstructive pulmonary disease (Dong et al., 2013).

   Mortality was reported in 41 randomized trials, with a total of 52 462 patients. Mortality was low, with 2 408 deaths (4.6\%) reported across all studies. There were nine studies that reported zero events in at least one of the treatment arms and three additional studies had zero events in all treatment arms.

   This dataset was used in Efthimiou et al. (2019) to illustrate the Mantel-Haenszel method for network meta-analysis.
}
\source{
   Dong, Y.-H., Lin, H.-H., Shau, W.-Y., Wu, Y.-C., Chang, C.-H., & Lai, M.-S. (2013). Comparative safety of inhaled medications in patients with chronic obstructive pulmonary disease: Systematic review and mixed treatment comparison meta-analysis of randomised controlled trials. \emph{Thorax}, \bold{68}(1), 48--56. \verb{https://doi.org/10.1136/thoraxjnl-2012-201926}
}
\references{
   Efthimiou, O., Rücker, G., Schwarzer, G., Higgins, J., Egger, M., & Salanti, G. (2019). A Mantel-Haenszel model for network meta-analysis of rare events. \emph{Statistics in Medicine}, \bold{38}(16), 2992--3012. \verb{https://doi.org/10.1002/sim.8158}
}
\author{
   Guido Schwarzer, \email{guido.schwarzer@uniklinik-freiburg.de}, \url{https://github.com/guido-s/}
}
\examples{
### Show first 6 rows / 3 studies of the dataset
head(dat.dong2013)

\dontrun{
### Load netmeta package
suppressPackageStartupMessages(library(netmeta))

### Print odds ratios and confidence limits with two digits
oldset <- settings.meta(digits = 2)

### Change appearance of confidence intervals
cilayout("(", "-")

### Transform data from long arm-based format to contrast-based
### format. Argument 'sm' has to be used for odds ratio as summary
### measure; by default the risk ratio is used in the metabin function
### called internally.
pw <- pairwise(treatment, death, randomized, studlab = id,
  data = dat.dong2013, sm = "OR")

### Calculated log odds ratios (TE) and standard errors (seTE)
pw[1:3, 1:9]

### Conduct Mantel-Haenszel network meta-analysis (NMA)
net <- netmetabin(pw, ref = "plac")

### Network graph
netgraph(net, seq = "optimal", col = "black", plastic = FALSE,
  points = TRUE, pch = 21, cex.points = 3, col.points = "black",
  bg.points = "gray", thickness = "se.fixed",
  number.of.studies = TRUE)

### Show results for Mantel-Haenszel NMA
net
forest(net)

### League table with network estimates in lower triangle and direct
### estimates in upper triangle
netleague(net)

### Assess inconsistency
print(netsplit(net), show = "both", ci = TRUE, overall = FALSE,
  nchar.trts = 6)

### Use previous settings
settings.meta(oldset)
}
}
\keyword{datasets}
\concept{medicine}
\concept{odds ratios}
\concept{network meta-analysis}
\concept{Mantel-Haenszel method}
\section{Concepts}{
   medicine, odds ratios, network meta-analysis, Mantel-Haenszel method
}

\name{datsearch}
\alias{datsearch}
\title{Search Function for the Datasets}
\description{Function to search among the existing datasets.}
\usage{
datsearch(pattern, concept=TRUE, matchall=TRUE, fixed=TRUE, pkgdown=FALSE)
}
\arguments{
   \item{pattern}{character string or vector of strings specifying the terms to search for within the datasets. Can also be left unspecified to start the function in an interactive mode.}
   \item{concept}{logical indicating whether the search should be confined to the concept terms (\code{TRUE} by default) or whether a full-text search should be conducted.}
   \item{matchall}{logical indicating whether only the datasets matching all terms (if multiple are specified) are returned (\code{TRUE} by default) or whether datasets matching any one of the terms are returned.}
   \item{fixed}{logical indicating whether a term is a string to be matched as is (\code{TRUE} by default). If \code{FALSE}, a search term is a regular expression that \code{\link{grep}} will search for. Only relevant when \code{concept=FALSE} (i.e., when doing a full-text search).}
   \item{pkgdown}{logical indicating whether the standard help file or the pkgdown docs (at \url{https://wviechtb.github.io/metadat/}) should be shown for a chosen dataset (\code{FALSE} by default).}
}
\details{
   The function can be used to search all existing datasets in the \pkg{metadat} package based on their concept terms (see below) or based on a full-text search of their corresponding help files.

   When running \code{datsearch()} without the \code{pattern} argument specified, the function starts in an interactive mode and prompts for one or multiple search terms.

   Alternatively, one can specify a single search term via the \code{pattern} argument or multiple search terms by using a string vector as the \code{pattern} or by separating multiple search terms in a single string with \sQuote{,}, \sQuote{;}, or \sQuote{and}.

   If \code{matchall=TRUE} (the default), only datasets matching all search terms (if multiple are specified) are returned. If \code{matchall=FALSE}, datasets matching any one of the search terms are returned.

   If a single match is found, the corresponding help file is directly shown. If multiple matches are found, the user is prompted to choose one of the matching datasets of interest.

   \bold{Concept Terms}

   Each dataset is tagged with one or multiple concept terms that refer to various aspects of a dataset, such as the field/topic of research, the outcome measure used for the analysis, the model(s) used for analyzing the data, and the methods/concepts that can be illustrated with the dataset.

   \itemize{
      \item In terms of \sQuote{fields/topics}, the following terms have been used at least once: alternative medicine, attraction, cardiology, climate change, covid-19, criminology, dentistry, ecology, education, engineering, epidemiology, evolution, genetics, human factors, medicine, memory, obstetrics, oncology, persuasion, physics, primary care, psychiatry, psychology, pulmonology, rheumatology, smoking, social work, sociology, sports.
      \item In terms of \sQuote{outcome measures}, the following terms have been used at least once: common language effect size, correlation coefficients, Cronbach's alpha, hazard ratios, incidence rates, raw mean differences, odds ratios, proportions, ratios of means, raw means, risk differences, risk ratios, (semi-)partial correlations, standardized mean changes, standardized mean differences.
      \item In terms of \sQuote{models/methods/concepts}, the following terms have been used at least once: cluster-robust inference, combining p-values, component network meta-analysis, cumulative meta-analysis, diagnostic accuracy studies, dose response models, generalized linear models, individual participant data, longitudinal models, Mantel-Haenszel method, meta-regression, missing data, model checks, multilevel models, multivariate models, network meta-analysis, outliers, Peto's method, phylogeny, prevalence, publication bias, reliability generalization, risk-of-bias, single-arm studies, spatial correlation, subgroup analysis.
   }
}
\author{
   Daniel Noble, \email{daniel.noble@anu.edu.au} \cr
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}
}
\examples{
# note: the examples below are not run since they require interactivity

if (FALSE) {

   # start the function in the interactive mode
   datsearch()

   # find all datasets tagged with the concept term 'standardized mean differences'
   datsearch("standardized mean differences")

   # find all datasets tagged with the concept terms 'odds ratio' and 'multilevel'
   datsearch("odds ratio, multilevel")

   # do a full-text search for the term 'infarct'
   datsearch("infarct", concept=FALSE)

   # do a full-text search for 'rma.mv(' (essentially finds all datasets where
   # the rma.mv() function was used in the examples section of a help file)
   datsearch("rma.mv(", concept=FALSE)

}
}
\keyword{file}

\name{dat.karner2014}
\docType{data}
\alias{dat.karner2014}
\title{Studies on Tiotropium in Patients with COPD}
\description{Data on several endpoints and risk-of-bias from a systematic review of studies on tiotropium in patients with chronic obstructive pulmonary disease (COPD).}
\usage{
dat.karner2014
}
\format{The data frame contains the following columns:
\tabular{lll}{
\bold{study}                   \tab \code{character} \tab publication identifier (first author and publication year) \cr
\bold{year}                    \tab \code{numeric}   \tab publication year \cr
\bold{duration}                \tab \code{factor}    \tab study duration (\eqn{<1} year vs. \eqn{\geq 1}{>=1} year) \cr
\bold{inhaler}                 \tab \code{factor}    \tab type of inhaler investigated (\dQuote{dry powder} or \dQuote{soft mist}) \cr
\bold{baseline.age}            \tab \code{numeric}   \tab mean age at baseline \cr
\bold{baseline.males}          \tab \code{numeric}   \tab proportion of males among study participants \cr
\bold{baseline.fev1}           \tab \code{numeric}   \tab mean FEV1 at baseline (L) \cr
\bold{baseline.fev1pp}         \tab \code{numeric}   \tab mean FEV1 (percent of predicted) at baseline \cr
\bold{baseline.pyr}            \tab \code{numeric}   \tab mean number of pack-years (smoking history) \cr
\bold{tiotropium.total}        \tab \code{numeric}   \tab total number of patients in the treatment group \cr
\bold{tiotropium.exa}          \tab \code{numeric}   \tab number of patients with \eqn{\geq 1}{>=1} exacerbation in the treatment group \cr
\bold{tiotropium.sexa}         \tab \code{numeric}   \tab number of patients with \eqn{\geq 1}{>=1} \emph{severe} exacerbation in the treatment group \cr
\bold{tiotropium.hospi}        \tab \code{numeric}   \tab number of patients with \eqn{\geq 1}{>=1} hospitalization (all-cause) in the treatment group \cr
\bold{tiotropium.deaths}       \tab \code{numeric}   \tab number of deaths in the treatment group \cr
\bold{tiotropium.sae}          \tab \code{numeric}   \tab number of patients with \eqn{\geq 1}{>=1} serious adverse event (non-fatal) in the treatment group \cr
\bold{tiotropium.dropout}      \tab \code{numeric}   \tab number of withdrawals in the treatment group \cr
\bold{placebo.total}           \tab \code{numeric}   \tab total number of patients in the control group \cr
\bold{placebo.exa}             \tab \code{numeric}   \tab number of patients with \eqn{\geq 1}{>=1} exacerbation in the control group \cr
\bold{placebo.sexa}            \tab \code{numeric}   \tab number of patients with \eqn{\geq 1}{>=1} \emph{severe} exacerbation in the control group \cr
\bold{placebo.hospi}           \tab \code{numeric}   \tab number of patients with \eqn{\geq 1}{>=1} hospitalization (all-cause) in the control group \cr
\bold{placebo.deaths}          \tab \code{numeric}   \tab number of deaths in the control group \cr
\bold{placebo.sae}             \tab \code{numeric}   \tab number of patients with \eqn{\geq 1}{>=1} serious adverse event (non-fatal) in the control group \cr
\bold{placebo.dropout}         \tab \code{numeric}   \tab number of withdrawals in the control group \cr
\bold{sgrq.md}, \bold{sgrq.se} \tab \code{numeric}   \tab mean difference and associated standard error for \emph{St. George's respiratory questionnaire (SGRQ)} total score \cr
\bold{fev1.md}, \bold{fev1.se} \tab \code{numeric}   \tab mean difference and associated standard error for \emph{forced expiratory volume in 1 second (FEV1, mL)} \cr
\bold{rob.rand}                \tab \code{factor}    \tab random sequence generation (selection bias) \cr
\bold{rob.alloc}               \tab \code{factor}    \tab allocation concealment (selection bias) \cr
\bold{rob.perf}                \tab \code{factor}    \tab blinding of participants and personnel (performance bias) \cr
\bold{rob.det}                 \tab \code{factor}    \tab blinding of outcome assessment (detection bias) \cr
\bold{rob.att}                 \tab \code{factor}    \tab incomplete outcome data (attrition bias) \cr
\bold{rob.rep}                 \tab \code{factor}    \tab selective reporting bias (reporting bias)
}
}
\details{
   Chronic obstructive pulmonary disease (COPD) is a chronic and progressive condition characterized by recurrent exacerbation phases. Various treatment options are available, aimed at both providing relief during an acute exacerbation, and at delaying overall disease progression. A common drug used in the management of COPD is \emph{tiotropium}, a long-acting muscarinic antagonist (LAMA), which is administered via an inhaler device.

   Karner et al. (2014) conducted a systematic review in order to evaluate the evidence on the effects of tiotropium in comparison to placebo. 22 placebo-controlled studies were found, and a range of endpoints and subgroups were considered. The data reproduced here relate to analyses 1.1, 1.9, 1.14, 1.15, 1.19, 1.26, 1.27, and 1.28 in the original investigation. The risk-of-bias assessments were shown in Fig. 2. A number of study-level covariables are also provided.
}
\source{
   Karner, C., Chong, J., & Poole, P. (2014). Tiotropium versus placebo for chronic obstructive pulmonary disease. \emph{Cochrane Database of Systematic Reviews}, \bold{7}, CD009285. \verb{https://doi.org/10.1002/14651858.cd009285.pub3}
}
\author{
   Christian \enc{Röver}{Roever}, \email{christian.roever@med.uni-goettingen.d}
}
\examples{
dat.karner2014

\dontrun{
library(metafor)
library(bayesmeta)

# compute effect sizes (log odds ratios) from exacerbation count data
# (using the "metafor" package's "escalc()" function)
karner.exa <- escalc(measure="OR",
                     ai=tiotropium.exa, n1i=tiotropium.total,
                     ci=placebo.exa,    n2i=placebo.total,
                     slab=study, data=dat.karner2014)

# show forest plot
forestplot(karner.exa, title="exacerbation",
           exponentiate=TRUE, xlog=TRUE,
           xlab="odds ratio")

# derive St. George's Respiratory Questionnaire (SGRQ) effect sizes
# (change in SGRQ score)
karner.sgrq <- escalc(measure="MD",
                      yi=sgrq.md, sei=sgrq.se,
                      slab=study, data=dat.karner2014,
                      subset=is.finite(dat.karner2014$sgrq.md))

# show forest plot
forestplot(karner.sgrq, title="SGRQ", xlab="mean difference")
}
}
\keyword{datasets}
\concept{medicine}
\concept{pulmonology}
\concept{odds ratios}
\concept{raw mean differences}
\concept{meta-regression}
\concept{risk-of-bias}
\section{Concepts}{
   medicine, pulmonology, odds ratios, raw mean differences, meta-regression, risk-of-bias
}

\name{dat.demir2022}
\docType{data}
\alias{dat.demir2022}
\title{Studies on the Reliability of the MIBS Scale}
\description{Results from 26 studies on the reliability of the Mother-to-Infant Bonding Scale (MIBS).}
\usage{
dat.demir2022
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{studyid}      \tab \code{numeric}   \tab study ID \cr
\bold{esid}         \tab \code{numeric}   \tab effect size ID \cr
\bold{author}       \tab \code{character} \tab author(s) of the study \cr
\bold{year}         \tab \code{numeric}   \tab publication year \cr
\bold{pubtype}      \tab \code{character} \tab publication type (Article or Thesis) \cr
\bold{country}      \tab \code{character} \tab country \cr
\bold{participants} \tab \code{character} \tab participant characteristics \cr
\bold{n}            \tab \code{numeric}   \tab sample size \cr
\bold{alpha}        \tab \code{numeric}   \tab Cronbach's alpha \cr
\bold{items}        \tab \code{numeric}   \tab number of items in the scale
}
}
\details{
   The Mother-to-Infant Bonding Scale (MIBS) is an 8-item Likert-type questionnaire to evaluate caregiver-infant attachment. Demir et al. (2022) carried out a meta-analysis of 26 studies (reporting 33 Cronbach's alpha values) to assess the reliability of the scale.
}
\source{
   Demir, E., Öz, S., Aral, N., & Gürsoy, F. (2022). A reliability generalization meta-analysis of the Mother-to-Infant Bonding Scale. \emph{Psychological Reports}, \bold{127}(1), 447--464. \verb{https://doi.org/10.1177/00332941221114413}
}
\author{
   Wolfgang Viechtbauer, \email{wvb@metafor-project.org}, \url{https://www.metafor-project.org}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.demir2022
dat

\dontrun{
### load metafor package
library(metafor)

### transform the alpha values using the Bonett (2022) transformation
dat <- escalc(measure="ABT", ai=alpha, ni=n, mi=items, data=dat)
dat

### meta-analysis using a random-effects model
res <- rma(yi, vi, data=dat)
res

### back-transform the results
predict(res, transf=transf.iabt, digits=2)
}
}
\keyword{datasets}
\concept{psychology}
\concept{Cronbach's alpha}
\concept{reliability generalization}
\section{Concepts}{
   psychology, Cronbach's alpha, reliability generalization
}

\name{dat.axfors2021}
\docType{data}
\alias{dat.axfors2021}
\title{Mortality Outcomes with Hydroxychloroquine and Chloroquine in COVID-19 from an International Collaborative Meta-Analysis of Randomized Trials}
\description{Results from 33 trials examining the effectiveness of hydroxychloroquine or chloroquine in patients with COVID-19.}
\usage{
dat.axfors2021
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{id}                \tab \code{character} \tab registry number \cr
\bold{acronym}           \tab \code{character} \tab shortened registry number \cr
\bold{patient_setting}   \tab \code{character} \tab patient setting \cr
\bold{blinding_exact}    \tab \code{character} \tab study blinding \cr
\bold{high_dose}         \tab \code{character} \tab high or low dose of medication \cr
\bold{Published}         \tab \code{character} \tab publication status \cr
\bold{hcq_cq}            \tab \code{character} \tab medication type (hcq = hydroxychloroquine or cq = chloroquine) \cr
\bold{hcq_arm_event}     \tab \code{numeric}   \tab number of deaths in the treatment group \cr
\bold{hcq_arm_total}     \tab \code{numeric}   \tab number of patients in the treatment group \cr
\bold{control_arm_event} \tab \code{numeric}   \tab number of deaths in the control group \cr
\bold{control_arm_total} \tab \code{numeric}   \tab number of patients in the control group \cr
\bold{Control}           \tab \code{character} \tab control group type (Standard of Care or Placebo)
}
}
\details{
   The dataset includes the results from 33 published and unpublished randomized clinical trials that examined the effectiveness of hydroxychloroquine or chloroquine in patients with COVID-19. The results given here are focused on the total mortality in the treatment versus control groups.
}
\references{
   Axfors, C., Schmitt, A. M., Janiaud, P., van’t Hooft, J., Abd-Elsalam, S., Abdo, E. F., Abella, B. S., Akram, J., Amaravadi, R. K., Angus, D. C., Arabi, Y. M., Azhar, S., Baden, L. R., Baker, A. W., Belkhir, L., Benfield, T., Berrevoets, M. A. H., Chen, C.-P., Chen, T.-C., … Hemkens, L. G. (2021). Mortality outcomes with hydroxychloroquine and chloroquine in COVID-19 from an international collaborative meta-analysis of randomized trials. Nature Communications, 12(1), 2349. \verb{https://doi.org/10.1038/s41467-021-22446-z}

}
\source{
   Axfors, C., Schmitt, A., Janiaud, P., van ’t Hooft, J., Moher, D., Goodman, S., … Hemkens, L. G. (2021, March 9). Hydroxychloroquine and chloroquine for survival in COVID-19: An international collaborative meta-analysis of randomized trials. \verb{https://doi.org/10.17605/OSF.IO/QESV4}
}
\author{
   W. Kyle Hamilton \email{whamilton@ucmerced.edu} \url{https://kylehamilton.com}
}
\examples{
# copy data into 'dat' and examine data
dat <- dat.axfors2021
dat

\dontrun{
# load metafor package
library(metafor)

# calculate log odds ratios and corresponding sampling variances
dat <- escalc(measure="OR", ai=hcq_arm_event, n1i=hcq_arm_total,
                            ci=control_arm_event, n2i=control_arm_total, data=dat)

# meta-analysis Hydroxychloroquine
res_hcq <- rma(yi, vi, subset=(hcq_cq=="hcq"), slab = id, data=dat)
print(res_hcq, digits=2)

# meta-analysis Chloroquine
res_cq <- rma(yi, vi, subset=(hcq_cq=="cq"), slab = id, data=dat)
print(res_cq, digits=2)
}
}
\keyword{datasets}
\concept{medicine}
\concept{covid-19}
\concept{odds ratios}
\section{Concepts}{
   medicine, covid-19, odds ratios
}

\name{dat.bauer2002}
\docType{data}
\alias{dat.bauer2002}
\title{Studies on OM-89 (Uro-Vaxom) in Urinary Tract Infections}
\description{Estimated Wilcoxon-Mann-Whitney (WMW) effect sizes from five studies on OM-89 (Uro-Vaxom) in patients with recurrent urinary tract infections.}
\usage{
dat.bauer2002
}
\format{The data frame contains the following columns:
\tabular{lll}{
\bold{study}     \tab \code{character} \tab study identifier \cr
\bold{year}      \tab \code{numeric}   \tab publication year \cr
\bold{threshold} \tab \code{numeric}   \tab threshold (for bacteriuria / UTI definition) \cr
\bold{n.treat}   \tab \code{numeric}   \tab number of patients in treatment group \cr
\bold{n.control} \tab \code{numeric}   \tab number of patients in control group \cr
\bold{n.total}   \tab \code{numeric}   \tab total number of patients \cr
\bold{wmwstat}   \tab \code{numeric}   \tab Wilcoxon-Mann-Whitney statistic \cr
\bold{lower}     \tab \code{numeric}   \tab lower CI bound for the WMW-statistic \cr
\bold{upper}     \tab \code{numeric}   \tab upper CI bound for the WMW-statistic \cr
\bold{stderr}    \tab \code{numeric}   \tab standard error for the WMW-statistic
}
}
\details{
   Bauer et al. (2002) analyzed data from five randomized, placebo-controlled studies investigating the use of OM-89 (Uro-Vaxom) in recurrent urinary tract infections (UTI). Treatment effects were quantified in terms of the \emph{Wilcoxon-Mann-Whitney statistic} computed based on the numbers of recurrences experienced by included patients from each study.

   The WMW-statistic gives an estimate of the probability that a randomly selected patient from the treatment group is superior to a randomly selected control patient, also denoted as the \emph{common language effect size} (CLES). \dQuote{Superiority} in this case relates to fewer UTI recurrences experienced. A WMW-statistic \eqn{>0.5} then suggests a beneficial treatment effect.
}
\source{
   Bauer, H. W., Rahlfs, V. W., Lauener, P. A., & \enc{Bleßmann}{Blessmann}, G. S. S. (2002). Prevention of recurrent urinary tract infections with immuno-active E. coli fractions: A meta-analysis of five placebo-controlled double-blind studies. \emph{International Journal of Antimicrobial Agents}, \bold{19}(6), 451--456. \verb{https://doi.org/10.1016/s0924-8579(02)00106-1}
}
\seealso{
   \code{\link{dat.huber2000}}
}
\author{
   Christian \enc{Röver}{Roever}, \email{christian.roever@med.uni-goettingen.de}
}
\examples{
dat.bauer2002

\dontrun{
library(metafor)
library(bayesmeta)

# analyze based on plain probabilities as effect sizes
wmw.prob <- escalc(measure="CLES",
                   yi = wmwstat, sei = stderr,
                   ni = n.total, slab = study,
                   data = dat.bauer2002)

# perform a random-effects meta-analysis
ma01 <- rma.uni(wmw.prob, method="PM", test="adhoc")

# show forest plot
forest(ma01, addpred=TRUE, predstyle="bar",
       refline=0.5, main="dat.bauer2002 (probabilities)")


# analyze based on log-odds (logits) as effect sizes
wmw.logit <- escalc(measure="PLO",
                    yi   = log(wmwstat / (1-wmwstat)),
                    sei  = stderr / (wmwstat*(1-wmwstat)),
                    ni   = n.total, slab = study,
                    data = dat.bauer2002)

# perform a random-effects meta-analysis
ma02 <- rma.uni(wmw.logit, method="PM", test="adhoc")

# show forest plot (back-transformed to probabilities)
forest(ma02, addpred=TRUE, predstyle="bar",
       transf=transf.ilogit,
       header=c("study", "CLES [95 percent CI]"),
       xlab="common language effect size",
       refline=0.5, main="dat.bauer2002 (log-odds)")

# show forest plot (in terms of log-odds)
forest(ma02, addpred=TRUE, predstyle="bar",
       header=c("study", "logit(CLES) [95 percent CI]"),
       xlab="logit(common language effect size)",
       refline=0.0, main="dat.bauer2002 (log-odds)")

# perform Bayesian meta-analsis
# (using a half-normal prior for the (logit-WMW) effect heterogeneity
#  and a Normal(0.0, 1.814) prior for the overall mean logit;
#  the overall mean prior (with variance (pi/sqrt(3))^2)
#  roughly corresponds to a uniform prior in probability)
ma03 <- bayesmeta(wmw.logit,
                  tau.prior = function(t){dhalfnormal(t,scale=0.5)},
                  mu.prior = c(0.0, 1.814))
forestplot(ma03, title = "dat.bauer2002 (log-odds)",
           xlab = "logit(CLES)",
           txt_gp = fpTxtGp(ticks = gpar(cex=1), xlab = gpar(cex=1)))
}
}
\keyword{datasets}
\concept{medicine}
\concept{common language effect sizes}
\concept{proportions}
\section{Concepts}{
   medicine, common-language effect sizes, proportions
}

\name{dat.furukawa2003}
\docType{data}
\alias{dat.furukawa2003}
\title{Studies on Low Dosage Tricyclic Antidepressants for the Treatment of Depression}
\description{Results on depression severity from 17 studies comparing low dosage tricyclic antidepressants (TCA) and placebo for the treatment of depression.}
\usage{
dat.furukawa2003
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{author}  \tab \code{character} \tab First author with information on dosage in parentheses \cr
\bold{Ne}      \tab \code{integer}   \tab number of patients in low TCA group \cr
\bold{Me}      \tab \code{numeric}   \tab depression severity (low TCA) \cr
\bold{Se}      \tab \code{numeric}   \tab standard deviation (low TCA) \cr
\bold{Nc}      \tab \code{integer}   \tab number of patients in placebo group \cr
\bold{Mc}      \tab \code{numeric}   \tab depression severity (placebo) \cr
\bold{Sc}      \tab \code{numeric}   \tab standard deviation (placebo) \cr
\bold{measure} \tab \code{character} \tab depression scale
}
}
\details{
   Furukawa et al. (2003) carried out a systematic review comparing low dosage tricyclic antidepressants (TCA) with placebo for the treatment of depression. They reported the effect on presence/absence of depression and on depression severity at various time points. Here we focus on depression severity at four weeks. Most studies used some version of the Hamilton Depression Rating Scale, however, some studies used the Montgomery-Asberg Depression Rating Scale. Accordingly, it is not possible to pool the estimated effects directly.

   This data set is used as an example in Schwarzer et al. (2015).
}
\source{
   Furukawa, T. A., McGuire, H., & Barbui, C. (2003). Low dosage tricyclic antidepressants for depression. \emph{Cochrane Database of Systematic Reviews}, \bold{3}, CD003197. \verb{https://doi.org/10.1002/14651858.CD003197}
}
\references{
   Schwarzer, G., Carpenter, J. R., & \enc{Rücker}{Ruecker}, G. (2015). \emph{Meta-analysis with R}. Cham, Switzerland: Springer.
}
\author{
   Guido Schwarzer, \email{guido.schwarzer@uniklinik-freiburg.de}, \url{https://github.com/guido-s/}
}
\examples{
### Show first five studies
head(dat.furukawa2003, 5)

\dontrun{
### Load meta package
suppressPackageStartupMessages(library(meta))

### Use RevMan5 settings
oldset <- settings.meta("RevMan5", digits = 2)

### Conduct random effects meta-analysis with Hedges' g as effect measure
mc2 <- metacont(Ne, Me, Se, Nc, Mc, Sc, common = FALSE,
                data = dat.furukawa2003, sm = "SMD")
mc2

### Use previous settings
settings.meta(oldset)
}
}
\keyword{datasets}
\concept{psychology}
\concept{psychiatry}
\concept{standardized mean differences}
\section{Concepts}{
   psychology, psychiatry, standardized mean differences
}

\name{dat.nissen2007}
\docType{data}
\alias{dat.nissen2007}
\title{Studies on the Effect of Rosiglitazone on the Risk of Myocardial Infarction and Death from Cardiovascular Causes}
\description{Results from 42 trials examining the effect of rosiglitazone on the risk of myocardial infarction and death from cardiovascular causes.}
\usage{
dat.nissen2007
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study}             \tab \code{character} \tab study identifier \cr
\bold{type}              \tab \code{factor}    \tab type of trial (as in Table 1) \cr
\bold{phase}             \tab \code{factor}    \tab study phase \cr
\bold{population}        \tab \code{character} \tab description of the study population \cr
\bold{start}, \bold{end} \tab \code{character} \tab study period (year-month) \cr
\bold{treatment}         \tab \code{character} \tab treatment group medication \cr
\bold{control}           \tab \code{character} \tab control group medication \cr
\bold{weeks}             \tab \code{numeric}   \tab follow-up duration (weeks) \cr
\bold{treat.total}       \tab \code{numeric}   \tab total number of patients in the treatment group \cr
\bold{treat.infarction}  \tab \code{numeric}   \tab number of patients with myocardial infarction in the treatment group \cr
\bold{treat.death}       \tab \code{numeric}   \tab number of deaths in the treatment group \cr
\bold{cont.total}        \tab \code{numeric}   \tab total number of patients in the control group \cr
\bold{cont.infarction}   \tab \code{numeric}   \tab number of patients with myocardial infarction in the control group \cr
\bold{cont.death}        \tab \code{numeric}   \tab number of deaths in the control group
}
}
\details{
   Nissen and Wolski (2007) performed a systematic literature review aiming for randomized controlled trials (RCTs) investigating the effects of Rosiglitazone (Avandia) in comparison to a control treatment, and with a follow-up duration of at least 24 weeks. 42 studies were included. A meta-analysis was performed to quantify the treatment effect on the risks of myocardial infarction and cardiovascular death in terms of the associated odds ratio (OR).

   The data set features a number of \dQuote{zero} trials (no event observed in one of the treatment groups) as well as \dQuote{double-zero} trials (no event in either treatment group), which poses a challenge for some analysis methods. The original analysis was a common-effect analysis based on the \emph{Peto method} (see the \code{\link[metafor]{rma.peto}} help and the example code below). The data set as well as its original analysis have subsequently been discussed by other investigators (e.g., Diamond et al., 2007; Ruecker & Schumacher, 2008; Friedrich et al., 2009; Tian et al., 2009; Nissen & Wolski, 2010). Jackson et al. (2018) later surveyed a range of (random-effects) models that may be applicable in this context; see also the examples below.

   See also \code{\link{dat.tian2009}} for the same dataset, but with 6 additional trials where no event was observed in either group for both outcomes.
}
\source{
   Nissen, S. E., & Wolski, K. (2007). Effect of Rosiglitazone on the risk of myocardial infarction and death from cardiovascular causes. \emph{New England Journal of Medicine}, \bold{356}(24), 2457-2471. \verb{https://doi.org/10.1056/NEJMoa072761}
}
\references{
   Diamond, G. A., Bax, L., & Kaul, S. (2007). Uncertain effects of Rosiglitazone on the risk for myocardial infarction and cardiovascular death. \emph{Annals of Internal Medicine}, \bold{147}(8), 578--581. \verb{https://doi.org/10.7326/0003-4819-147-8-200710160-00182}

   Friedrich, J. O., Beyene, J., & Adhikari, N. K. J. (2009). Rosiglitazone: Can meta-analysis accurately estimate excess cardiovascular risk given the available data? Re-analysis of randomized trials using various methodologic approaches. \emph{BMC Research Notes}, \bold{2}, 5. \verb{https://doi.org/10.1186/1756-0500-2-5}

   Jackson, D., Law, M., Stijnen, T., Viechtbauer, W., & White, I. R. (2018). A comparison of seven random-effects models for meta-analyses that estimate the summary odds ratio. \emph{Statistics in Medicine}, \bold{37}(7), 1059--1085. \verb{https://doi.org/10.1002/sim.7588}

   Nissen, S. E., & Wolski, K. (2010). Rosiglitazone revisited: An updated meta-analysis of risk for myocardial infarction and cardiovascular mortality. \emph{Archives of Internal Medicine}, \bold{170}(14), 1191--1201. \verb{https://doi.org/10.1001/archinternmed.2010.207}

   Rücker, G., & Schumacher, M. (2008). Simpson’s paradox visualized: The example of the Rosiglitazone meta-analysis. \emph{BMC Medical Research Methodology}, \bold{8}, 34. \verb{https://doi.org/10.1186/1471-2288-8-34}

   Tian, L., Cai, T., Pfeffer, M. A., Piankov, N., Cremieux, P.-Y., & Wei, L. J. (2009). Exact and efficient inference procedure for meta-analysis and its application to the analysis of independent 2 x 2 tables with all available data but without artificial continuity correction. \emph{Biostatistics}, \bold{10}(2), 275--281. \verb{https://doi.org/10.1093/biostatistics/kxn034}
}
\seealso{
   \code{\link{dat.tian2009}}
}
\author{
   Christian \enc{Röver}{Roever}, \email{christian.roever@med.uni-goettingen.de}
}
\examples{
dat.nissen2007

\dontrun{
library(metafor)

############################################################
# reproduce original "Peto" analyses

# infarction
ma01 <- rma.peto(ai=treat.infarction, ci=cont.infarction,
                 n1i=treat.total, n2i=cont.total,
                 slab=study, data=dat.nissen2007)
ma01

# mortality
ma02 <- rma.peto(ai=treat.death, ci=cont.death,
                 n1i=treat.total, n2i=cont.total,
                 slab=study, data=dat.nissen2007)
ma02

############################################################
# reproduce "Fixed, IV (CC)" analyses
# from Diamond/Bax/Kaul (2007), Table 1

# infarction
ma03 <- rma.uni(measure="OR", method="FE",
                drop00=TRUE,  # (exclude "double-zeroes")
                ai=treat.infarction, ci=cont.infarction,
                n1i=treat.total, n2i=cont.total,
                slab=study, data=dat.nissen2007)
ma03

# mortality
ma04 <- rma.uni(measure="OR", method="FE",
                drop00=TRUE,  # (exclude "double-zeroes")
                ai=treat.death, ci=cont.death,
                n1i=treat.total, n2i=cont.total,
                slab=study, data=dat.nissen2007)
ma04

############################################################
# estimate ORs based on a binomial GLMM
# (with *fixed* study effects)
# ("model 4" in Jackson et al., 2018)

# infarction
ma05 <- rma.glmm(measure="OR", model="UM.FS",
                 ai=treat.infarction, ci=cont.infarction,
                 n1i=treat.total, n2i=cont.total,
                 slab=study, data=dat.nissen2007)
ma05

# mortality
ma06 <- rma.glmm(measure="OR", model="UM.FS",
                 ai=treat.death, ci=cont.death,
                 n1i=treat.total, n2i=cont.total,
                 slab=study, data=dat.nissen2007)
ma06

############################################################
# estimate ORs based on binomial GLMM
# (with *random* study effects)
# ("model 5" in Jackson et al., 2018)

# infarction
ma07 <- rma.glmm(measure="OR", model="UM.RS", nAGQ=1,
                 ai=treat.infarction, ci=cont.infarction,
                 n1i=treat.total, n2i=cont.total,
                 slab=study, data=dat.nissen2007)
ma07

# mortality
ma08 <- rma.glmm(measure="OR", model="UM.RS", nAGQ=1,
                 ai=treat.death, ci=cont.death,
                 n1i=treat.total, n2i=cont.total,
                 slab=study, data=dat.nissen2007)
ma08

############################################################
# estimate ORs based on hypergeometric model
# (model 7 (approx.) in Jackson et al., 2018)

# infarction
ma09 <- rma.glmm(measure="OR", model="CM.AL",
                 ai=treat.infarction, ci=cont.infarction,
                 n1i=treat.total, n2i=cont.total,
                 slab=study, data=dat.nissen2007)
ma09

# mortality
ma10 <- rma.glmm(measure="OR", model="CM.AL",
                 ai=treat.death, ci=cont.death,
                 n1i=treat.total, n2i=cont.total,
                 slab=study, data=dat.nissen2007)
ma10

############################################################
# tabulate estimates and CIs

# log-OR infarction
logOR.inf <- rbind("Peto"    =c("OR"=ma01$b, "lower"=ma01$ci.lb, "upper"=ma01$ci.ub),
                   "IV-CC"   =c("OR"=ma03$b, "lower"=ma03$ci.lb, "upper"=ma03$ci.ub),
                   "M4-UM.FS"=c("OR"=ma05$b, "lower"=ma05$ci.lb, "upper"=ma05$ci.ub),
                   "M5-UM.RS"=c("OR"=ma07$b, "lower"=ma07$ci.lb, "upper"=ma07$ci.ub),
                   "M7-CM.AL"=c("OR"=ma09$b, "lower"=ma09$ci.lb, "upper"=ma09$ci.ub))

# log-OR mortality
logOR.mort <- rbind("Peto"    =c("OR"=ma02$b, "lower"=ma02$ci.lb, "upper"=ma02$ci.ub),
                    "IV-CC"   =c("OR"=ma04$b, "lower"=ma04$ci.lb, "upper"=ma04$ci.ub),
                    "M4-UM.FS"=c("OR"=ma06$b, "lower"=ma06$ci.lb, "upper"=ma06$ci.ub),
                    "M5-UM.RS"=c("OR"=ma08$b, "lower"=ma08$ci.lb, "upper"=ma08$ci.ub),
                    "M7-CM.AL"=c("OR"=ma10$b, "lower"=ma10$ci.lb, "upper"=ma10$ci.ub))

# show ORs (infarction)
round(exp(logOR.inf), 2)
# show ORs (mortality)
round(exp(logOR.mort), 2)
}
}
\keyword{datasets}
\concept{medicine}
\concept{cardiology}
\concept{odds ratios}
\concept{Peto's method}
\concept{generalized linear models}
\section{Concepts}{
   medicine, cardiology, odds ratios, Peto's method, generalized linear models
}

\name{dat.baker2009}
\docType{data}
\alias{dat.baker2009}
\title{Studies on Pharmacologic Treatments for Chronic Obstructive Pulmonary Disease}
\description{Results from 39 trials examining pharmacologic treatments for chronic obstructive pulmonary disease (COPD).}
\usage{
dat.baker2009
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{study}     \tab \code{character} \tab study label \cr
\bold{year}      \tab \code{numeric}   \tab year of publication \cr
\bold{id}        \tab \code{numeric}   \tab study ID \cr
\bold{treatment} \tab \code{character} \tab treatment \cr
\bold{exac}      \tab \code{numeric}   \tab number of individuals with one or more COPD exacerbations \cr
\bold{total}     \tab \code{numeric}   \tab number of individuals
}
}
\details{
   This dataset comes from a systematic review of randomized controlled trials on pharmacologic treatments for chronic obstructive pulmonary disease (COPD) (Baker et al., 2009).

   The primary outcome, occurrence of one or more episodes of COPD exacerbation, is binary (yes / no). For this outcome, five drug treatments (fluticasone, budesonide, salmeterol, formoterol, tiotropium) and two combinations (fluticasone + salmeterol, budesonide + formoterol) were compared to placebo. The authors considered the two combinations as separate treatments instead of evaluating the individual components.
}
\source{
   Baker, W. L., Baker, E. L., & Coleman, C. I. (2009). Pharmacologic treatments for chronic obstructive pulmonary disease: A mixed-treatment comparison meta-analysis. \emph{Pharmacotherapy: The Journal of Human Pharmacology and Drug Therapy}, \bold{29}(8), 891--905. \verb{https://doi.org/10.1592/phco.29.8.891}
}
\author{
   Guido Schwarzer, \email{guido.schwarzer@uniklinik-freiburg.de}, \url{https://github.com/guido-s/}
}
\examples{
### Show first 6 rows of the dataset
head(dat.baker2009)

\dontrun{
### Load netmeta package
suppressPackageStartupMessages(library(netmeta))

### Print odds ratios and confidence limits with two digits
oldset <- settings.meta(digits = 2)

### Transform data from long arm-based format to contrast-based
### format. Argument 'sm' has to be used for odds ratio as summary
### measure; by default the risk ratio is used in the metabin function
### called internally.
pw <- pairwise(treatment, exac, total, studlab = paste(study, year),
  data = dat.baker2009, sm = "OR")

### Conduct random effects network meta-analysis (NMA)
### with placebo as reference
net <- netmeta(pw, common = FALSE, ref = "plac")

### Show network graph
netgraph(net, seq = "optimal", start = "prcomp",
  labels = gsub("+", " +\n", trts, fixed = TRUE),
  plastic = TRUE, thickness = "se.fixed", number = TRUE,
  points = TRUE, cex.points = 5, col.points = "red",
  offset = 0.025)

### Print and plot results for network meta-analysis
net
forest(net)

### Conduct component network meta-analysis (CNMA)
cnet <- netcomb(net)
cnet

### Compare results of NMA and additive CNMA
nb <- netbind(net, cnet, name = c("Standard NMA", "Additive CNMA"))
forest(nb)

### Use previous settings
settings.meta(oldset)
}
}
\keyword{datasets}
\concept{medicine}
\concept{pulmonology}
\concept{odds ratios}
\concept{network meta-analysis}
\concept{component network meta-analysis}
\section{Concepts}{
   medicine, pulmonology, odds ratios, network meta-analysis, component network meta-analysis
}

\name{dat.michael2013}
\docType{data}
\alias{dat.michael2013}
\title{The Non-Persuasive Power of a Brain Image}
\description{Results from studies exploring how a superfluous fMRI brain image influences the persuasiveness of a scientific claim.}
\usage{
dat.michael2013
}
\format{
The data frame contains the following columns:
\tabular{lll}{
\bold{Study}             \tab \code{character} \tab name of the study: Citation - Experiment - Subgroup \cr
\bold{No_brain_n}        \tab \code{numeric}   \tab sample size for no-brain-image condition \cr
\bold{No_brain_m}        \tab \code{numeric}   \tab mean agreement rating for no-brain-image condition \cr
\bold{No_brain_s}        \tab \code{numeric}   \tab standard deviation for no-brain-image condition \cr
\bold{Brain_n}           \tab \code{numeric}   \tab sample size for brain-image condition \cr
\bold{Brain_m}           \tab \code{numeric}   \tab mean agreement rating for brain-image condition \cr
\bold{Brain_s}           \tab \code{numeric}   \tab standard deviation for brain-image condition \cr
\bold{Included_Critique} \tab \code{character} \tab \sQuote{Critique} if article included critical commentary on conclusions, otherwise \sQuote{No_critique} \cr
\bold{Medium}            \tab \code{character} \tab \sQuote{Paper} if conducted in person; \sQuote{Online} if conducted online \cr
\bold{Compensation}      \tab \code{character} \tab notes on compensation provided to participants \cr
\bold{Participant_Pool}  \tab \code{character} \tab notes on where participants were recruited \cr
\bold{yi}                \tab \code{numeric}   \tab raw mean difference, calculated as \code{Brain_m - No_brain_m} \cr
\bold{vi}                \tab \code{numeric}   \tab corresponding sampling variance \cr
}
}
\details{
   The dataset contains the data from the meta-analysis by Michael et al. (2013) of experiments on the persuasive power of a brain image. The meta-analysis analyzed an original study by McCabe and Castel (2008) as well as 10 replication attempts conducted by the authors of the meta-analysis.

   In each study, participants read an article about using brain imaging as a lie detector. The article either included a superfluous fMRI image of a brain (brain) or not (no_brain). After reading the article, all participants responded to the statement \dQuote{Do you agree or disagree with the conclusion that brain imaging can be used as a lie detector?} on a scale from 1 (strongly disagree) to 4 (strongly agree).

   The original study by McCabe and Castel (2008) reported a relatively large increase in agreement due to the presence of brain images. Meta-analysis of the original study with the 10 replications suggests, however, a small, possibly null effect: an estimated average raw mean difference of 0.07 points, 95\% CI [-0.00, 0.14], under a random-effects model.

   In some studies, the article included a passage critiquing the primary claims made in the article; this is coded in the \code{Included_Critique} column for analysis as a possible moderator. Note that Experiment 3 by McCabe and Castel (2008) was a 2x2 between subjects design: brain image presence was manipulated as well as the inclusion of a critique. The two different critique conditions are recorded as separate rows in this dataset. Analysis of this dataset with metafor yields the same results (given rounding) reported in the manuscript.
}
\source{
   Michael, R. B., Newman, E. J., Vuorre, M., Cumming, G., & Garry, M. (2013). On the (non)persuasive power of a brain image. \emph{Psychonomic Bulletin & Review}, \bold{20}(4), 720–-725. \verb{https://doi.org/10.3758/s13423-013-0391-6}
}
\references{
   McCabe, D. P., & Castel, A. D. (2008). Seeing is believing: The effect of brain images on judgments of scientific reasoning. \emph{Cognition}, \bold{107}(1), 343--352. \verb{https://doi.org/10.1016/j.cognition.2007.07.017}
}
\author{
   Robert Calin-Jageman, \email{rcalinjageman@dom.edu}, \url{https://calin-jageman.net}
}
\examples{
### copy data into 'dat' and examine data
dat <- dat.michael2013
dat

\dontrun{
### load metafor package
library(metafor)

### Data prep
# yi and vi are already provided, but here's how you would use escalc() to obtain
# a raw-mean difference and its variance.
# Note the measure parameter is "MD" for 'raw mean difference'
dat <- metafor::escalc(
  measure = "MD",
  m1i = Brain_m,
  m2i = No_brain_m,
  sd1i = Brain_s,
  sd2i = No_brain_s,
  n1i = Brain_n,
  n2i = No_brain_n,
  data = dat
)

### meta-analysis using a random-effects model of the raw mean differences
res <- rma(yi, vi, data=dat)
print(res, digits=2)

### examine if Included_Critique is a potential moderator
res <- rma(yi, vi, mods = ~ Included_Critique, data=dat)
print(res, digits=2)
}
}
\keyword{datasets}
\concept{psychology}
\concept{persuasion}
\concept{raw mean differences}
\section{Concepts}{
   psychology, persuasion, raw mean differences
}
